#pragma section REPRO
/**
 * @file
 * @brief  テレメトリ定義
 * @note   このコードは自動生成されています！
 */
#include "../../src_core/TlmCmd/telemetry_frame.h"
#include "telemetry_definitions.h"
#include "telemetry_source.h"

static TF_TLM_FUNC_ACK Tlm_MOBC_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_MEM_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_TLM_MGR_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_TL_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_BL_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_CA_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_TF_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_DCU_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_MM_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_AM_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_APP_TIME_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_EL_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_EL_TLOG_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_EL_CLOG_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_EH_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_EH_RULE_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_EH_LOG_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_EH_INDEX_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_GS_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_HK_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_GIT_REV_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_UART_TEST_(uint8_t* packet, uint16_t* len, uint16_t max_len);

// AOBC TLM
static TF_TLM_FUNC_ACK Tlm_AOBC_AOBC_(uint8_t* packet, uint16_t* len, uint16_t max_len);
static TF_TLM_FUNC_ACK Tlm_AOBC_HK_(uint8_t* packet, uint16_t* len, uint16_t max_len);

void TF_load_tlm_table(TF_TlmInfo tlm_table[TF_MAX_TLMS])
{
  tlm_table[Tlm_CODE_MOBC].tlm_func = Tlm_MOBC_;
  tlm_table[Tlm_CODE_MEM].tlm_func = Tlm_MEM_;
  tlm_table[Tlm_CODE_TLM_MGR].tlm_func = Tlm_TLM_MGR_;
  tlm_table[Tlm_CODE_TL].tlm_func = Tlm_TL_;
  tlm_table[Tlm_CODE_BL].tlm_func = Tlm_BL_;
  tlm_table[Tlm_CODE_CA].tlm_func = Tlm_CA_;
  tlm_table[Tlm_CODE_TF].tlm_func = Tlm_TF_;
  tlm_table[Tlm_CODE_DCU].tlm_func = Tlm_DCU_;
  tlm_table[Tlm_CODE_MM].tlm_func = Tlm_MM_;
  tlm_table[Tlm_CODE_AM].tlm_func = Tlm_AM_;
  tlm_table[Tlm_CODE_APP_TIME].tlm_func = Tlm_APP_TIME_;
  tlm_table[Tlm_CODE_EL].tlm_func = Tlm_EL_;
  tlm_table[Tlm_CODE_EL_TLOG].tlm_func = Tlm_EL_TLOG_;
  tlm_table[Tlm_CODE_EL_CLOG].tlm_func = Tlm_EL_CLOG_;
  tlm_table[Tlm_CODE_EH].tlm_func = Tlm_EH_;
  tlm_table[Tlm_CODE_EH_RULE].tlm_func = Tlm_EH_RULE_;
  tlm_table[Tlm_CODE_EH_LOG].tlm_func = Tlm_EH_LOG_;
  tlm_table[Tlm_CODE_EH_INDEX].tlm_func = Tlm_EH_INDEX_;
  tlm_table[Tlm_CODE_GS].tlm_func = Tlm_GS_;
  tlm_table[Tlm_CODE_HK].tlm_func = Tlm_HK_;
  tlm_table[Tlm_CODE_GIT_REV].tlm_func = Tlm_GIT_REV_;
  tlm_table[Tlm_CODE_UART_TEST].tlm_func = Tlm_UART_TEST_;

  // AOBC TLM
  tlm_table[Tlm_CODE_AOBC_AOBC].tlm_func = Tlm_AOBC_AOBC_;
  tlm_table[Tlm_CODE_AOBC_HK].tlm_func = Tlm_AOBC_HK_;
}

static TF_TLM_FUNC_ACK Tlm_MOBC_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (322 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u32(&packet[26], (uint32_t)(TMGR_get_master_clock().mode_cycle));
  TF_copy_double(&packet[30], TMGR_get_utl_unixtime_epoch());
  TF_copy_double(&packet[38], (double)(time_manager->unixtime_info_.cycle_correction));
  TF_copy_u8(&packet[46], (uint8_t)(mode_manager->stat));
  TF_copy_u8(&packet[47], (uint8_t)(mode_manager->current_id));
  TF_copy_u8(&packet[48], (uint8_t)(mode_manager->previous_id));
  TF_copy_u8(&packet[49], (uint8_t)(TDSP_info->task_list_id));
  TF_copy_u32(&packet[50], (uint32_t)(TDSP_info->tskd.prev_err.time.total_cycle));
  TF_copy_u8(&packet[54], (uint8_t)(TDSP_info->tskd.prev_err.time.step));
  TF_copy_u16(&packet[55], (uint16_t)(TDSP_info->tskd.prev_err.code));
  TF_copy_i32(&packet[57], (int32_t)(TDSP_info->tskd.prev_err.sts));
  TF_copy_i32(&packet[61], (int32_t)gs_driver->latest_info->rx.ret_from_if_rx);
  TF_copy_u8(&packet[65], (uint8_t)gs_driver->latest_info->rx.rec_status);
  TF_copy_u32(&packet[66], (uint32_t)gs_driver->latest_info->rx.last_rec_time);
  TF_copy_u8(&packet[70], (uint8_t)gs_validate_info->positive_window_width);
  TF_copy_u8(&packet[71], (uint8_t)gs_driver->latest_info->rx.cmd_ack);
  TF_copy_u8(&packet[72], (uint8_t)gs_driver->tlm_tx_port_type);
  TF_copy_u32(&packet[73], PL_count_executed_nodes(&PH_gs_cmd_list));
  TF_copy_u32(&packet[77], (uint32_t)(gs_command_dispatcher->prev.time.total_cycle));
  TF_copy_u16(&packet[81], (uint16_t)(gs_command_dispatcher->prev.code));
  TF_copy_i32(&packet[83], (int32_t)(gs_command_dispatcher->prev.sts));
  TF_copy_u32(&packet[87], (uint32_t)(gs_command_dispatcher->prev_err.time.total_cycle));
  TF_copy_u16(&packet[91], (uint16_t)(gs_command_dispatcher->prev_err.code));
  TF_copy_i32(&packet[93], (int32_t)(gs_command_dispatcher->prev_err.sts));
  TF_copy_u32(&packet[97], (uint32_t)(gs_command_dispatcher->error_counter));
  TF_copy_u32(&packet[101], PL_count_executed_nodes(&PH_rt_cmd_list));
  TF_copy_u32(&packet[105], (uint32_t)(realtime_command_dispatcher->prev.time.total_cycle));
  TF_copy_u16(&packet[109], (uint16_t)(realtime_command_dispatcher->prev.code));
  TF_copy_i32(&packet[111], (int32_t)(realtime_command_dispatcher->prev.sts));
  TF_copy_u32(&packet[115], (uint32_t)(realtime_command_dispatcher->prev_err.time.total_cycle));
  TF_copy_u16(&packet[119], (uint16_t)(realtime_command_dispatcher->prev_err.code));
  TF_copy_i32(&packet[121], (int32_t)(realtime_command_dispatcher->prev_err.sts));
  TF_copy_u32(&packet[125], (uint32_t)(realtime_command_dispatcher->error_counter));
  TF_copy_u32(&packet[129], PL_count_executed_nodes(&PH_tl_cmd_list[TLCD_ID_FROM_GS]));
  TF_copy_u8(&packet[133], (uint8_t)(PL_count_active_nodes(&PH_tl_cmd_list[TLCD_ID_FROM_GS])));
  TF_copy_u32(&packet[134], (uint32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].prev.time.total_cycle));
  TF_copy_u16(&packet[138], (uint16_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].prev.code));
  TF_copy_i32(&packet[140], (int32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].prev.sts));
  TF_copy_u32(&packet[144], (uint32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].prev_err.time.total_cycle));
  TF_copy_u16(&packet[148], (uint16_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].prev_err.code));
  TF_copy_i32(&packet[150], (int32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].prev_err.sts));
  TF_copy_u32(&packet[154], (uint32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].error_counter));
  TF_copy_u8(&packet[158], (uint8_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].stop_on_error));
  TF_copy_u8(&packet[159], (uint8_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].lockout));
  TF_copy_u32(&packet[160], (PL_is_empty(&(PH_tl_cmd_list[TLCD_ID_FROM_GS])) ? 0 : (uint32_t)CCP_get_ti((const CommonCmdPacket*)(PL_get_head(&(PH_tl_cmd_list[TLCD_ID_FROM_GS]))->packet))));
  TF_copy_u16(&packet[164], (uint16_t)(PL_is_empty(&(PH_tl_cmd_list[TLCD_ID_FROM_GS])) ? 0 : CCP_get_id((const CommonCmdPacket*)(PL_get_head(&(PH_tl_cmd_list[TLCD_ID_FROM_GS]))->packet))));
  TF_copy_u32(&packet[166], PL_count_executed_nodes(&PH_tl_cmd_list[TLCD_ID_DEPLOY_BC]));
  TF_copy_u8(&packet[170], (uint8_t)(PL_count_active_nodes(&PH_tl_cmd_list[TLCD_ID_DEPLOY_BC])));
  TF_copy_u32(&packet[171], (uint32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_BC].prev.time.total_cycle));
  TF_copy_u16(&packet[175], (uint16_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_BC].prev.code));
  TF_copy_i32(&packet[177], (int32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_BC].prev.sts));
  TF_copy_u32(&packet[181], (uint32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_BC].prev_err.time.total_cycle));
  TF_copy_u16(&packet[185], (uint16_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_BC].prev_err.code));
  TF_copy_i32(&packet[187], (int32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_BC].prev_err.sts));
  TF_copy_u32(&packet[191], (uint32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_BC].error_counter));
  TF_copy_u8(&packet[195], (uint8_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_BC].stop_on_error));
  TF_copy_u8(&packet[196], (uint8_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_BC].lockout));
  TF_copy_u32(&packet[197], (PL_is_empty(&(PH_tl_cmd_list[TLCD_ID_DEPLOY_BC])) ? 0 : (uint32_t)CCP_get_ti((const CommonCmdPacket*)(PL_get_head(&(PH_tl_cmd_list[TLCD_ID_DEPLOY_BC]))->packet))));
  TF_copy_u16(&packet[201], (uint16_t)(PL_is_empty(&(PH_tl_cmd_list[TLCD_ID_DEPLOY_BC])) ? 0 : CCP_get_id((const CommonCmdPacket*)(PL_get_head(&(PH_tl_cmd_list[TLCD_ID_DEPLOY_BC]))->packet))));
  TF_copy_u32(&packet[203], PL_count_executed_nodes(&PH_tl_cmd_list[TLCD_ID_DEPLOY_TLM]));
  TF_copy_u8(&packet[207], (uint8_t)(PL_count_active_nodes(&PH_tl_cmd_list[TLCD_ID_DEPLOY_TLM])));
  TF_copy_u32(&packet[208], (uint32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_TLM].prev.time.total_cycle));
  TF_copy_u16(&packet[212], (uint16_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_TLM].prev.code));
  TF_copy_i32(&packet[214], (int32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_TLM].prev.sts));
  TF_copy_u32(&packet[218], (uint32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_TLM].prev_err.time.total_cycle));
  TF_copy_u16(&packet[222], (uint16_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_TLM].prev_err.code));
  TF_copy_i32(&packet[224], (int32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_TLM].prev_err.sts));
  TF_copy_u32(&packet[228], (uint32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_TLM].error_counter));
  TF_copy_u8(&packet[232], (uint8_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_TLM].stop_on_error));
  TF_copy_u8(&packet[233], (uint8_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_TLM].lockout));
  TF_copy_u32(&packet[234], (PL_is_empty(&(PH_tl_cmd_list[TLCD_ID_DEPLOY_TLM])) ? 0 : (uint32_t)CCP_get_ti((const CommonCmdPacket*)(PL_get_head(&(PH_tl_cmd_list[TLCD_ID_DEPLOY_TLM]))->packet))));
  TF_copy_u16(&packet[238], (uint16_t)(PL_is_empty(&(PH_tl_cmd_list[TLCD_ID_DEPLOY_TLM])) ? 0 : CCP_get_id((const CommonCmdPacket*)(PL_get_head(&(PH_tl_cmd_list[TLCD_ID_DEPLOY_TLM]))->packet))));
  TF_copy_u32(&packet[240], PL_count_executed_nodes(&PH_tl_cmd_list[TLCD_ID_FROM_GS_FOR_MISSION]));
  TF_copy_u8(&packet[244], (uint8_t)(PL_count_active_nodes(&PH_tl_cmd_list[TLCD_ID_FROM_GS_FOR_MISSION])));
  TF_copy_u32(&packet[245], (uint32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].prev.time.total_cycle));
  TF_copy_u16(&packet[249], (uint16_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].prev.code));
  TF_copy_i32(&packet[251], (int32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].prev.sts));
  TF_copy_u32(&packet[255], (uint32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].prev_err.time.total_cycle));
  TF_copy_u16(&packet[259], (uint16_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].prev_err.code));
  TF_copy_i32(&packet[261], (int32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].prev_err.sts));
  TF_copy_u32(&packet[265], (uint32_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].error_counter));
  TF_copy_u8(&packet[269], (uint8_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].stop_on_error));
  TF_copy_u8(&packet[270], (uint8_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].lockout));
  TF_copy_u32(&packet[271], (PL_is_empty(&(PH_tl_cmd_list[TLCD_ID_FROM_GS_FOR_MISSION])) ? 0 : (uint32_t)CCP_get_ti((const CommonCmdPacket*)(PL_get_head(&(PH_tl_cmd_list[TLCD_ID_FROM_GS_FOR_MISSION]))->packet))));
  TF_copy_u16(&packet[275], (uint16_t)(PL_is_empty(&(PH_tl_cmd_list[TLCD_ID_FROM_GS_FOR_MISSION])) ? 0 : CCP_get_id((const CommonCmdPacket*)(PL_get_head(&(PH_tl_cmd_list[TLCD_ID_FROM_GS_FOR_MISSION]))->packet))));
  TF_copy_u8(&packet[277], (uint8_t)(block_command_table->pos.block));
  TF_copy_u8(&packet[278], (uint8_t)(block_command_table->pos.cmd));
  TF_copy_u32(&packet[279], ((block_command_table->pos.cmd == 0) ? 0 : (uint32_t)BCT_get_ti(block_command_table->pos.block, (uint8_t)(block_command_table->pos.cmd-1))));
  TF_copy_u16(&packet[283], (uint16_t)((block_command_table->pos.cmd == 0) ? 0 : BCT_get_id(block_command_table->pos.block, (uint8_t)(block_command_table->pos.cmd-1))));
  TF_copy_u8(&packet[285], gs_driver->ccsds_info.buffer_num);
  TF_copy_u32(&packet[286], (uint32_t)(DI_GS_ms_tlm_packet_handler->tc_packet_to_m_pdu.flush_interval));
  TF_copy_u32(&packet[290], (uint32_t)(DI_GS_rp_tlm_packet_handler->tc_packet_to_m_pdu.flush_interval));
  TF_copy_u32(&packet[294], PL_count_executed_nodes(&PH_ms_tlm_list));
  TF_copy_u8(&packet[298], (uint8_t)(PL_count_active_nodes(&PH_ms_tlm_list)));
  TF_copy_u32(&packet[299], PL_count_executed_nodes(&PH_st_tlm_list));
  TF_copy_u8(&packet[303], (uint8_t)(PL_count_active_nodes(&PH_st_tlm_list)));
  TF_copy_u32(&packet[304], PL_count_executed_nodes(&PH_rp_tlm_list));
  TF_copy_u8(&packet[308], (uint8_t)(PL_count_active_nodes(&PH_rp_tlm_list)));
  TF_copy_u32(&packet[309], (uint32_t)gs_driver->latest_info->tx.send_cycle);
  TF_copy_u32(&packet[313], gs_driver->driver_ccsds.ccsds_config.bitrate);
  TF_copy_u8(&packet[317], (uint8_t)gs_driver->latest_info->tx.vcid);
  TF_copy_u32(&packet[318], gs_driver->latest_info->tx.vcdu_counter);
#endif

  *len = 322;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_MEM_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (49 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u32(&packet[26], memory_dump->begin);
  TF_copy_u32(&packet[30], memory_dump->end);
  TF_copy_u32(&packet[34], memory_dump->adu_size);
  TF_copy_u16(&packet[38], memory_dump->adu_seq);
  TF_copy_u8(&packet[40], memory_dump->adu_counter);
  TF_copy_u32(&packet[41], memory_dump->dest);
  TF_copy_u32(&packet[45], memory_dump->rp);
#endif

  *len = 49;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_TLM_MGR_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (137 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u16(&packet[26], telemetry_manager->master_bc_id);
  TF_copy_u16(&packet[28], telemetry_manager->bc_info[0].bc_id);
  TF_copy_u8(&packet[30], (uint8_t)telemetry_manager->bc_info[0].bc_type);
  TF_copy_u16(&packet[31], telemetry_manager->bc_info[1].bc_id);
  TF_copy_u8(&packet[33], (uint8_t)telemetry_manager->bc_info[1].bc_type);
  TF_copy_u16(&packet[34], telemetry_manager->bc_info[2].bc_id);
  TF_copy_u8(&packet[36], (uint8_t)telemetry_manager->bc_info[2].bc_type);
  TF_copy_u16(&packet[37], telemetry_manager->bc_info[3].bc_id);
  TF_copy_u8(&packet[39], (uint8_t)telemetry_manager->bc_info[3].bc_type);
  TF_copy_u16(&packet[40], telemetry_manager->bc_info[4].bc_id);
  TF_copy_u8(&packet[42], (uint8_t)telemetry_manager->bc_info[4].bc_type);
  TF_copy_u16(&packet[43], telemetry_manager->bc_info[5].bc_id);
  TF_copy_u8(&packet[45], (uint8_t)telemetry_manager->bc_info[5].bc_type);
  TF_copy_u16(&packet[46], telemetry_manager->bc_info[6].bc_id);
  TF_copy_u8(&packet[48], (uint8_t)telemetry_manager->bc_info[6].bc_type);
  TF_copy_u16(&packet[49], telemetry_manager->bc_info[7].bc_id);
  TF_copy_u8(&packet[51], (uint8_t)telemetry_manager->bc_info[7].bc_type);
  TF_copy_u16(&packet[52], telemetry_manager->bc_info[8].bc_id);
  TF_copy_u8(&packet[54], (uint8_t)telemetry_manager->bc_info[8].bc_type);
  TF_copy_u16(&packet[55], telemetry_manager->bc_info[9].bc_id);
  TF_copy_u8(&packet[57], (uint8_t)telemetry_manager->bc_info[9].bc_type);
  TF_copy_u8(&packet[58], telemetry_manager->register_info.master.bc_info_idx[0]);
  TF_copy_u8(&packet[59], telemetry_manager->register_info.master.bc_info_idx[1]);
  TF_copy_u8(&packet[60], telemetry_manager->register_info.master.bc_info_idx[2]);
  TF_copy_u8(&packet[61], telemetry_manager->register_info.master.bc_info_idx[3]);
  TF_copy_u8(&packet[62], telemetry_manager->register_info.master.bc_info_idx[4]);
  TF_copy_u8(&packet[63], telemetry_manager->register_info.master.bc_info_idx[5]);
  TF_copy_u8(&packet[64], telemetry_manager->register_info.master.bc_info_idx[6]);
  TF_copy_u8(&packet[65], telemetry_manager->register_info.master.bc_info_idx[7]);
  TF_copy_u8(&packet[66], telemetry_manager->register_info.master.bc_info_idx[8]);
  TF_copy_u8(&packet[67], telemetry_manager->register_info.master.bc_info_idx[9]);
  TF_copy_u8(&packet[68], telemetry_manager->register_info.master.bc_info_idx_used_num);
  TF_copy_u8(&packet[69], telemetry_manager->register_info.master.tlm_register_pointer_to_idx_of_bc_info_idx);
  TF_copy_u8(&packet[70], telemetry_manager->register_info.master.tlm_register_pointer_to_bc_cmd_idx);
  TF_copy_u8(&packet[71], telemetry_manager->register_info.hk_tlm.bc_info_idx[0]);
  TF_copy_u8(&packet[72], telemetry_manager->register_info.hk_tlm.bc_info_idx[1]);
  TF_copy_u8(&packet[73], telemetry_manager->register_info.hk_tlm.bc_info_idx[2]);
  TF_copy_u8(&packet[74], telemetry_manager->register_info.hk_tlm.bc_info_idx[3]);
  TF_copy_u8(&packet[75], telemetry_manager->register_info.hk_tlm.bc_info_idx[4]);
  TF_copy_u8(&packet[76], telemetry_manager->register_info.hk_tlm.bc_info_idx[5]);
  TF_copy_u8(&packet[77], telemetry_manager->register_info.hk_tlm.bc_info_idx[6]);
  TF_copy_u8(&packet[78], telemetry_manager->register_info.hk_tlm.bc_info_idx[7]);
  TF_copy_u8(&packet[79], telemetry_manager->register_info.hk_tlm.bc_info_idx[8]);
  TF_copy_u8(&packet[80], telemetry_manager->register_info.hk_tlm.bc_info_idx[9]);
  TF_copy_u8(&packet[81], telemetry_manager->register_info.hk_tlm.bc_info_idx_used_num);
  TF_copy_u8(&packet[82], telemetry_manager->register_info.hk_tlm.tlm_register_pointer_to_idx_of_bc_info_idx);
  TF_copy_u8(&packet[83], telemetry_manager->register_info.hk_tlm.tlm_register_pointer_to_bc_cmd_idx);
  TF_copy_u8(&packet[84], telemetry_manager->register_info.system_tlm.bc_info_idx[0]);
  TF_copy_u8(&packet[85], telemetry_manager->register_info.system_tlm.bc_info_idx[1]);
  TF_copy_u8(&packet[86], telemetry_manager->register_info.system_tlm.bc_info_idx[2]);
  TF_copy_u8(&packet[87], telemetry_manager->register_info.system_tlm.bc_info_idx[3]);
  TF_copy_u8(&packet[88], telemetry_manager->register_info.system_tlm.bc_info_idx[4]);
  TF_copy_u8(&packet[89], telemetry_manager->register_info.system_tlm.bc_info_idx[5]);
  TF_copy_u8(&packet[90], telemetry_manager->register_info.system_tlm.bc_info_idx[6]);
  TF_copy_u8(&packet[91], telemetry_manager->register_info.system_tlm.bc_info_idx[7]);
  TF_copy_u8(&packet[92], telemetry_manager->register_info.system_tlm.bc_info_idx[8]);
  TF_copy_u8(&packet[93], telemetry_manager->register_info.system_tlm.bc_info_idx[9]);
  TF_copy_u8(&packet[94], telemetry_manager->register_info.system_tlm.bc_info_idx_used_num);
  TF_copy_u8(&packet[95], telemetry_manager->register_info.system_tlm.tlm_register_pointer_to_idx_of_bc_info_idx);
  TF_copy_u8(&packet[96], telemetry_manager->register_info.system_tlm.tlm_register_pointer_to_bc_cmd_idx);
  TF_copy_u8(&packet[97], telemetry_manager->register_info.high_freq_tlm.bc_info_idx[0]);
  TF_copy_u8(&packet[98], telemetry_manager->register_info.high_freq_tlm.bc_info_idx[1]);
  TF_copy_u8(&packet[99], telemetry_manager->register_info.high_freq_tlm.bc_info_idx[2]);
  TF_copy_u8(&packet[100], telemetry_manager->register_info.high_freq_tlm.bc_info_idx[3]);
  TF_copy_u8(&packet[101], telemetry_manager->register_info.high_freq_tlm.bc_info_idx[4]);
  TF_copy_u8(&packet[102], telemetry_manager->register_info.high_freq_tlm.bc_info_idx[5]);
  TF_copy_u8(&packet[103], telemetry_manager->register_info.high_freq_tlm.bc_info_idx[6]);
  TF_copy_u8(&packet[104], telemetry_manager->register_info.high_freq_tlm.bc_info_idx[7]);
  TF_copy_u8(&packet[105], telemetry_manager->register_info.high_freq_tlm.bc_info_idx[8]);
  TF_copy_u8(&packet[106], telemetry_manager->register_info.high_freq_tlm.bc_info_idx[9]);
  TF_copy_u8(&packet[107], telemetry_manager->register_info.high_freq_tlm.bc_info_idx_used_num);
  TF_copy_u8(&packet[108], telemetry_manager->register_info.high_freq_tlm.tlm_register_pointer_to_idx_of_bc_info_idx);
  TF_copy_u8(&packet[109], telemetry_manager->register_info.high_freq_tlm.tlm_register_pointer_to_bc_cmd_idx);
  TF_copy_u8(&packet[110], telemetry_manager->register_info.low_freq_tlm.bc_info_idx[0]);
  TF_copy_u8(&packet[111], telemetry_manager->register_info.low_freq_tlm.bc_info_idx[1]);
  TF_copy_u8(&packet[112], telemetry_manager->register_info.low_freq_tlm.bc_info_idx[2]);
  TF_copy_u8(&packet[113], telemetry_manager->register_info.low_freq_tlm.bc_info_idx[3]);
  TF_copy_u8(&packet[114], telemetry_manager->register_info.low_freq_tlm.bc_info_idx[4]);
  TF_copy_u8(&packet[115], telemetry_manager->register_info.low_freq_tlm.bc_info_idx[5]);
  TF_copy_u8(&packet[116], telemetry_manager->register_info.low_freq_tlm.bc_info_idx[6]);
  TF_copy_u8(&packet[117], telemetry_manager->register_info.low_freq_tlm.bc_info_idx[7]);
  TF_copy_u8(&packet[118], telemetry_manager->register_info.low_freq_tlm.bc_info_idx[8]);
  TF_copy_u8(&packet[119], telemetry_manager->register_info.low_freq_tlm.bc_info_idx[9]);
  TF_copy_u8(&packet[120], telemetry_manager->register_info.low_freq_tlm.bc_info_idx_used_num);
  TF_copy_u8(&packet[121], telemetry_manager->register_info.low_freq_tlm.tlm_register_pointer_to_idx_of_bc_info_idx);
  TF_copy_u8(&packet[122], telemetry_manager->register_info.low_freq_tlm.tlm_register_pointer_to_bc_cmd_idx);
  TF_copy_u8(&packet[123], telemetry_manager->register_info.reserve.bc_info_idx[0]);
  TF_copy_u8(&packet[124], telemetry_manager->register_info.reserve.bc_info_idx[1]);
  TF_copy_u8(&packet[125], telemetry_manager->register_info.reserve.bc_info_idx[2]);
  TF_copy_u8(&packet[126], telemetry_manager->register_info.reserve.bc_info_idx[3]);
  TF_copy_u8(&packet[127], telemetry_manager->register_info.reserve.bc_info_idx[4]);
  TF_copy_u8(&packet[128], telemetry_manager->register_info.reserve.bc_info_idx[5]);
  TF_copy_u8(&packet[129], telemetry_manager->register_info.reserve.bc_info_idx[6]);
  TF_copy_u8(&packet[130], telemetry_manager->register_info.reserve.bc_info_idx[7]);
  TF_copy_u8(&packet[131], telemetry_manager->register_info.reserve.bc_info_idx[8]);
  TF_copy_u8(&packet[132], telemetry_manager->register_info.reserve.bc_info_idx[9]);
  TF_copy_u8(&packet[133], telemetry_manager->register_info.reserve.bc_info_idx_used_num);
  TF_copy_u8(&packet[134], telemetry_manager->register_info.reserve.tlm_register_pointer_to_idx_of_bc_info_idx);
  TF_copy_u8(&packet[135], telemetry_manager->register_info.reserve.tlm_register_pointer_to_bc_cmd_idx);
  TF_copy_u8(&packet[136], telemetry_manager->is_inited);
#endif

  *len = 137;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_TL_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (416 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], TLCD_update_tl_list_for_tlm(timeline_command_dispatcher->tlm_info_.id));
  TF_copy_u8(&packet[27], timeline_command_dispatcher->tlm_info_.page_no);
  TF_copy_u32(&packet[28], timeline_command_dispatcher->tlm_info_.updated_at);
  TF_copy_u16(&packet[32], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+0]));
  TF_copy_u32(&packet[34], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+0]));
  TF_copy_u8(&packet[38], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+0])[0]);
  TF_copy_u8(&packet[39], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+0])[1]);
  TF_copy_u8(&packet[40], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+0])[2]);
  TF_copy_u8(&packet[41], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+0])[3]);
  TF_copy_u8(&packet[42], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+0])[4]);
  TF_copy_u8(&packet[43], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+0])[5]);
  TF_copy_u16(&packet[44], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+1]));
  TF_copy_u32(&packet[46], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+1]));
  TF_copy_u8(&packet[50], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+1])[0]);
  TF_copy_u8(&packet[51], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+1])[1]);
  TF_copy_u8(&packet[52], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+1])[2]);
  TF_copy_u8(&packet[53], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+1])[3]);
  TF_copy_u8(&packet[54], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+1])[4]);
  TF_copy_u8(&packet[55], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+1])[5]);
  TF_copy_u16(&packet[56], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+2]));
  TF_copy_u32(&packet[58], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+2]));
  TF_copy_u8(&packet[62], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+2])[0]);
  TF_copy_u8(&packet[63], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+2])[1]);
  TF_copy_u8(&packet[64], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+2])[2]);
  TF_copy_u8(&packet[65], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+2])[3]);
  TF_copy_u8(&packet[66], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+2])[4]);
  TF_copy_u8(&packet[67], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+2])[5]);
  TF_copy_u16(&packet[68], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+3]));
  TF_copy_u32(&packet[70], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+3]));
  TF_copy_u8(&packet[74], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+3])[0]);
  TF_copy_u8(&packet[75], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+3])[1]);
  TF_copy_u8(&packet[76], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+3])[2]);
  TF_copy_u8(&packet[77], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+3])[3]);
  TF_copy_u8(&packet[78], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+3])[4]);
  TF_copy_u8(&packet[79], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+3])[5]);
  TF_copy_u16(&packet[80], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+4]));
  TF_copy_u32(&packet[82], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+4]));
  TF_copy_u8(&packet[86], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+4])[0]);
  TF_copy_u8(&packet[87], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+4])[1]);
  TF_copy_u8(&packet[88], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+4])[2]);
  TF_copy_u8(&packet[89], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+4])[3]);
  TF_copy_u8(&packet[90], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+4])[4]);
  TF_copy_u8(&packet[91], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+4])[5]);
  TF_copy_u16(&packet[92], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+5]));
  TF_copy_u32(&packet[94], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+5]));
  TF_copy_u8(&packet[98], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+5])[0]);
  TF_copy_u8(&packet[99], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+5])[1]);
  TF_copy_u8(&packet[100], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+5])[2]);
  TF_copy_u8(&packet[101], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+5])[3]);
  TF_copy_u8(&packet[102], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+5])[4]);
  TF_copy_u8(&packet[103], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+5])[5]);
  TF_copy_u16(&packet[104], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+6]));
  TF_copy_u32(&packet[106], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+6]));
  TF_copy_u8(&packet[110], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+6])[0]);
  TF_copy_u8(&packet[111], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+6])[1]);
  TF_copy_u8(&packet[112], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+6])[2]);
  TF_copy_u8(&packet[113], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+6])[3]);
  TF_copy_u8(&packet[114], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+6])[4]);
  TF_copy_u8(&packet[115], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+6])[5]);
  TF_copy_u16(&packet[116], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+7]));
  TF_copy_u32(&packet[118], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+7]));
  TF_copy_u8(&packet[122], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+7])[0]);
  TF_copy_u8(&packet[123], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+7])[1]);
  TF_copy_u8(&packet[124], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+7])[2]);
  TF_copy_u8(&packet[125], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+7])[3]);
  TF_copy_u8(&packet[126], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+7])[4]);
  TF_copy_u8(&packet[127], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+7])[5]);
  TF_copy_u16(&packet[128], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+8]));
  TF_copy_u32(&packet[130], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+8]));
  TF_copy_u8(&packet[134], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+8])[0]);
  TF_copy_u8(&packet[135], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+8])[1]);
  TF_copy_u8(&packet[136], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+8])[2]);
  TF_copy_u8(&packet[137], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+8])[3]);
  TF_copy_u8(&packet[138], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+8])[4]);
  TF_copy_u8(&packet[139], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+8])[5]);
  TF_copy_u16(&packet[140], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+9]));
  TF_copy_u32(&packet[142], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+9]));
  TF_copy_u8(&packet[146], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+9])[0]);
  TF_copy_u8(&packet[147], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+9])[1]);
  TF_copy_u8(&packet[148], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+9])[2]);
  TF_copy_u8(&packet[149], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+9])[3]);
  TF_copy_u8(&packet[150], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+9])[4]);
  TF_copy_u8(&packet[151], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+9])[5]);
  TF_copy_u16(&packet[152], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+10]));
  TF_copy_u32(&packet[154], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+10]));
  TF_copy_u8(&packet[158], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+10])[0]);
  TF_copy_u8(&packet[159], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+10])[1]);
  TF_copy_u8(&packet[160], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+10])[2]);
  TF_copy_u8(&packet[161], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+10])[3]);
  TF_copy_u8(&packet[162], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+10])[4]);
  TF_copy_u8(&packet[163], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+10])[5]);
  TF_copy_u16(&packet[164], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+11]));
  TF_copy_u32(&packet[166], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+11]));
  TF_copy_u8(&packet[170], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+11])[0]);
  TF_copy_u8(&packet[171], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+11])[1]);
  TF_copy_u8(&packet[172], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+11])[2]);
  TF_copy_u8(&packet[173], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+11])[3]);
  TF_copy_u8(&packet[174], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+11])[4]);
  TF_copy_u8(&packet[175], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+11])[5]);
  TF_copy_u16(&packet[176], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+12]));
  TF_copy_u32(&packet[178], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+12]));
  TF_copy_u8(&packet[182], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+12])[0]);
  TF_copy_u8(&packet[183], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+12])[1]);
  TF_copy_u8(&packet[184], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+12])[2]);
  TF_copy_u8(&packet[185], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+12])[3]);
  TF_copy_u8(&packet[186], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+12])[4]);
  TF_copy_u8(&packet[187], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+12])[5]);
  TF_copy_u16(&packet[188], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+13]));
  TF_copy_u32(&packet[190], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+13]));
  TF_copy_u8(&packet[194], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+13])[0]);
  TF_copy_u8(&packet[195], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+13])[1]);
  TF_copy_u8(&packet[196], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+13])[2]);
  TF_copy_u8(&packet[197], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+13])[3]);
  TF_copy_u8(&packet[198], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+13])[4]);
  TF_copy_u8(&packet[199], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+13])[5]);
  TF_copy_u16(&packet[200], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+14]));
  TF_copy_u32(&packet[202], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+14]));
  TF_copy_u8(&packet[206], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+14])[0]);
  TF_copy_u8(&packet[207], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+14])[1]);
  TF_copy_u8(&packet[208], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+14])[2]);
  TF_copy_u8(&packet[209], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+14])[3]);
  TF_copy_u8(&packet[210], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+14])[4]);
  TF_copy_u8(&packet[211], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+14])[5]);
  TF_copy_u16(&packet[212], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+15]));
  TF_copy_u32(&packet[214], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+15]));
  TF_copy_u8(&packet[218], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+15])[0]);
  TF_copy_u8(&packet[219], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+15])[1]);
  TF_copy_u8(&packet[220], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+15])[2]);
  TF_copy_u8(&packet[221], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+15])[3]);
  TF_copy_u8(&packet[222], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+15])[4]);
  TF_copy_u8(&packet[223], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+15])[5]);
  TF_copy_u16(&packet[224], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+16]));
  TF_copy_u32(&packet[226], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+16]));
  TF_copy_u8(&packet[230], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+16])[0]);
  TF_copy_u8(&packet[231], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+16])[1]);
  TF_copy_u8(&packet[232], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+16])[2]);
  TF_copy_u8(&packet[233], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+16])[3]);
  TF_copy_u8(&packet[234], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+16])[4]);
  TF_copy_u8(&packet[235], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+16])[5]);
  TF_copy_u16(&packet[236], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+17]));
  TF_copy_u32(&packet[238], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+17]));
  TF_copy_u8(&packet[242], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+17])[0]);
  TF_copy_u8(&packet[243], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+17])[1]);
  TF_copy_u8(&packet[244], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+17])[2]);
  TF_copy_u8(&packet[245], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+17])[3]);
  TF_copy_u8(&packet[246], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+17])[4]);
  TF_copy_u8(&packet[247], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+17])[5]);
  TF_copy_u16(&packet[248], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+18]));
  TF_copy_u32(&packet[250], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+18]));
  TF_copy_u8(&packet[254], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+18])[0]);
  TF_copy_u8(&packet[255], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+18])[1]);
  TF_copy_u8(&packet[256], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+18])[2]);
  TF_copy_u8(&packet[257], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+18])[3]);
  TF_copy_u8(&packet[258], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+18])[4]);
  TF_copy_u8(&packet[259], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+18])[5]);
  TF_copy_u16(&packet[260], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+19]));
  TF_copy_u32(&packet[262], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+19]));
  TF_copy_u8(&packet[266], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+19])[0]);
  TF_copy_u8(&packet[267], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+19])[1]);
  TF_copy_u8(&packet[268], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+19])[2]);
  TF_copy_u8(&packet[269], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+19])[3]);
  TF_copy_u8(&packet[270], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+19])[4]);
  TF_copy_u8(&packet[271], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+19])[5]);
  TF_copy_u16(&packet[272], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+20]));
  TF_copy_u32(&packet[274], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+20]));
  TF_copy_u8(&packet[278], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+20])[0]);
  TF_copy_u8(&packet[279], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+20])[1]);
  TF_copy_u8(&packet[280], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+20])[2]);
  TF_copy_u8(&packet[281], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+20])[3]);
  TF_copy_u8(&packet[282], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+20])[4]);
  TF_copy_u8(&packet[283], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+20])[5]);
  TF_copy_u16(&packet[284], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+21]));
  TF_copy_u32(&packet[286], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+21]));
  TF_copy_u8(&packet[290], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+21])[0]);
  TF_copy_u8(&packet[291], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+21])[1]);
  TF_copy_u8(&packet[292], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+21])[2]);
  TF_copy_u8(&packet[293], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+21])[3]);
  TF_copy_u8(&packet[294], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+21])[4]);
  TF_copy_u8(&packet[295], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+21])[5]);
  TF_copy_u16(&packet[296], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+22]));
  TF_copy_u32(&packet[298], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+22]));
  TF_copy_u8(&packet[302], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+22])[0]);
  TF_copy_u8(&packet[303], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+22])[1]);
  TF_copy_u8(&packet[304], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+22])[2]);
  TF_copy_u8(&packet[305], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+22])[3]);
  TF_copy_u8(&packet[306], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+22])[4]);
  TF_copy_u8(&packet[307], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+22])[5]);
  TF_copy_u16(&packet[308], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+23]));
  TF_copy_u32(&packet[310], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+23]));
  TF_copy_u8(&packet[314], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+23])[0]);
  TF_copy_u8(&packet[315], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+23])[1]);
  TF_copy_u8(&packet[316], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+23])[2]);
  TF_copy_u8(&packet[317], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+23])[3]);
  TF_copy_u8(&packet[318], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+23])[4]);
  TF_copy_u8(&packet[319], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+23])[5]);
  TF_copy_u16(&packet[320], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+24]));
  TF_copy_u32(&packet[322], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+24]));
  TF_copy_u8(&packet[326], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+24])[0]);
  TF_copy_u8(&packet[327], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+24])[1]);
  TF_copy_u8(&packet[328], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+24])[2]);
  TF_copy_u8(&packet[329], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+24])[3]);
  TF_copy_u8(&packet[330], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+24])[4]);
  TF_copy_u8(&packet[331], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+24])[5]);
  TF_copy_u16(&packet[332], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+25]));
  TF_copy_u32(&packet[334], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+25]));
  TF_copy_u8(&packet[338], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+25])[0]);
  TF_copy_u8(&packet[339], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+25])[1]);
  TF_copy_u8(&packet[340], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+25])[2]);
  TF_copy_u8(&packet[341], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+25])[3]);
  TF_copy_u8(&packet[342], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+25])[4]);
  TF_copy_u8(&packet[343], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+25])[5]);
  TF_copy_u16(&packet[344], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+26]));
  TF_copy_u32(&packet[346], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+26]));
  TF_copy_u8(&packet[350], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+26])[0]);
  TF_copy_u8(&packet[351], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+26])[1]);
  TF_copy_u8(&packet[352], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+26])[2]);
  TF_copy_u8(&packet[353], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+26])[3]);
  TF_copy_u8(&packet[354], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+26])[4]);
  TF_copy_u8(&packet[355], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+26])[5]);
  TF_copy_u16(&packet[356], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+27]));
  TF_copy_u32(&packet[358], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+27]));
  TF_copy_u8(&packet[362], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+27])[0]);
  TF_copy_u8(&packet[363], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+27])[1]);
  TF_copy_u8(&packet[364], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+27])[2]);
  TF_copy_u8(&packet[365], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+27])[3]);
  TF_copy_u8(&packet[366], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+27])[4]);
  TF_copy_u8(&packet[367], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+27])[5]);
  TF_copy_u16(&packet[368], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+28]));
  TF_copy_u32(&packet[370], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+28]));
  TF_copy_u8(&packet[374], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+28])[0]);
  TF_copy_u8(&packet[375], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+28])[1]);
  TF_copy_u8(&packet[376], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+28])[2]);
  TF_copy_u8(&packet[377], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+28])[3]);
  TF_copy_u8(&packet[378], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+28])[4]);
  TF_copy_u8(&packet[379], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+28])[5]);
  TF_copy_u16(&packet[380], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+29]));
  TF_copy_u32(&packet[382], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+29]));
  TF_copy_u8(&packet[386], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+29])[0]);
  TF_copy_u8(&packet[387], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+29])[1]);
  TF_copy_u8(&packet[388], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+29])[2]);
  TF_copy_u8(&packet[389], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+29])[3]);
  TF_copy_u8(&packet[390], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+29])[4]);
  TF_copy_u8(&packet[391], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+29])[5]);
  TF_copy_u16(&packet[392], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+30]));
  TF_copy_u32(&packet[394], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+30]));
  TF_copy_u8(&packet[398], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+30])[0]);
  TF_copy_u8(&packet[399], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+30])[1]);
  TF_copy_u8(&packet[400], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+30])[2]);
  TF_copy_u8(&packet[401], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+30])[3]);
  TF_copy_u8(&packet[402], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+30])[4]);
  TF_copy_u8(&packet[403], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+30])[5]);
  TF_copy_u16(&packet[404], (uint16_t)CCP_get_id(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+31]));
  TF_copy_u32(&packet[406], (uint32_t)CCP_get_ti(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+31]));
  TF_copy_u8(&packet[410], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+31])[0]);
  TF_copy_u8(&packet[411], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+31])[1]);
  TF_copy_u8(&packet[412], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+31])[2]);
  TF_copy_u8(&packet[413], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+31])[3]);
  TF_copy_u8(&packet[414], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+31])[4]);
  TF_copy_u8(&packet[415], CCP_get_param_head(timeline_command_dispatcher->tlm_info_.tl_list[TL_TLM_PAGE_SIZE*(timeline_command_dispatcher->tlm_info_.page_no)+31])[5]);
#endif

  *len = 416;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_BL_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (426 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u16(&packet[26], block_command_table->pos.block);
  TF_copy_u8(&packet[28], block_command_table->pos.cmd);
  TF_copy_u8(&packet[29], BCT_get_bc_length(block_command_table->pos.block));
  TF_copy_u8(&packet[30], BCE_get_bc_exe_params(block_command_table->pos.block)->rotate.next_cmd);
  TF_copy_u16(&packet[31], BCE_get_bc_exe_params(block_command_table->pos.block)->rotate.counter);
  TF_copy_u16(&packet[33], BCE_get_bc_exe_params(block_command_table->pos.block)->rotate.interval);
  TF_copy_u16(&packet[35], BCE_get_bc_exe_params(block_command_table->pos.block)->timelimit_combine.call_num);
  TF_copy_u16(&packet[37], BCE_get_bc_exe_params(block_command_table->pos.block)->timelimit_combine.timeover_num);
  TF_copy_u8(&packet[39], BCE_get_bc_exe_params(block_command_table->pos.block)->timelimit_combine.last_timeover_cmd_pos);
  TF_copy_u8(&packet[40], BCE_get_bc_exe_params(block_command_table->pos.block)->timelimit_combine.worst_cmd_pos);
  TF_copy_u8(&packet[41], BCE_get_bc_exe_params(block_command_table->pos.block)->is_active);
  TF_copy_u16(&packet[42], (uint16_t)BCT_get_id(block_command_table->pos.block, 0));
  TF_copy_u32(&packet[44], (uint32_t)BCT_get_ti(block_command_table->pos.block, 0));
  TF_copy_u8(&packet[48], BCT_get_param_head(block_command_table->pos.block, 0)[0]);
  TF_copy_u8(&packet[49], BCT_get_param_head(block_command_table->pos.block, 0)[1]);
  TF_copy_u8(&packet[50], BCT_get_param_head(block_command_table->pos.block, 0)[2]);
  TF_copy_u8(&packet[51], BCT_get_param_head(block_command_table->pos.block, 0)[3]);
  TF_copy_u8(&packet[52], BCT_get_param_head(block_command_table->pos.block, 0)[4]);
  TF_copy_u8(&packet[53], BCT_get_param_head(block_command_table->pos.block, 0)[5]);
  TF_copy_u16(&packet[54], (uint16_t)BCT_get_id(block_command_table->pos.block, 1));
  TF_copy_u32(&packet[56], (uint32_t)BCT_get_ti(block_command_table->pos.block, 1));
  TF_copy_u8(&packet[60], BCT_get_param_head(block_command_table->pos.block, 1)[0]);
  TF_copy_u8(&packet[61], BCT_get_param_head(block_command_table->pos.block, 1)[1]);
  TF_copy_u8(&packet[62], BCT_get_param_head(block_command_table->pos.block, 1)[2]);
  TF_copy_u8(&packet[63], BCT_get_param_head(block_command_table->pos.block, 1)[3]);
  TF_copy_u8(&packet[64], BCT_get_param_head(block_command_table->pos.block, 1)[4]);
  TF_copy_u8(&packet[65], BCT_get_param_head(block_command_table->pos.block, 1)[5]);
  TF_copy_u16(&packet[66], (uint16_t)BCT_get_id(block_command_table->pos.block, 2));
  TF_copy_u32(&packet[68], (uint32_t)BCT_get_ti(block_command_table->pos.block, 2));
  TF_copy_u8(&packet[72], BCT_get_param_head(block_command_table->pos.block, 2)[0]);
  TF_copy_u8(&packet[73], BCT_get_param_head(block_command_table->pos.block, 2)[1]);
  TF_copy_u8(&packet[74], BCT_get_param_head(block_command_table->pos.block, 2)[2]);
  TF_copy_u8(&packet[75], BCT_get_param_head(block_command_table->pos.block, 2)[3]);
  TF_copy_u8(&packet[76], BCT_get_param_head(block_command_table->pos.block, 2)[4]);
  TF_copy_u8(&packet[77], BCT_get_param_head(block_command_table->pos.block, 2)[5]);
  TF_copy_u16(&packet[78], (uint16_t)BCT_get_id(block_command_table->pos.block, 3));
  TF_copy_u32(&packet[80], (uint32_t)BCT_get_ti(block_command_table->pos.block, 3));
  TF_copy_u8(&packet[84], BCT_get_param_head(block_command_table->pos.block, 3)[0]);
  TF_copy_u8(&packet[85], BCT_get_param_head(block_command_table->pos.block, 3)[1]);
  TF_copy_u8(&packet[86], BCT_get_param_head(block_command_table->pos.block, 3)[2]);
  TF_copy_u8(&packet[87], BCT_get_param_head(block_command_table->pos.block, 3)[3]);
  TF_copy_u8(&packet[88], BCT_get_param_head(block_command_table->pos.block, 3)[4]);
  TF_copy_u8(&packet[89], BCT_get_param_head(block_command_table->pos.block, 3)[5]);
  TF_copy_u16(&packet[90], (uint16_t)BCT_get_id(block_command_table->pos.block, 4));
  TF_copy_u32(&packet[92], (uint32_t)BCT_get_ti(block_command_table->pos.block, 4));
  TF_copy_u8(&packet[96], BCT_get_param_head(block_command_table->pos.block, 4)[0]);
  TF_copy_u8(&packet[97], BCT_get_param_head(block_command_table->pos.block, 4)[1]);
  TF_copy_u8(&packet[98], BCT_get_param_head(block_command_table->pos.block, 4)[2]);
  TF_copy_u8(&packet[99], BCT_get_param_head(block_command_table->pos.block, 4)[3]);
  TF_copy_u8(&packet[100], BCT_get_param_head(block_command_table->pos.block, 4)[4]);
  TF_copy_u8(&packet[101], BCT_get_param_head(block_command_table->pos.block, 4)[5]);
  TF_copy_u16(&packet[102], (uint16_t)BCT_get_id(block_command_table->pos.block, 5));
  TF_copy_u32(&packet[104], (uint32_t)BCT_get_ti(block_command_table->pos.block, 5));
  TF_copy_u8(&packet[108], BCT_get_param_head(block_command_table->pos.block, 5)[0]);
  TF_copy_u8(&packet[109], BCT_get_param_head(block_command_table->pos.block, 5)[1]);
  TF_copy_u8(&packet[110], BCT_get_param_head(block_command_table->pos.block, 5)[2]);
  TF_copy_u8(&packet[111], BCT_get_param_head(block_command_table->pos.block, 5)[3]);
  TF_copy_u8(&packet[112], BCT_get_param_head(block_command_table->pos.block, 5)[4]);
  TF_copy_u8(&packet[113], BCT_get_param_head(block_command_table->pos.block, 5)[5]);
  TF_copy_u16(&packet[114], (uint16_t)BCT_get_id(block_command_table->pos.block, 6));
  TF_copy_u32(&packet[116], (uint32_t)BCT_get_ti(block_command_table->pos.block, 6));
  TF_copy_u8(&packet[120], BCT_get_param_head(block_command_table->pos.block, 6)[0]);
  TF_copy_u8(&packet[121], BCT_get_param_head(block_command_table->pos.block, 6)[1]);
  TF_copy_u8(&packet[122], BCT_get_param_head(block_command_table->pos.block, 6)[2]);
  TF_copy_u8(&packet[123], BCT_get_param_head(block_command_table->pos.block, 6)[3]);
  TF_copy_u8(&packet[124], BCT_get_param_head(block_command_table->pos.block, 6)[4]);
  TF_copy_u8(&packet[125], BCT_get_param_head(block_command_table->pos.block, 6)[5]);
  TF_copy_u16(&packet[126], (uint16_t)BCT_get_id(block_command_table->pos.block, 7));
  TF_copy_u32(&packet[128], (uint32_t)BCT_get_ti(block_command_table->pos.block, 7));
  TF_copy_u8(&packet[132], BCT_get_param_head(block_command_table->pos.block, 7)[0]);
  TF_copy_u8(&packet[133], BCT_get_param_head(block_command_table->pos.block, 7)[1]);
  TF_copy_u8(&packet[134], BCT_get_param_head(block_command_table->pos.block, 7)[2]);
  TF_copy_u8(&packet[135], BCT_get_param_head(block_command_table->pos.block, 7)[3]);
  TF_copy_u8(&packet[136], BCT_get_param_head(block_command_table->pos.block, 7)[4]);
  TF_copy_u8(&packet[137], BCT_get_param_head(block_command_table->pos.block, 7)[5]);
  TF_copy_u16(&packet[138], (uint16_t)BCT_get_id(block_command_table->pos.block, 8));
  TF_copy_u32(&packet[140], (uint32_t)BCT_get_ti(block_command_table->pos.block, 8));
  TF_copy_u8(&packet[144], BCT_get_param_head(block_command_table->pos.block, 8)[0]);
  TF_copy_u8(&packet[145], BCT_get_param_head(block_command_table->pos.block, 8)[1]);
  TF_copy_u8(&packet[146], BCT_get_param_head(block_command_table->pos.block, 8)[2]);
  TF_copy_u8(&packet[147], BCT_get_param_head(block_command_table->pos.block, 8)[3]);
  TF_copy_u8(&packet[148], BCT_get_param_head(block_command_table->pos.block, 8)[4]);
  TF_copy_u8(&packet[149], BCT_get_param_head(block_command_table->pos.block, 8)[5]);
  TF_copy_u16(&packet[150], (uint16_t)BCT_get_id(block_command_table->pos.block, 9));
  TF_copy_u32(&packet[152], (uint32_t)BCT_get_ti(block_command_table->pos.block, 9));
  TF_copy_u8(&packet[156], BCT_get_param_head(block_command_table->pos.block, 9)[0]);
  TF_copy_u8(&packet[157], BCT_get_param_head(block_command_table->pos.block, 9)[1]);
  TF_copy_u8(&packet[158], BCT_get_param_head(block_command_table->pos.block, 9)[2]);
  TF_copy_u8(&packet[159], BCT_get_param_head(block_command_table->pos.block, 9)[3]);
  TF_copy_u8(&packet[160], BCT_get_param_head(block_command_table->pos.block, 9)[4]);
  TF_copy_u8(&packet[161], BCT_get_param_head(block_command_table->pos.block, 9)[5]);
  TF_copy_u16(&packet[162], (uint16_t)BCT_get_id(block_command_table->pos.block, 10));
  TF_copy_u32(&packet[164], (uint32_t)BCT_get_ti(block_command_table->pos.block, 10));
  TF_copy_u8(&packet[168], BCT_get_param_head(block_command_table->pos.block, 10)[0]);
  TF_copy_u8(&packet[169], BCT_get_param_head(block_command_table->pos.block, 10)[1]);
  TF_copy_u8(&packet[170], BCT_get_param_head(block_command_table->pos.block, 10)[2]);
  TF_copy_u8(&packet[171], BCT_get_param_head(block_command_table->pos.block, 10)[3]);
  TF_copy_u8(&packet[172], BCT_get_param_head(block_command_table->pos.block, 10)[4]);
  TF_copy_u8(&packet[173], BCT_get_param_head(block_command_table->pos.block, 10)[5]);
  TF_copy_u16(&packet[174], (uint16_t)BCT_get_id(block_command_table->pos.block, 11));
  TF_copy_u32(&packet[176], (uint32_t)BCT_get_ti(block_command_table->pos.block, 11));
  TF_copy_u8(&packet[180], BCT_get_param_head(block_command_table->pos.block, 11)[0]);
  TF_copy_u8(&packet[181], BCT_get_param_head(block_command_table->pos.block, 11)[1]);
  TF_copy_u8(&packet[182], BCT_get_param_head(block_command_table->pos.block, 11)[2]);
  TF_copy_u8(&packet[183], BCT_get_param_head(block_command_table->pos.block, 11)[3]);
  TF_copy_u8(&packet[184], BCT_get_param_head(block_command_table->pos.block, 11)[4]);
  TF_copy_u8(&packet[185], BCT_get_param_head(block_command_table->pos.block, 11)[5]);
  TF_copy_u16(&packet[186], (uint16_t)BCT_get_id(block_command_table->pos.block, 12));
  TF_copy_u32(&packet[188], (uint32_t)BCT_get_ti(block_command_table->pos.block, 12));
  TF_copy_u8(&packet[192], BCT_get_param_head(block_command_table->pos.block, 12)[0]);
  TF_copy_u8(&packet[193], BCT_get_param_head(block_command_table->pos.block, 12)[1]);
  TF_copy_u8(&packet[194], BCT_get_param_head(block_command_table->pos.block, 12)[2]);
  TF_copy_u8(&packet[195], BCT_get_param_head(block_command_table->pos.block, 12)[3]);
  TF_copy_u8(&packet[196], BCT_get_param_head(block_command_table->pos.block, 12)[4]);
  TF_copy_u8(&packet[197], BCT_get_param_head(block_command_table->pos.block, 12)[5]);
  TF_copy_u16(&packet[198], (uint16_t)BCT_get_id(block_command_table->pos.block, 13));
  TF_copy_u32(&packet[200], (uint32_t)BCT_get_ti(block_command_table->pos.block, 13));
  TF_copy_u8(&packet[204], BCT_get_param_head(block_command_table->pos.block, 13)[0]);
  TF_copy_u8(&packet[205], BCT_get_param_head(block_command_table->pos.block, 13)[1]);
  TF_copy_u8(&packet[206], BCT_get_param_head(block_command_table->pos.block, 13)[2]);
  TF_copy_u8(&packet[207], BCT_get_param_head(block_command_table->pos.block, 13)[3]);
  TF_copy_u8(&packet[208], BCT_get_param_head(block_command_table->pos.block, 13)[4]);
  TF_copy_u8(&packet[209], BCT_get_param_head(block_command_table->pos.block, 13)[5]);
  TF_copy_u16(&packet[210], (uint16_t)BCT_get_id(block_command_table->pos.block, 14));
  TF_copy_u32(&packet[212], (uint32_t)BCT_get_ti(block_command_table->pos.block, 14));
  TF_copy_u8(&packet[216], BCT_get_param_head(block_command_table->pos.block, 14)[0]);
  TF_copy_u8(&packet[217], BCT_get_param_head(block_command_table->pos.block, 14)[1]);
  TF_copy_u8(&packet[218], BCT_get_param_head(block_command_table->pos.block, 14)[2]);
  TF_copy_u8(&packet[219], BCT_get_param_head(block_command_table->pos.block, 14)[3]);
  TF_copy_u8(&packet[220], BCT_get_param_head(block_command_table->pos.block, 14)[4]);
  TF_copy_u8(&packet[221], BCT_get_param_head(block_command_table->pos.block, 14)[5]);
  TF_copy_u16(&packet[222], (uint16_t)BCT_get_id(block_command_table->pos.block, 15));
  TF_copy_u32(&packet[224], (uint32_t)BCT_get_ti(block_command_table->pos.block, 15));
  TF_copy_u8(&packet[228], BCT_get_param_head(block_command_table->pos.block, 15)[0]);
  TF_copy_u8(&packet[229], BCT_get_param_head(block_command_table->pos.block, 15)[1]);
  TF_copy_u8(&packet[230], BCT_get_param_head(block_command_table->pos.block, 15)[2]);
  TF_copy_u8(&packet[231], BCT_get_param_head(block_command_table->pos.block, 15)[3]);
  TF_copy_u8(&packet[232], BCT_get_param_head(block_command_table->pos.block, 15)[4]);
  TF_copy_u8(&packet[233], BCT_get_param_head(block_command_table->pos.block, 15)[5]);
  TF_copy_u16(&packet[234], (uint16_t)BCT_get_id(block_command_table->pos.block, 16));
  TF_copy_u32(&packet[236], (uint32_t)BCT_get_ti(block_command_table->pos.block, 16));
  TF_copy_u8(&packet[240], BCT_get_param_head(block_command_table->pos.block, 16)[0]);
  TF_copy_u8(&packet[241], BCT_get_param_head(block_command_table->pos.block, 16)[1]);
  TF_copy_u8(&packet[242], BCT_get_param_head(block_command_table->pos.block, 16)[2]);
  TF_copy_u8(&packet[243], BCT_get_param_head(block_command_table->pos.block, 16)[3]);
  TF_copy_u8(&packet[244], BCT_get_param_head(block_command_table->pos.block, 16)[4]);
  TF_copy_u8(&packet[245], BCT_get_param_head(block_command_table->pos.block, 16)[5]);
  TF_copy_u16(&packet[246], (uint16_t)BCT_get_id(block_command_table->pos.block, 17));
  TF_copy_u32(&packet[248], (uint32_t)BCT_get_ti(block_command_table->pos.block, 17));
  TF_copy_u8(&packet[252], BCT_get_param_head(block_command_table->pos.block, 17)[0]);
  TF_copy_u8(&packet[253], BCT_get_param_head(block_command_table->pos.block, 17)[1]);
  TF_copy_u8(&packet[254], BCT_get_param_head(block_command_table->pos.block, 17)[2]);
  TF_copy_u8(&packet[255], BCT_get_param_head(block_command_table->pos.block, 17)[3]);
  TF_copy_u8(&packet[256], BCT_get_param_head(block_command_table->pos.block, 17)[4]);
  TF_copy_u8(&packet[257], BCT_get_param_head(block_command_table->pos.block, 17)[5]);
  TF_copy_u16(&packet[258], (uint16_t)BCT_get_id(block_command_table->pos.block, 18));
  TF_copy_u32(&packet[260], (uint32_t)BCT_get_ti(block_command_table->pos.block, 18));
  TF_copy_u8(&packet[264], BCT_get_param_head(block_command_table->pos.block, 18)[0]);
  TF_copy_u8(&packet[265], BCT_get_param_head(block_command_table->pos.block, 18)[1]);
  TF_copy_u8(&packet[266], BCT_get_param_head(block_command_table->pos.block, 18)[2]);
  TF_copy_u8(&packet[267], BCT_get_param_head(block_command_table->pos.block, 18)[3]);
  TF_copy_u8(&packet[268], BCT_get_param_head(block_command_table->pos.block, 18)[4]);
  TF_copy_u8(&packet[269], BCT_get_param_head(block_command_table->pos.block, 18)[5]);
  TF_copy_u16(&packet[270], (uint16_t)BCT_get_id(block_command_table->pos.block, 19));
  TF_copy_u32(&packet[272], (uint32_t)BCT_get_ti(block_command_table->pos.block, 19));
  TF_copy_u8(&packet[276], BCT_get_param_head(block_command_table->pos.block, 19)[0]);
  TF_copy_u8(&packet[277], BCT_get_param_head(block_command_table->pos.block, 19)[1]);
  TF_copy_u8(&packet[278], BCT_get_param_head(block_command_table->pos.block, 19)[2]);
  TF_copy_u8(&packet[279], BCT_get_param_head(block_command_table->pos.block, 19)[3]);
  TF_copy_u8(&packet[280], BCT_get_param_head(block_command_table->pos.block, 19)[4]);
  TF_copy_u8(&packet[281], BCT_get_param_head(block_command_table->pos.block, 19)[5]);
  TF_copy_u16(&packet[282], (uint16_t)BCT_get_id(block_command_table->pos.block, 20));
  TF_copy_u32(&packet[284], (uint32_t)BCT_get_ti(block_command_table->pos.block, 20));
  TF_copy_u8(&packet[288], BCT_get_param_head(block_command_table->pos.block, 20)[0]);
  TF_copy_u8(&packet[289], BCT_get_param_head(block_command_table->pos.block, 20)[1]);
  TF_copy_u8(&packet[290], BCT_get_param_head(block_command_table->pos.block, 20)[2]);
  TF_copy_u8(&packet[291], BCT_get_param_head(block_command_table->pos.block, 20)[3]);
  TF_copy_u8(&packet[292], BCT_get_param_head(block_command_table->pos.block, 20)[4]);
  TF_copy_u8(&packet[293], BCT_get_param_head(block_command_table->pos.block, 20)[5]);
  TF_copy_u16(&packet[294], (uint16_t)BCT_get_id(block_command_table->pos.block, 21));
  TF_copy_u32(&packet[296], (uint32_t)BCT_get_ti(block_command_table->pos.block, 21));
  TF_copy_u8(&packet[300], BCT_get_param_head(block_command_table->pos.block, 21)[0]);
  TF_copy_u8(&packet[301], BCT_get_param_head(block_command_table->pos.block, 21)[1]);
  TF_copy_u8(&packet[302], BCT_get_param_head(block_command_table->pos.block, 21)[2]);
  TF_copy_u8(&packet[303], BCT_get_param_head(block_command_table->pos.block, 21)[3]);
  TF_copy_u8(&packet[304], BCT_get_param_head(block_command_table->pos.block, 21)[4]);
  TF_copy_u8(&packet[305], BCT_get_param_head(block_command_table->pos.block, 21)[5]);
  TF_copy_u16(&packet[306], (uint16_t)BCT_get_id(block_command_table->pos.block, 22));
  TF_copy_u32(&packet[308], (uint32_t)BCT_get_ti(block_command_table->pos.block, 22));
  TF_copy_u8(&packet[312], BCT_get_param_head(block_command_table->pos.block, 22)[0]);
  TF_copy_u8(&packet[313], BCT_get_param_head(block_command_table->pos.block, 22)[1]);
  TF_copy_u8(&packet[314], BCT_get_param_head(block_command_table->pos.block, 22)[2]);
  TF_copy_u8(&packet[315], BCT_get_param_head(block_command_table->pos.block, 22)[3]);
  TF_copy_u8(&packet[316], BCT_get_param_head(block_command_table->pos.block, 22)[4]);
  TF_copy_u8(&packet[317], BCT_get_param_head(block_command_table->pos.block, 22)[5]);
  TF_copy_u16(&packet[318], (uint16_t)BCT_get_id(block_command_table->pos.block, 23));
  TF_copy_u32(&packet[320], (uint32_t)BCT_get_ti(block_command_table->pos.block, 23));
  TF_copy_u8(&packet[324], BCT_get_param_head(block_command_table->pos.block, 23)[0]);
  TF_copy_u8(&packet[325], BCT_get_param_head(block_command_table->pos.block, 23)[1]);
  TF_copy_u8(&packet[326], BCT_get_param_head(block_command_table->pos.block, 23)[2]);
  TF_copy_u8(&packet[327], BCT_get_param_head(block_command_table->pos.block, 23)[3]);
  TF_copy_u8(&packet[328], BCT_get_param_head(block_command_table->pos.block, 23)[4]);
  TF_copy_u8(&packet[329], BCT_get_param_head(block_command_table->pos.block, 23)[5]);
  TF_copy_u16(&packet[330], (uint16_t)BCT_get_id(block_command_table->pos.block, 24));
  TF_copy_u32(&packet[332], (uint32_t)BCT_get_ti(block_command_table->pos.block, 24));
  TF_copy_u8(&packet[336], BCT_get_param_head(block_command_table->pos.block, 24)[0]);
  TF_copy_u8(&packet[337], BCT_get_param_head(block_command_table->pos.block, 24)[1]);
  TF_copy_u8(&packet[338], BCT_get_param_head(block_command_table->pos.block, 24)[2]);
  TF_copy_u8(&packet[339], BCT_get_param_head(block_command_table->pos.block, 24)[3]);
  TF_copy_u8(&packet[340], BCT_get_param_head(block_command_table->pos.block, 24)[4]);
  TF_copy_u8(&packet[341], BCT_get_param_head(block_command_table->pos.block, 24)[5]);
  TF_copy_u16(&packet[342], (uint16_t)BCT_get_id(block_command_table->pos.block, 25));
  TF_copy_u32(&packet[344], (uint32_t)BCT_get_ti(block_command_table->pos.block, 25));
  TF_copy_u8(&packet[348], BCT_get_param_head(block_command_table->pos.block, 25)[0]);
  TF_copy_u8(&packet[349], BCT_get_param_head(block_command_table->pos.block, 25)[1]);
  TF_copy_u8(&packet[350], BCT_get_param_head(block_command_table->pos.block, 25)[2]);
  TF_copy_u8(&packet[351], BCT_get_param_head(block_command_table->pos.block, 25)[3]);
  TF_copy_u8(&packet[352], BCT_get_param_head(block_command_table->pos.block, 25)[4]);
  TF_copy_u8(&packet[353], BCT_get_param_head(block_command_table->pos.block, 25)[5]);
  TF_copy_u16(&packet[354], (uint16_t)BCT_get_id(block_command_table->pos.block, 26));
  TF_copy_u32(&packet[356], (uint32_t)BCT_get_ti(block_command_table->pos.block, 26));
  TF_copy_u8(&packet[360], BCT_get_param_head(block_command_table->pos.block, 26)[0]);
  TF_copy_u8(&packet[361], BCT_get_param_head(block_command_table->pos.block, 26)[1]);
  TF_copy_u8(&packet[362], BCT_get_param_head(block_command_table->pos.block, 26)[2]);
  TF_copy_u8(&packet[363], BCT_get_param_head(block_command_table->pos.block, 26)[3]);
  TF_copy_u8(&packet[364], BCT_get_param_head(block_command_table->pos.block, 26)[4]);
  TF_copy_u8(&packet[365], BCT_get_param_head(block_command_table->pos.block, 26)[5]);
  TF_copy_u16(&packet[366], (uint16_t)BCT_get_id(block_command_table->pos.block, 27));
  TF_copy_u32(&packet[368], (uint32_t)BCT_get_ti(block_command_table->pos.block, 27));
  TF_copy_u8(&packet[372], BCT_get_param_head(block_command_table->pos.block, 27)[0]);
  TF_copy_u8(&packet[373], BCT_get_param_head(block_command_table->pos.block, 27)[1]);
  TF_copy_u8(&packet[374], BCT_get_param_head(block_command_table->pos.block, 27)[2]);
  TF_copy_u8(&packet[375], BCT_get_param_head(block_command_table->pos.block, 27)[3]);
  TF_copy_u8(&packet[376], BCT_get_param_head(block_command_table->pos.block, 27)[4]);
  TF_copy_u8(&packet[377], BCT_get_param_head(block_command_table->pos.block, 27)[5]);
  TF_copy_u16(&packet[378], (uint16_t)BCT_get_id(block_command_table->pos.block, 28));
  TF_copy_u32(&packet[380], (uint32_t)BCT_get_ti(block_command_table->pos.block, 28));
  TF_copy_u8(&packet[384], BCT_get_param_head(block_command_table->pos.block, 28)[0]);
  TF_copy_u8(&packet[385], BCT_get_param_head(block_command_table->pos.block, 28)[1]);
  TF_copy_u8(&packet[386], BCT_get_param_head(block_command_table->pos.block, 28)[2]);
  TF_copy_u8(&packet[387], BCT_get_param_head(block_command_table->pos.block, 28)[3]);
  TF_copy_u8(&packet[388], BCT_get_param_head(block_command_table->pos.block, 28)[4]);
  TF_copy_u8(&packet[389], BCT_get_param_head(block_command_table->pos.block, 28)[5]);
  TF_copy_u16(&packet[390], (uint16_t)BCT_get_id(block_command_table->pos.block, 29));
  TF_copy_u32(&packet[392], (uint32_t)BCT_get_ti(block_command_table->pos.block, 29));
  TF_copy_u8(&packet[396], BCT_get_param_head(block_command_table->pos.block, 29)[0]);
  TF_copy_u8(&packet[397], BCT_get_param_head(block_command_table->pos.block, 29)[1]);
  TF_copy_u8(&packet[398], BCT_get_param_head(block_command_table->pos.block, 29)[2]);
  TF_copy_u8(&packet[399], BCT_get_param_head(block_command_table->pos.block, 29)[3]);
  TF_copy_u8(&packet[400], BCT_get_param_head(block_command_table->pos.block, 29)[4]);
  TF_copy_u8(&packet[401], BCT_get_param_head(block_command_table->pos.block, 29)[5]);
  TF_copy_u16(&packet[402], (uint16_t)BCT_get_id(block_command_table->pos.block, 30));
  TF_copy_u32(&packet[404], (uint32_t)BCT_get_ti(block_command_table->pos.block, 30));
  TF_copy_u8(&packet[408], BCT_get_param_head(block_command_table->pos.block, 30)[0]);
  TF_copy_u8(&packet[409], BCT_get_param_head(block_command_table->pos.block, 30)[1]);
  TF_copy_u8(&packet[410], BCT_get_param_head(block_command_table->pos.block, 30)[2]);
  TF_copy_u8(&packet[411], BCT_get_param_head(block_command_table->pos.block, 30)[3]);
  TF_copy_u8(&packet[412], BCT_get_param_head(block_command_table->pos.block, 30)[4]);
  TF_copy_u8(&packet[413], BCT_get_param_head(block_command_table->pos.block, 30)[5]);
  TF_copy_u16(&packet[414], (uint16_t)BCT_get_id(block_command_table->pos.block, 31));
  TF_copy_u32(&packet[416], (uint32_t)BCT_get_ti(block_command_table->pos.block, 31));
  TF_copy_u8(&packet[420], BCT_get_param_head(block_command_table->pos.block, 31)[0]);
  TF_copy_u8(&packet[421], BCT_get_param_head(block_command_table->pos.block, 31)[1]);
  TF_copy_u8(&packet[422], BCT_get_param_head(block_command_table->pos.block, 31)[2]);
  TF_copy_u8(&packet[423], BCT_get_param_head(block_command_table->pos.block, 31)[3]);
  TF_copy_u8(&packet[424], BCT_get_param_head(block_command_table->pos.block, 31)[4]);
  TF_copy_u8(&packet[425], BCT_get_param_head(block_command_table->pos.block, 31)[5]);
#endif

  *len = 426;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_CA_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (251 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], (uint8_t)(command_analyze->tlm_page_no));
  TF_copy_u32(&packet[27], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+0].cmd_func));
  TF_copy_u8(&packet[31], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+0].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+0].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[32], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+0].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+0].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[33], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+0].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+0].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[34], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+1].cmd_func));
  TF_copy_u8(&packet[38], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+1].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+1].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[39], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+1].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+1].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[40], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+1].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+1].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[41], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+2].cmd_func));
  TF_copy_u8(&packet[45], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+2].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+2].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[46], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+2].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+2].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[47], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+2].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+2].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[48], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+3].cmd_func));
  TF_copy_u8(&packet[52], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+3].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+3].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[53], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+3].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+3].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[54], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+3].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+3].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[55], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+4].cmd_func));
  TF_copy_u8(&packet[59], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+4].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+4].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[60], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+4].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+4].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[61], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+4].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+4].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[62], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+5].cmd_func));
  TF_copy_u8(&packet[66], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+5].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+5].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[67], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+5].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+5].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[68], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+5].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+5].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[69], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+6].cmd_func));
  TF_copy_u8(&packet[73], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+6].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+6].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[74], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+6].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+6].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[75], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+6].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+6].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[76], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+7].cmd_func));
  TF_copy_u8(&packet[80], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+7].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+7].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[81], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+7].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+7].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[82], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+7].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+7].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[83], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+8].cmd_func));
  TF_copy_u8(&packet[87], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+8].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+8].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[88], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+8].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+8].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[89], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+8].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+8].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[90], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+9].cmd_func));
  TF_copy_u8(&packet[94], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+9].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+9].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[95], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+9].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+9].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[96], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+9].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+9].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[97], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+10].cmd_func));
  TF_copy_u8(&packet[101], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+10].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+10].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[102], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+10].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+10].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[103], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+10].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+10].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[104], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+11].cmd_func));
  TF_copy_u8(&packet[108], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+11].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+11].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[109], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+11].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+11].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[110], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+11].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+11].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[111], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+12].cmd_func));
  TF_copy_u8(&packet[115], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+12].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+12].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[116], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+12].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+12].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[117], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+12].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+12].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[118], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+13].cmd_func));
  TF_copy_u8(&packet[122], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+13].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+13].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[123], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+13].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+13].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[124], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+13].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+13].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[125], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+14].cmd_func));
  TF_copy_u8(&packet[129], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+14].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+14].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[130], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+14].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+14].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[131], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+14].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+14].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[132], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+15].cmd_func));
  TF_copy_u8(&packet[136], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+15].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+15].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[137], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+15].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+15].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[138], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+15].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+15].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[139], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+16].cmd_func));
  TF_copy_u8(&packet[143], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+16].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+16].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[144], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+16].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+16].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[145], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+16].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+16].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[146], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+17].cmd_func));
  TF_copy_u8(&packet[150], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+17].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+17].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[151], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+17].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+17].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[152], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+17].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+17].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[153], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+18].cmd_func));
  TF_copy_u8(&packet[157], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+18].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+18].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[158], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+18].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+18].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[159], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+18].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+18].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[160], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+19].cmd_func));
  TF_copy_u8(&packet[164], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+19].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+19].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[165], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+19].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+19].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[166], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+19].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+19].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[167], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+20].cmd_func));
  TF_copy_u8(&packet[171], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+20].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+20].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[172], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+20].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+20].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[173], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+20].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+20].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[174], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+21].cmd_func));
  TF_copy_u8(&packet[178], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+21].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+21].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[179], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+21].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+21].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[180], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+21].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+21].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[181], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+22].cmd_func));
  TF_copy_u8(&packet[185], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+22].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+22].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[186], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+22].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+22].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[187], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+22].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+22].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[188], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+23].cmd_func));
  TF_copy_u8(&packet[192], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+23].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+23].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[193], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+23].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+23].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[194], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+23].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+23].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[195], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+24].cmd_func));
  TF_copy_u8(&packet[199], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+24].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+24].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[200], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+24].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+24].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[201], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+24].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+24].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[202], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+25].cmd_func));
  TF_copy_u8(&packet[206], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+25].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+25].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[207], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+25].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+25].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[208], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+25].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+25].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[209], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+26].cmd_func));
  TF_copy_u8(&packet[213], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+26].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+26].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[214], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+26].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+26].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[215], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+26].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+26].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[216], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+27].cmd_func));
  TF_copy_u8(&packet[220], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+27].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+27].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[221], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+27].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+27].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[222], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+27].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+27].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[223], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+28].cmd_func));
  TF_copy_u8(&packet[227], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+28].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+28].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[228], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+28].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+28].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[229], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+28].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+28].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[230], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+29].cmd_func));
  TF_copy_u8(&packet[234], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+29].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+29].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[235], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+29].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+29].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[236], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+29].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+29].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[237], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+30].cmd_func));
  TF_copy_u8(&packet[241], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+30].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+30].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[242], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+30].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+30].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[243], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+30].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+30].param_size_infos[2].packed_info.bit.second & 0x0f)));
  TF_copy_u32(&packet[244], (uint32_t)(command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+31].cmd_func));
  TF_copy_u8(&packet[248], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+31].param_size_infos[0].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+31].param_size_infos[0].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[249], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+31].param_size_infos[1].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+31].param_size_infos[1].packed_info.bit.second & 0x0f)));
  TF_copy_u8(&packet[250], (uint8_t)(((command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+31].param_size_infos[2].packed_info.bit.first & 0x0f) << 4) | (command_analyze->cmd_table[CA_TLM_PAGE_SIZE*(command_analyze->tlm_page_no)+31].param_size_infos[2].packed_info.bit.second & 0x0f)));
#endif

  *len = 251;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_TF_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  uint8_t page = telemetry_frame->tlm_page_no;
  int offset = TF_TLM_PAGE_SIZE * (telemetry_frame->tlm_page_no);

  if (283 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], page);
  TF_copy_u32(&packet[27], (uint32_t)(telemetry_frame->tlm_table[offset+0].tlm_func));
  TF_copy_u32(&packet[31], (uint32_t)(telemetry_frame->tlm_table[offset+1].tlm_func));
  TF_copy_u32(&packet[35], (uint32_t)(telemetry_frame->tlm_table[offset+2].tlm_func));
  TF_copy_u32(&packet[39], (uint32_t)(telemetry_frame->tlm_table[offset+3].tlm_func));
  TF_copy_u32(&packet[43], (uint32_t)(telemetry_frame->tlm_table[offset+4].tlm_func));
  TF_copy_u32(&packet[47], (uint32_t)(telemetry_frame->tlm_table[offset+5].tlm_func));
  TF_copy_u32(&packet[51], (uint32_t)(telemetry_frame->tlm_table[offset+6].tlm_func));
  TF_copy_u32(&packet[55], (uint32_t)(telemetry_frame->tlm_table[offset+7].tlm_func));
  TF_copy_u32(&packet[59], (uint32_t)(telemetry_frame->tlm_table[offset+8].tlm_func));
  TF_copy_u32(&packet[63], (uint32_t)(telemetry_frame->tlm_table[offset+9].tlm_func));
  TF_copy_u32(&packet[67], (uint32_t)(telemetry_frame->tlm_table[offset+10].tlm_func));
  TF_copy_u32(&packet[71], (uint32_t)(telemetry_frame->tlm_table[offset+11].tlm_func));
  TF_copy_u32(&packet[75], (uint32_t)(telemetry_frame->tlm_table[offset+12].tlm_func));
  TF_copy_u32(&packet[79], (uint32_t)(telemetry_frame->tlm_table[offset+13].tlm_func));
  TF_copy_u32(&packet[83], (uint32_t)(telemetry_frame->tlm_table[offset+14].tlm_func));
  TF_copy_u32(&packet[87], (uint32_t)(telemetry_frame->tlm_table[offset+15].tlm_func));
  TF_copy_u32(&packet[91], (uint32_t)(telemetry_frame->tlm_table[offset+16].tlm_func));
  TF_copy_u32(&packet[95], (uint32_t)(telemetry_frame->tlm_table[offset+17].tlm_func));
  TF_copy_u32(&packet[99], (uint32_t)(telemetry_frame->tlm_table[offset+18].tlm_func));
  TF_copy_u32(&packet[103], (uint32_t)(telemetry_frame->tlm_table[offset+19].tlm_func));
  TF_copy_u32(&packet[107], (uint32_t)(telemetry_frame->tlm_table[offset+20].tlm_func));
  TF_copy_u32(&packet[111], (uint32_t)(telemetry_frame->tlm_table[offset+21].tlm_func));
  TF_copy_u32(&packet[115], (uint32_t)(telemetry_frame->tlm_table[offset+22].tlm_func));
  TF_copy_u32(&packet[119], (uint32_t)(telemetry_frame->tlm_table[offset+23].tlm_func));
  TF_copy_u32(&packet[123], (uint32_t)(telemetry_frame->tlm_table[offset+24].tlm_func));
  TF_copy_u32(&packet[127], (uint32_t)(telemetry_frame->tlm_table[offset+25].tlm_func));
  TF_copy_u32(&packet[131], (uint32_t)(telemetry_frame->tlm_table[offset+26].tlm_func));
  TF_copy_u32(&packet[135], (uint32_t)(telemetry_frame->tlm_table[offset+27].tlm_func));
  TF_copy_u32(&packet[139], (uint32_t)(telemetry_frame->tlm_table[offset+28].tlm_func));
  TF_copy_u32(&packet[143], (uint32_t)(telemetry_frame->tlm_table[offset+29].tlm_func));
  TF_copy_u32(&packet[147], (uint32_t)(telemetry_frame->tlm_table[offset+30].tlm_func));
  TF_copy_u32(&packet[151], (uint32_t)(telemetry_frame->tlm_table[offset+31].tlm_func));
  TF_copy_u32(&packet[155], (uint32_t)(telemetry_frame->tlm_table[offset+32].tlm_func));
  TF_copy_u32(&packet[159], (uint32_t)(telemetry_frame->tlm_table[offset+33].tlm_func));
  TF_copy_u32(&packet[163], (uint32_t)(telemetry_frame->tlm_table[offset+34].tlm_func));
  TF_copy_u32(&packet[167], (uint32_t)(telemetry_frame->tlm_table[offset+35].tlm_func));
  TF_copy_u32(&packet[171], (uint32_t)(telemetry_frame->tlm_table[offset+36].tlm_func));
  TF_copy_u32(&packet[175], (uint32_t)(telemetry_frame->tlm_table[offset+37].tlm_func));
  TF_copy_u32(&packet[179], (uint32_t)(telemetry_frame->tlm_table[offset+38].tlm_func));
  TF_copy_u32(&packet[183], (uint32_t)(telemetry_frame->tlm_table[offset+39].tlm_func));
  TF_copy_u32(&packet[187], (uint32_t)(telemetry_frame->tlm_table[offset+40].tlm_func));
  TF_copy_u32(&packet[191], (uint32_t)(telemetry_frame->tlm_table[offset+41].tlm_func));
  TF_copy_u32(&packet[195], (uint32_t)(telemetry_frame->tlm_table[offset+42].tlm_func));
  TF_copy_u32(&packet[199], (uint32_t)(telemetry_frame->tlm_table[offset+43].tlm_func));
  TF_copy_u32(&packet[203], (uint32_t)(telemetry_frame->tlm_table[offset+44].tlm_func));
  TF_copy_u32(&packet[207], (uint32_t)(telemetry_frame->tlm_table[offset+45].tlm_func));
  TF_copy_u32(&packet[211], (uint32_t)(telemetry_frame->tlm_table[offset+46].tlm_func));
  TF_copy_u32(&packet[215], (uint32_t)(telemetry_frame->tlm_table[offset+47].tlm_func));
  TF_copy_u32(&packet[219], (uint32_t)(telemetry_frame->tlm_table[offset+48].tlm_func));
  TF_copy_u32(&packet[223], (uint32_t)(telemetry_frame->tlm_table[offset+49].tlm_func));
  TF_copy_u32(&packet[227], (uint32_t)(telemetry_frame->tlm_table[offset+50].tlm_func));
  TF_copy_u32(&packet[231], (uint32_t)(telemetry_frame->tlm_table[offset+51].tlm_func));
  TF_copy_u32(&packet[235], (uint32_t)(telemetry_frame->tlm_table[offset+52].tlm_func));
  TF_copy_u32(&packet[239], (uint32_t)(telemetry_frame->tlm_table[offset+53].tlm_func));
  TF_copy_u32(&packet[243], (uint32_t)(telemetry_frame->tlm_table[offset+54].tlm_func));
  TF_copy_u32(&packet[247], (uint32_t)(telemetry_frame->tlm_table[offset+55].tlm_func));
  TF_copy_u32(&packet[251], (uint32_t)(telemetry_frame->tlm_table[offset+56].tlm_func));
  TF_copy_u32(&packet[255], (uint32_t)(telemetry_frame->tlm_table[offset+57].tlm_func));
  TF_copy_u32(&packet[259], (uint32_t)(telemetry_frame->tlm_table[offset+58].tlm_func));
  TF_copy_u32(&packet[263], (uint32_t)(telemetry_frame->tlm_table[offset+59].tlm_func));
  TF_copy_u32(&packet[267], (uint32_t)(telemetry_frame->tlm_table[offset+60].tlm_func));
  TF_copy_u32(&packet[271], (uint32_t)(telemetry_frame->tlm_table[offset+61].tlm_func));
  TF_copy_u32(&packet[275], (uint32_t)(telemetry_frame->tlm_table[offset+62].tlm_func));
  TF_copy_u32(&packet[279], (uint32_t)(telemetry_frame->tlm_table[offset+63].tlm_func));
#endif

  *len = 283;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_DCU_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (202 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], divided_cmd_utility->exec_log_order[0]);
  TF_copy_u8(&packet[27], divided_cmd_utility->exec_log_order[1]);
  TF_copy_u8(&packet[28], divided_cmd_utility->exec_log_order[2]);
  TF_copy_u8(&packet[29], divided_cmd_utility->exec_log_order[3]);
  TF_copy_u8(&packet[30], divided_cmd_utility->exec_log_order[4]);
  TF_copy_u8(&packet[31], divided_cmd_utility->exec_log_order[5]);
  TF_copy_u8(&packet[32], divided_cmd_utility->exec_log_order[6]);
  TF_copy_u8(&packet[33], divided_cmd_utility->exec_log_order[7]);
  TF_copy_u8(&packet[34], divided_cmd_utility->exec_log_order[8]);
  TF_copy_u8(&packet[35], divided_cmd_utility->exec_log_order[9]);
  TF_copy_u8(&packet[36], divided_cmd_utility->exec_log_order[10]);
  TF_copy_u8(&packet[37], divided_cmd_utility->exec_log_order[11]);
  TF_copy_u8(&packet[38], divided_cmd_utility->exec_log_order[12]);
  TF_copy_u8(&packet[39], divided_cmd_utility->exec_log_order[13]);
  TF_copy_u8(&packet[40], divided_cmd_utility->exec_log_order[14]);
  TF_copy_u8(&packet[41], divided_cmd_utility->exec_log_order[15]);
  TF_copy_u16(&packet[42], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[0]].cmd_code));
  TF_copy_u8(&packet[44], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[0]].status));
  TF_copy_u16(&packet[45], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[0]].exec_counter));
  TF_copy_i8(&packet[47], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[0]].last_exec_sts));
  TF_copy_u32(&packet[48], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[0]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[52], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[1]].cmd_code));
  TF_copy_u8(&packet[54], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[1]].status));
  TF_copy_u16(&packet[55], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[1]].exec_counter));
  TF_copy_i8(&packet[57], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[1]].last_exec_sts));
  TF_copy_u32(&packet[58], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[1]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[62], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[2]].cmd_code));
  TF_copy_u8(&packet[64], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[2]].status));
  TF_copy_u16(&packet[65], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[2]].exec_counter));
  TF_copy_i8(&packet[67], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[2]].last_exec_sts));
  TF_copy_u32(&packet[68], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[2]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[72], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[3]].cmd_code));
  TF_copy_u8(&packet[74], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[3]].status));
  TF_copy_u16(&packet[75], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[3]].exec_counter));
  TF_copy_i8(&packet[77], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[3]].last_exec_sts));
  TF_copy_u32(&packet[78], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[3]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[82], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[4]].cmd_code));
  TF_copy_u8(&packet[84], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[4]].status));
  TF_copy_u16(&packet[85], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[4]].exec_counter));
  TF_copy_i8(&packet[87], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[4]].last_exec_sts));
  TF_copy_u32(&packet[88], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[4]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[92], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[5]].cmd_code));
  TF_copy_u8(&packet[94], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[5]].status));
  TF_copy_u16(&packet[95], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[5]].exec_counter));
  TF_copy_i8(&packet[97], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[5]].last_exec_sts));
  TF_copy_u32(&packet[98], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[5]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[102], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[6]].cmd_code));
  TF_copy_u8(&packet[104], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[6]].status));
  TF_copy_u16(&packet[105], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[6]].exec_counter));
  TF_copy_i8(&packet[107], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[6]].last_exec_sts));
  TF_copy_u32(&packet[108], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[6]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[112], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[7]].cmd_code));
  TF_copy_u8(&packet[114], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[7]].status));
  TF_copy_u16(&packet[115], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[7]].exec_counter));
  TF_copy_i8(&packet[117], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[7]].last_exec_sts));
  TF_copy_u32(&packet[118], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[7]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[122], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[8]].cmd_code));
  TF_copy_u8(&packet[124], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[8]].status));
  TF_copy_u16(&packet[125], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[8]].exec_counter));
  TF_copy_i8(&packet[127], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[8]].last_exec_sts));
  TF_copy_u32(&packet[128], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[8]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[132], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[9]].cmd_code));
  TF_copy_u8(&packet[134], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[9]].status));
  TF_copy_u16(&packet[135], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[9]].exec_counter));
  TF_copy_i8(&packet[137], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[9]].last_exec_sts));
  TF_copy_u32(&packet[138], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[9]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[142], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[10]].cmd_code));
  TF_copy_u8(&packet[144], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[10]].status));
  TF_copy_u16(&packet[145], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[10]].exec_counter));
  TF_copy_i8(&packet[147], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[10]].last_exec_sts));
  TF_copy_u32(&packet[148], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[10]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[152], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[11]].cmd_code));
  TF_copy_u8(&packet[154], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[11]].status));
  TF_copy_u16(&packet[155], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[11]].exec_counter));
  TF_copy_i8(&packet[157], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[11]].last_exec_sts));
  TF_copy_u32(&packet[158], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[11]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[162], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[12]].cmd_code));
  TF_copy_u8(&packet[164], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[12]].status));
  TF_copy_u16(&packet[165], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[12]].exec_counter));
  TF_copy_i8(&packet[167], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[12]].last_exec_sts));
  TF_copy_u32(&packet[168], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[12]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[172], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[13]].cmd_code));
  TF_copy_u8(&packet[174], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[13]].status));
  TF_copy_u16(&packet[175], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[13]].exec_counter));
  TF_copy_i8(&packet[177], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[13]].last_exec_sts));
  TF_copy_u32(&packet[178], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[13]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[182], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[14]].cmd_code));
  TF_copy_u8(&packet[184], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[14]].status));
  TF_copy_u16(&packet[185], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[14]].exec_counter));
  TF_copy_i8(&packet[187], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[14]].last_exec_sts));
  TF_copy_u32(&packet[188], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[14]].last_exec_time.total_cycle));
  TF_copy_u16(&packet[192], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[15]].cmd_code));
  TF_copy_u8(&packet[194], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[15]].status));
  TF_copy_u16(&packet[195], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[15]].exec_counter));
  TF_copy_i8(&packet[197], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[15]].last_exec_sts));
  TF_copy_u32(&packet[198], (uint32_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[15]].last_exec_time.total_cycle));
#endif

  *len = 202;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_MM_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (424 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], (uint8_t)(mode_manager->current_id));
  TF_copy_u8(&packet[27], (uint8_t)(mode_manager->previous_id));
  TF_copy_u8(&packet[28], (uint8_t)(mode_manager->stat));
  TF_copy_u8(&packet[29], (uint8_t)(mode_manager->mm_ack));
  TF_copy_u16(&packet[30], (uint16_t)(mode_manager->mode_list[0]));
  TF_copy_u16(&packet[32], (uint16_t)(mode_manager->mode_list[1]));
  TF_copy_u16(&packet[34], (uint16_t)(mode_manager->mode_list[2]));
  TF_copy_u16(&packet[36], (uint16_t)(mode_manager->mode_list[3]));
  TF_copy_u16(&packet[38], (uint16_t)(mode_manager->mode_list[4]));
  TF_copy_u16(&packet[40], (uint16_t)(mode_manager->mode_list[5]));
  TF_copy_u16(&packet[42], (uint16_t)(mode_manager->mode_list[6]));
  TF_copy_u16(&packet[44], (uint16_t)(mode_manager->mode_list[7]));
  TF_copy_u16(&packet[46], (uint16_t)(mode_manager->mode_list[8]));
  TF_copy_u16(&packet[48], (uint16_t)(mode_manager->mode_list[9]));
  TF_copy_u16(&packet[50], (uint16_t)(mode_manager->mode_list[10]));
  TF_copy_u16(&packet[52], (uint16_t)(mode_manager->mode_list[11]));
  TF_copy_u16(&packet[54], (uint16_t)(mode_manager->mode_list[12]));
  TF_copy_u16(&packet[56], (uint16_t)(mode_manager->mode_list[13]));
  TF_copy_u16(&packet[58], (uint16_t)(mode_manager->mode_list[14]));
  TF_copy_u16(&packet[60], (uint16_t)(mode_manager->mode_list[15]));
  TF_copy_u16(&packet[62], MM_update_transition_table_for_tlm());
  TF_copy_u8(&packet[64], mode_manager->transition_table_for_tlm[0].from);
  TF_copy_u8(&packet[65], mode_manager->transition_table_for_tlm[0].to);
  TF_copy_u16(&packet[66], (uint16_t)(mode_manager->transition_table_for_tlm[0].bc_index));
  TF_copy_u8(&packet[68], mode_manager->transition_table_for_tlm[1].from);
  TF_copy_u8(&packet[69], mode_manager->transition_table_for_tlm[1].to);
  TF_copy_u16(&packet[70], (uint16_t)(mode_manager->transition_table_for_tlm[1].bc_index));
  TF_copy_u8(&packet[72], mode_manager->transition_table_for_tlm[2].from);
  TF_copy_u8(&packet[73], mode_manager->transition_table_for_tlm[2].to);
  TF_copy_u16(&packet[74], (uint16_t)(mode_manager->transition_table_for_tlm[2].bc_index));
  TF_copy_u8(&packet[76], mode_manager->transition_table_for_tlm[3].from);
  TF_copy_u8(&packet[77], mode_manager->transition_table_for_tlm[3].to);
  TF_copy_u16(&packet[78], (uint16_t)(mode_manager->transition_table_for_tlm[3].bc_index));
  TF_copy_u8(&packet[80], mode_manager->transition_table_for_tlm[4].from);
  TF_copy_u8(&packet[81], mode_manager->transition_table_for_tlm[4].to);
  TF_copy_u16(&packet[82], (uint16_t)(mode_manager->transition_table_for_tlm[4].bc_index));
  TF_copy_u8(&packet[84], mode_manager->transition_table_for_tlm[5].from);
  TF_copy_u8(&packet[85], mode_manager->transition_table_for_tlm[5].to);
  TF_copy_u16(&packet[86], (uint16_t)(mode_manager->transition_table_for_tlm[5].bc_index));
  TF_copy_u8(&packet[88], mode_manager->transition_table_for_tlm[6].from);
  TF_copy_u8(&packet[89], mode_manager->transition_table_for_tlm[6].to);
  TF_copy_u16(&packet[90], (uint16_t)(mode_manager->transition_table_for_tlm[6].bc_index));
  TF_copy_u8(&packet[92], mode_manager->transition_table_for_tlm[7].from);
  TF_copy_u8(&packet[93], mode_manager->transition_table_for_tlm[7].to);
  TF_copy_u16(&packet[94], (uint16_t)(mode_manager->transition_table_for_tlm[7].bc_index));
  TF_copy_u8(&packet[96], mode_manager->transition_table_for_tlm[8].from);
  TF_copy_u8(&packet[97], mode_manager->transition_table_for_tlm[8].to);
  TF_copy_u16(&packet[98], (uint16_t)(mode_manager->transition_table_for_tlm[8].bc_index));
  TF_copy_u8(&packet[100], mode_manager->transition_table_for_tlm[9].from);
  TF_copy_u8(&packet[101], mode_manager->transition_table_for_tlm[9].to);
  TF_copy_u16(&packet[102], (uint16_t)(mode_manager->transition_table_for_tlm[9].bc_index));
  TF_copy_u8(&packet[104], mode_manager->transition_table_for_tlm[10].from);
  TF_copy_u8(&packet[105], mode_manager->transition_table_for_tlm[10].to);
  TF_copy_u16(&packet[106], (uint16_t)(mode_manager->transition_table_for_tlm[10].bc_index));
  TF_copy_u8(&packet[108], mode_manager->transition_table_for_tlm[11].from);
  TF_copy_u8(&packet[109], mode_manager->transition_table_for_tlm[11].to);
  TF_copy_u16(&packet[110], (uint16_t)(mode_manager->transition_table_for_tlm[11].bc_index));
  TF_copy_u8(&packet[112], mode_manager->transition_table_for_tlm[12].from);
  TF_copy_u8(&packet[113], mode_manager->transition_table_for_tlm[12].to);
  TF_copy_u16(&packet[114], (uint16_t)(mode_manager->transition_table_for_tlm[12].bc_index));
  TF_copy_u8(&packet[116], mode_manager->transition_table_for_tlm[13].from);
  TF_copy_u8(&packet[117], mode_manager->transition_table_for_tlm[13].to);
  TF_copy_u16(&packet[118], (uint16_t)(mode_manager->transition_table_for_tlm[13].bc_index));
  TF_copy_u8(&packet[120], mode_manager->transition_table_for_tlm[14].from);
  TF_copy_u8(&packet[121], mode_manager->transition_table_for_tlm[14].to);
  TF_copy_u16(&packet[122], (uint16_t)(mode_manager->transition_table_for_tlm[14].bc_index));
  TF_copy_u8(&packet[124], mode_manager->transition_table_for_tlm[15].from);
  TF_copy_u8(&packet[125], mode_manager->transition_table_for_tlm[15].to);
  TF_copy_u16(&packet[126], (uint16_t)(mode_manager->transition_table_for_tlm[15].bc_index));
  TF_copy_u8(&packet[128], mode_manager->transition_table_for_tlm[16].from);
  TF_copy_u8(&packet[129], mode_manager->transition_table_for_tlm[16].to);
  TF_copy_u16(&packet[130], (uint16_t)(mode_manager->transition_table_for_tlm[16].bc_index));
  TF_copy_u8(&packet[132], mode_manager->transition_table_for_tlm[17].from);
  TF_copy_u8(&packet[133], mode_manager->transition_table_for_tlm[17].to);
  TF_copy_u16(&packet[134], (uint16_t)(mode_manager->transition_table_for_tlm[17].bc_index));
  TF_copy_u8(&packet[136], mode_manager->transition_table_for_tlm[18].from);
  TF_copy_u8(&packet[137], mode_manager->transition_table_for_tlm[18].to);
  TF_copy_u16(&packet[138], (uint16_t)(mode_manager->transition_table_for_tlm[18].bc_index));
  TF_copy_u8(&packet[140], mode_manager->transition_table_for_tlm[19].from);
  TF_copy_u8(&packet[141], mode_manager->transition_table_for_tlm[19].to);
  TF_copy_u16(&packet[142], (uint16_t)(mode_manager->transition_table_for_tlm[19].bc_index));
  TF_copy_u8(&packet[144], mode_manager->transition_table_for_tlm[20].from);
  TF_copy_u8(&packet[145], mode_manager->transition_table_for_tlm[20].to);
  TF_copy_u16(&packet[146], (uint16_t)(mode_manager->transition_table_for_tlm[20].bc_index));
  TF_copy_u8(&packet[148], mode_manager->transition_table_for_tlm[21].from);
  TF_copy_u8(&packet[149], mode_manager->transition_table_for_tlm[21].to);
  TF_copy_u16(&packet[150], (uint16_t)(mode_manager->transition_table_for_tlm[21].bc_index));
  TF_copy_u8(&packet[152], mode_manager->transition_table_for_tlm[22].from);
  TF_copy_u8(&packet[153], mode_manager->transition_table_for_tlm[22].to);
  TF_copy_u16(&packet[154], (uint16_t)(mode_manager->transition_table_for_tlm[22].bc_index));
  TF_copy_u8(&packet[156], mode_manager->transition_table_for_tlm[23].from);
  TF_copy_u8(&packet[157], mode_manager->transition_table_for_tlm[23].to);
  TF_copy_u16(&packet[158], (uint16_t)(mode_manager->transition_table_for_tlm[23].bc_index));
  TF_copy_u8(&packet[160], mode_manager->transition_table_for_tlm[24].from);
  TF_copy_u8(&packet[161], mode_manager->transition_table_for_tlm[24].to);
  TF_copy_u16(&packet[162], (uint16_t)(mode_manager->transition_table_for_tlm[24].bc_index));
  TF_copy_u8(&packet[164], mode_manager->transition_table_for_tlm[25].from);
  TF_copy_u8(&packet[165], mode_manager->transition_table_for_tlm[25].to);
  TF_copy_u16(&packet[166], (uint16_t)(mode_manager->transition_table_for_tlm[25].bc_index));
  TF_copy_u8(&packet[168], mode_manager->transition_table_for_tlm[26].from);
  TF_copy_u8(&packet[169], mode_manager->transition_table_for_tlm[26].to);
  TF_copy_u16(&packet[170], (uint16_t)(mode_manager->transition_table_for_tlm[26].bc_index));
  TF_copy_u8(&packet[172], mode_manager->transition_table_for_tlm[27].from);
  TF_copy_u8(&packet[173], mode_manager->transition_table_for_tlm[27].to);
  TF_copy_u16(&packet[174], (uint16_t)(mode_manager->transition_table_for_tlm[27].bc_index));
  TF_copy_u8(&packet[176], mode_manager->transition_table_for_tlm[28].from);
  TF_copy_u8(&packet[177], mode_manager->transition_table_for_tlm[28].to);
  TF_copy_u16(&packet[178], (uint16_t)(mode_manager->transition_table_for_tlm[28].bc_index));
  TF_copy_u8(&packet[180], mode_manager->transition_table_for_tlm[29].from);
  TF_copy_u8(&packet[181], mode_manager->transition_table_for_tlm[29].to);
  TF_copy_u16(&packet[182], (uint16_t)(mode_manager->transition_table_for_tlm[29].bc_index));
  TF_copy_u8(&packet[184], mode_manager->transition_table_for_tlm[30].from);
  TF_copy_u8(&packet[185], mode_manager->transition_table_for_tlm[30].to);
  TF_copy_u16(&packet[186], (uint16_t)(mode_manager->transition_table_for_tlm[30].bc_index));
  TF_copy_u8(&packet[188], mode_manager->transition_table_for_tlm[31].from);
  TF_copy_u8(&packet[189], mode_manager->transition_table_for_tlm[31].to);
  TF_copy_u16(&packet[190], (uint16_t)(mode_manager->transition_table_for_tlm[31].bc_index));
  TF_copy_u8(&packet[192], mode_manager->transition_table_for_tlm[32].from);
  TF_copy_u8(&packet[193], mode_manager->transition_table_for_tlm[32].to);
  TF_copy_u16(&packet[194], (uint16_t)(mode_manager->transition_table_for_tlm[32].bc_index));
  TF_copy_u8(&packet[196], mode_manager->transition_table_for_tlm[33].from);
  TF_copy_u8(&packet[197], mode_manager->transition_table_for_tlm[33].to);
  TF_copy_u16(&packet[198], (uint16_t)(mode_manager->transition_table_for_tlm[33].bc_index));
  TF_copy_u8(&packet[200], mode_manager->transition_table_for_tlm[34].from);
  TF_copy_u8(&packet[201], mode_manager->transition_table_for_tlm[34].to);
  TF_copy_u16(&packet[202], (uint16_t)(mode_manager->transition_table_for_tlm[34].bc_index));
  TF_copy_u8(&packet[204], mode_manager->transition_table_for_tlm[35].from);
  TF_copy_u8(&packet[205], mode_manager->transition_table_for_tlm[35].to);
  TF_copy_u16(&packet[206], (uint16_t)(mode_manager->transition_table_for_tlm[35].bc_index));
  TF_copy_u8(&packet[208], mode_manager->transition_table_for_tlm[36].from);
  TF_copy_u8(&packet[209], mode_manager->transition_table_for_tlm[36].to);
  TF_copy_u16(&packet[210], (uint16_t)(mode_manager->transition_table_for_tlm[36].bc_index));
  TF_copy_u8(&packet[212], mode_manager->transition_table_for_tlm[37].from);
  TF_copy_u8(&packet[213], mode_manager->transition_table_for_tlm[37].to);
  TF_copy_u16(&packet[214], (uint16_t)(mode_manager->transition_table_for_tlm[37].bc_index));
  TF_copy_u8(&packet[216], mode_manager->transition_table_for_tlm[38].from);
  TF_copy_u8(&packet[217], mode_manager->transition_table_for_tlm[38].to);
  TF_copy_u16(&packet[218], (uint16_t)(mode_manager->transition_table_for_tlm[38].bc_index));
  TF_copy_u8(&packet[220], mode_manager->transition_table_for_tlm[39].from);
  TF_copy_u8(&packet[221], mode_manager->transition_table_for_tlm[39].to);
  TF_copy_u16(&packet[222], (uint16_t)(mode_manager->transition_table_for_tlm[39].bc_index));
  TF_copy_u8(&packet[224], mode_manager->transition_table_for_tlm[40].from);
  TF_copy_u8(&packet[225], mode_manager->transition_table_for_tlm[40].to);
  TF_copy_u16(&packet[226], (uint16_t)(mode_manager->transition_table_for_tlm[40].bc_index));
  TF_copy_u8(&packet[228], mode_manager->transition_table_for_tlm[41].from);
  TF_copy_u8(&packet[229], mode_manager->transition_table_for_tlm[41].to);
  TF_copy_u16(&packet[230], (uint16_t)(mode_manager->transition_table_for_tlm[41].bc_index));
  TF_copy_u8(&packet[232], mode_manager->transition_table_for_tlm[42].from);
  TF_copy_u8(&packet[233], mode_manager->transition_table_for_tlm[42].to);
  TF_copy_u16(&packet[234], (uint16_t)(mode_manager->transition_table_for_tlm[42].bc_index));
  TF_copy_u8(&packet[236], mode_manager->transition_table_for_tlm[43].from);
  TF_copy_u8(&packet[237], mode_manager->transition_table_for_tlm[43].to);
  TF_copy_u16(&packet[238], (uint16_t)(mode_manager->transition_table_for_tlm[43].bc_index));
  TF_copy_u8(&packet[240], mode_manager->transition_table_for_tlm[44].from);
  TF_copy_u8(&packet[241], mode_manager->transition_table_for_tlm[44].to);
  TF_copy_u16(&packet[242], (uint16_t)(mode_manager->transition_table_for_tlm[44].bc_index));
  TF_copy_u8(&packet[244], mode_manager->transition_table_for_tlm[45].from);
  TF_copy_u8(&packet[245], mode_manager->transition_table_for_tlm[45].to);
  TF_copy_u16(&packet[246], (uint16_t)(mode_manager->transition_table_for_tlm[45].bc_index));
  TF_copy_u8(&packet[248], mode_manager->transition_table_for_tlm[46].from);
  TF_copy_u8(&packet[249], mode_manager->transition_table_for_tlm[46].to);
  TF_copy_u16(&packet[250], (uint16_t)(mode_manager->transition_table_for_tlm[46].bc_index));
  TF_copy_u8(&packet[252], mode_manager->transition_table_for_tlm[47].from);
  TF_copy_u8(&packet[253], mode_manager->transition_table_for_tlm[47].to);
  TF_copy_u16(&packet[254], (uint16_t)(mode_manager->transition_table_for_tlm[47].bc_index));
  TF_copy_u8(&packet[256], mode_manager->transition_table_for_tlm[48].from);
  TF_copy_u8(&packet[257], mode_manager->transition_table_for_tlm[48].to);
  TF_copy_u16(&packet[258], (uint16_t)(mode_manager->transition_table_for_tlm[48].bc_index));
  TF_copy_u8(&packet[260], mode_manager->transition_table_for_tlm[49].from);
  TF_copy_u8(&packet[261], mode_manager->transition_table_for_tlm[49].to);
  TF_copy_u16(&packet[262], (uint16_t)(mode_manager->transition_table_for_tlm[49].bc_index));
  TF_copy_u8(&packet[264], mode_manager->transition_table_for_tlm[50].from);
  TF_copy_u8(&packet[265], mode_manager->transition_table_for_tlm[50].to);
  TF_copy_u16(&packet[266], (uint16_t)(mode_manager->transition_table_for_tlm[50].bc_index));
  TF_copy_u8(&packet[268], mode_manager->transition_table_for_tlm[51].from);
  TF_copy_u8(&packet[269], mode_manager->transition_table_for_tlm[51].to);
  TF_copy_u16(&packet[270], (uint16_t)(mode_manager->transition_table_for_tlm[51].bc_index));
  TF_copy_u8(&packet[272], mode_manager->transition_table_for_tlm[52].from);
  TF_copy_u8(&packet[273], mode_manager->transition_table_for_tlm[52].to);
  TF_copy_u16(&packet[274], (uint16_t)(mode_manager->transition_table_for_tlm[52].bc_index));
  TF_copy_u8(&packet[276], mode_manager->transition_table_for_tlm[53].from);
  TF_copy_u8(&packet[277], mode_manager->transition_table_for_tlm[53].to);
  TF_copy_u16(&packet[278], (uint16_t)(mode_manager->transition_table_for_tlm[53].bc_index));
  TF_copy_u8(&packet[280], mode_manager->transition_table_for_tlm[54].from);
  TF_copy_u8(&packet[281], mode_manager->transition_table_for_tlm[54].to);
  TF_copy_u16(&packet[282], (uint16_t)(mode_manager->transition_table_for_tlm[54].bc_index));
  TF_copy_u8(&packet[284], mode_manager->transition_table_for_tlm[55].from);
  TF_copy_u8(&packet[285], mode_manager->transition_table_for_tlm[55].to);
  TF_copy_u16(&packet[286], (uint16_t)(mode_manager->transition_table_for_tlm[55].bc_index));
  TF_copy_u8(&packet[288], mode_manager->transition_table_for_tlm[56].from);
  TF_copy_u8(&packet[289], mode_manager->transition_table_for_tlm[56].to);
  TF_copy_u16(&packet[290], (uint16_t)(mode_manager->transition_table_for_tlm[56].bc_index));
  TF_copy_u8(&packet[292], mode_manager->transition_table_for_tlm[57].from);
  TF_copy_u8(&packet[293], mode_manager->transition_table_for_tlm[57].to);
  TF_copy_u16(&packet[294], (uint16_t)(mode_manager->transition_table_for_tlm[57].bc_index));
  TF_copy_u8(&packet[296], mode_manager->transition_table_for_tlm[58].from);
  TF_copy_u8(&packet[297], mode_manager->transition_table_for_tlm[58].to);
  TF_copy_u16(&packet[298], (uint16_t)(mode_manager->transition_table_for_tlm[58].bc_index));
  TF_copy_u8(&packet[300], mode_manager->transition_table_for_tlm[59].from);
  TF_copy_u8(&packet[301], mode_manager->transition_table_for_tlm[59].to);
  TF_copy_u16(&packet[302], (uint16_t)(mode_manager->transition_table_for_tlm[59].bc_index));
  TF_copy_u8(&packet[304], mode_manager->transition_table_for_tlm[60].from);
  TF_copy_u8(&packet[305], mode_manager->transition_table_for_tlm[60].to);
  TF_copy_u16(&packet[306], (uint16_t)(mode_manager->transition_table_for_tlm[60].bc_index));
  TF_copy_u8(&packet[308], mode_manager->transition_table_for_tlm[61].from);
  TF_copy_u8(&packet[309], mode_manager->transition_table_for_tlm[61].to);
  TF_copy_u16(&packet[310], (uint16_t)(mode_manager->transition_table_for_tlm[61].bc_index));
  TF_copy_u8(&packet[312], mode_manager->transition_table_for_tlm[62].from);
  TF_copy_u8(&packet[313], mode_manager->transition_table_for_tlm[62].to);
  TF_copy_u16(&packet[314], (uint16_t)(mode_manager->transition_table_for_tlm[62].bc_index));
  TF_copy_u8(&packet[316], mode_manager->transition_table_for_tlm[63].from);
  TF_copy_u8(&packet[317], mode_manager->transition_table_for_tlm[63].to);
  TF_copy_u16(&packet[318], (uint16_t)(mode_manager->transition_table_for_tlm[63].bc_index));
  TF_copy_u8(&packet[320], mode_manager->transition_table_for_tlm[64].from);
  TF_copy_u8(&packet[321], mode_manager->transition_table_for_tlm[64].to);
  TF_copy_u16(&packet[322], (uint16_t)(mode_manager->transition_table_for_tlm[64].bc_index));
  TF_copy_u8(&packet[324], mode_manager->transition_table_for_tlm[65].from);
  TF_copy_u8(&packet[325], mode_manager->transition_table_for_tlm[65].to);
  TF_copy_u16(&packet[326], (uint16_t)(mode_manager->transition_table_for_tlm[65].bc_index));
  TF_copy_u8(&packet[328], mode_manager->transition_table_for_tlm[66].from);
  TF_copy_u8(&packet[329], mode_manager->transition_table_for_tlm[66].to);
  TF_copy_u16(&packet[330], (uint16_t)(mode_manager->transition_table_for_tlm[66].bc_index));
  TF_copy_u8(&packet[332], mode_manager->transition_table_for_tlm[67].from);
  TF_copy_u8(&packet[333], mode_manager->transition_table_for_tlm[67].to);
  TF_copy_u16(&packet[334], (uint16_t)(mode_manager->transition_table_for_tlm[67].bc_index));
  TF_copy_u8(&packet[336], mode_manager->transition_table_for_tlm[68].from);
  TF_copy_u8(&packet[337], mode_manager->transition_table_for_tlm[68].to);
  TF_copy_u16(&packet[338], (uint16_t)(mode_manager->transition_table_for_tlm[68].bc_index));
  TF_copy_u8(&packet[340], mode_manager->transition_table_for_tlm[69].from);
  TF_copy_u8(&packet[341], mode_manager->transition_table_for_tlm[69].to);
  TF_copy_u16(&packet[342], (uint16_t)(mode_manager->transition_table_for_tlm[69].bc_index));
  TF_copy_u8(&packet[344], mode_manager->transition_table_for_tlm[70].from);
  TF_copy_u8(&packet[345], mode_manager->transition_table_for_tlm[70].to);
  TF_copy_u16(&packet[346], (uint16_t)(mode_manager->transition_table_for_tlm[70].bc_index));
  TF_copy_u8(&packet[348], mode_manager->transition_table_for_tlm[71].from);
  TF_copy_u8(&packet[349], mode_manager->transition_table_for_tlm[71].to);
  TF_copy_u16(&packet[350], (uint16_t)(mode_manager->transition_table_for_tlm[71].bc_index));
  TF_copy_u8(&packet[352], mode_manager->transition_table_for_tlm[72].from);
  TF_copy_u8(&packet[353], mode_manager->transition_table_for_tlm[72].to);
  TF_copy_u16(&packet[354], (uint16_t)(mode_manager->transition_table_for_tlm[72].bc_index));
  TF_copy_u8(&packet[356], mode_manager->transition_table_for_tlm[73].from);
  TF_copy_u8(&packet[357], mode_manager->transition_table_for_tlm[73].to);
  TF_copy_u16(&packet[358], (uint16_t)(mode_manager->transition_table_for_tlm[73].bc_index));
  TF_copy_u8(&packet[360], mode_manager->transition_table_for_tlm[74].from);
  TF_copy_u8(&packet[361], mode_manager->transition_table_for_tlm[74].to);
  TF_copy_u16(&packet[362], (uint16_t)(mode_manager->transition_table_for_tlm[74].bc_index));
  TF_copy_u8(&packet[364], mode_manager->transition_table_for_tlm[75].from);
  TF_copy_u8(&packet[365], mode_manager->transition_table_for_tlm[75].to);
  TF_copy_u16(&packet[366], (uint16_t)(mode_manager->transition_table_for_tlm[75].bc_index));
  TF_copy_u8(&packet[368], mode_manager->transition_table_for_tlm[76].from);
  TF_copy_u8(&packet[369], mode_manager->transition_table_for_tlm[76].to);
  TF_copy_u16(&packet[370], (uint16_t)(mode_manager->transition_table_for_tlm[76].bc_index));
  TF_copy_u8(&packet[372], mode_manager->transition_table_for_tlm[77].from);
  TF_copy_u8(&packet[373], mode_manager->transition_table_for_tlm[77].to);
  TF_copy_u16(&packet[374], (uint16_t)(mode_manager->transition_table_for_tlm[77].bc_index));
  TF_copy_u8(&packet[376], mode_manager->transition_table_for_tlm[78].from);
  TF_copy_u8(&packet[377], mode_manager->transition_table_for_tlm[78].to);
  TF_copy_u16(&packet[378], (uint16_t)(mode_manager->transition_table_for_tlm[78].bc_index));
  TF_copy_u8(&packet[380], mode_manager->transition_table_for_tlm[79].from);
  TF_copy_u8(&packet[381], mode_manager->transition_table_for_tlm[79].to);
  TF_copy_u16(&packet[382], (uint16_t)(mode_manager->transition_table_for_tlm[79].bc_index));
  TF_copy_u8(&packet[384], mode_manager->transition_table_for_tlm[80].from);
  TF_copy_u8(&packet[385], mode_manager->transition_table_for_tlm[80].to);
  TF_copy_u16(&packet[386], (uint16_t)(mode_manager->transition_table_for_tlm[80].bc_index));
  TF_copy_u8(&packet[388], mode_manager->transition_table_for_tlm[81].from);
  TF_copy_u8(&packet[389], mode_manager->transition_table_for_tlm[81].to);
  TF_copy_u16(&packet[390], (uint16_t)(mode_manager->transition_table_for_tlm[81].bc_index));
  TF_copy_u8(&packet[392], mode_manager->transition_table_for_tlm[82].from);
  TF_copy_u8(&packet[393], mode_manager->transition_table_for_tlm[82].to);
  TF_copy_u16(&packet[394], (uint16_t)(mode_manager->transition_table_for_tlm[82].bc_index));
  TF_copy_u8(&packet[396], mode_manager->transition_table_for_tlm[83].from);
  TF_copy_u8(&packet[397], mode_manager->transition_table_for_tlm[83].to);
  TF_copy_u16(&packet[398], (uint16_t)(mode_manager->transition_table_for_tlm[83].bc_index));
  TF_copy_u8(&packet[400], mode_manager->transition_table_for_tlm[84].from);
  TF_copy_u8(&packet[401], mode_manager->transition_table_for_tlm[84].to);
  TF_copy_u16(&packet[402], (uint16_t)(mode_manager->transition_table_for_tlm[84].bc_index));
  TF_copy_u8(&packet[404], mode_manager->transition_table_for_tlm[85].from);
  TF_copy_u8(&packet[405], mode_manager->transition_table_for_tlm[85].to);
  TF_copy_u16(&packet[406], (uint16_t)(mode_manager->transition_table_for_tlm[85].bc_index));
  TF_copy_u8(&packet[408], mode_manager->transition_table_for_tlm[86].from);
  TF_copy_u8(&packet[409], mode_manager->transition_table_for_tlm[86].to);
  TF_copy_u16(&packet[410], (uint16_t)(mode_manager->transition_table_for_tlm[86].bc_index));
  TF_copy_u8(&packet[412], mode_manager->transition_table_for_tlm[87].from);
  TF_copy_u8(&packet[413], mode_manager->transition_table_for_tlm[87].to);
  TF_copy_u16(&packet[414], (uint16_t)(mode_manager->transition_table_for_tlm[87].bc_index));
  TF_copy_u8(&packet[416], mode_manager->transition_table_for_tlm[88].from);
  TF_copy_u8(&packet[417], mode_manager->transition_table_for_tlm[88].to);
  TF_copy_u16(&packet[418], (uint16_t)(mode_manager->transition_table_for_tlm[88].bc_index));
  TF_copy_u8(&packet[420], mode_manager->transition_table_for_tlm[89].from);
  TF_copy_u8(&packet[421], mode_manager->transition_table_for_tlm[89].to);
  TF_copy_u16(&packet[422], (uint16_t)(mode_manager->transition_table_for_tlm[89].bc_index));
#endif

  *len = 424;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_AM_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (411 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], (uint8_t)(app_manager->page_no));
  TF_copy_u32(&packet[27], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+0].initializer));
  TF_copy_u32(&packet[31], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+0].entry_point));
  TF_copy_u8(&packet[35], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+0].init_duration));
  TF_copy_u8(&packet[36], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+0].prev));
  TF_copy_u8(&packet[37], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+0].min));
  TF_copy_u8(&packet[38], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+0].max));
  TF_copy_u32(&packet[39], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+1].initializer));
  TF_copy_u32(&packet[43], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+1].entry_point));
  TF_copy_u8(&packet[47], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+1].init_duration));
  TF_copy_u8(&packet[48], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+1].prev));
  TF_copy_u8(&packet[49], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+1].min));
  TF_copy_u8(&packet[50], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+1].max));
  TF_copy_u32(&packet[51], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+2].initializer));
  TF_copy_u32(&packet[55], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+2].entry_point));
  TF_copy_u8(&packet[59], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+2].init_duration));
  TF_copy_u8(&packet[60], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+2].prev));
  TF_copy_u8(&packet[61], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+2].min));
  TF_copy_u8(&packet[62], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+2].max));
  TF_copy_u32(&packet[63], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+3].initializer));
  TF_copy_u32(&packet[67], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+3].entry_point));
  TF_copy_u8(&packet[71], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+3].init_duration));
  TF_copy_u8(&packet[72], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+3].prev));
  TF_copy_u8(&packet[73], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+3].min));
  TF_copy_u8(&packet[74], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+3].max));
  TF_copy_u32(&packet[75], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+4].initializer));
  TF_copy_u32(&packet[79], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+4].entry_point));
  TF_copy_u8(&packet[83], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+4].init_duration));
  TF_copy_u8(&packet[84], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+4].prev));
  TF_copy_u8(&packet[85], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+4].min));
  TF_copy_u8(&packet[86], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+4].max));
  TF_copy_u32(&packet[87], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+5].initializer));
  TF_copy_u32(&packet[91], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+5].entry_point));
  TF_copy_u8(&packet[95], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+5].init_duration));
  TF_copy_u8(&packet[96], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+5].prev));
  TF_copy_u8(&packet[97], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+5].min));
  TF_copy_u8(&packet[98], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+5].max));
  TF_copy_u32(&packet[99], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+6].initializer));
  TF_copy_u32(&packet[103], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+6].entry_point));
  TF_copy_u8(&packet[107], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+6].init_duration));
  TF_copy_u8(&packet[108], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+6].prev));
  TF_copy_u8(&packet[109], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+6].min));
  TF_copy_u8(&packet[110], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+6].max));
  TF_copy_u32(&packet[111], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+7].initializer));
  TF_copy_u32(&packet[115], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+7].entry_point));
  TF_copy_u8(&packet[119], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+7].init_duration));
  TF_copy_u8(&packet[120], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+7].prev));
  TF_copy_u8(&packet[121], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+7].min));
  TF_copy_u8(&packet[122], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+7].max));
  TF_copy_u32(&packet[123], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+8].initializer));
  TF_copy_u32(&packet[127], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+8].entry_point));
  TF_copy_u8(&packet[131], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+8].init_duration));
  TF_copy_u8(&packet[132], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+8].prev));
  TF_copy_u8(&packet[133], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+8].min));
  TF_copy_u8(&packet[134], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+8].max));
  TF_copy_u32(&packet[135], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+9].initializer));
  TF_copy_u32(&packet[139], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+9].entry_point));
  TF_copy_u8(&packet[143], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+9].init_duration));
  TF_copy_u8(&packet[144], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+9].prev));
  TF_copy_u8(&packet[145], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+9].min));
  TF_copy_u8(&packet[146], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+9].max));
  TF_copy_u32(&packet[147], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+10].initializer));
  TF_copy_u32(&packet[151], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+10].entry_point));
  TF_copy_u8(&packet[155], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+10].init_duration));
  TF_copy_u8(&packet[156], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+10].prev));
  TF_copy_u8(&packet[157], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+10].min));
  TF_copy_u8(&packet[158], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+10].max));
  TF_copy_u32(&packet[159], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+11].initializer));
  TF_copy_u32(&packet[163], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+11].entry_point));
  TF_copy_u8(&packet[167], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+11].init_duration));
  TF_copy_u8(&packet[168], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+11].prev));
  TF_copy_u8(&packet[169], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+11].min));
  TF_copy_u8(&packet[170], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+11].max));
  TF_copy_u32(&packet[171], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+12].initializer));
  TF_copy_u32(&packet[175], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+12].entry_point));
  TF_copy_u8(&packet[179], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+12].init_duration));
  TF_copy_u8(&packet[180], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+12].prev));
  TF_copy_u8(&packet[181], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+12].min));
  TF_copy_u8(&packet[182], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+12].max));
  TF_copy_u32(&packet[183], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+13].initializer));
  TF_copy_u32(&packet[187], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+13].entry_point));
  TF_copy_u8(&packet[191], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+13].init_duration));
  TF_copy_u8(&packet[192], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+13].prev));
  TF_copy_u8(&packet[193], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+13].min));
  TF_copy_u8(&packet[194], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+13].max));
  TF_copy_u32(&packet[195], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+14].initializer));
  TF_copy_u32(&packet[199], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+14].entry_point));
  TF_copy_u8(&packet[203], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+14].init_duration));
  TF_copy_u8(&packet[204], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+14].prev));
  TF_copy_u8(&packet[205], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+14].min));
  TF_copy_u8(&packet[206], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+14].max));
  TF_copy_u32(&packet[207], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+15].initializer));
  TF_copy_u32(&packet[211], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+15].entry_point));
  TF_copy_u8(&packet[215], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+15].init_duration));
  TF_copy_u8(&packet[216], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+15].prev));
  TF_copy_u8(&packet[217], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+15].min));
  TF_copy_u8(&packet[218], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+15].max));
  TF_copy_u32(&packet[219], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+16].initializer));
  TF_copy_u32(&packet[223], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+16].entry_point));
  TF_copy_u8(&packet[227], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+16].init_duration));
  TF_copy_u8(&packet[228], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+16].prev));
  TF_copy_u8(&packet[229], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+16].min));
  TF_copy_u8(&packet[230], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+16].max));
  TF_copy_u32(&packet[231], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+17].initializer));
  TF_copy_u32(&packet[235], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+17].entry_point));
  TF_copy_u8(&packet[239], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+17].init_duration));
  TF_copy_u8(&packet[240], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+17].prev));
  TF_copy_u8(&packet[241], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+17].min));
  TF_copy_u8(&packet[242], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+17].max));
  TF_copy_u32(&packet[243], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+18].initializer));
  TF_copy_u32(&packet[247], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+18].entry_point));
  TF_copy_u8(&packet[251], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+18].init_duration));
  TF_copy_u8(&packet[252], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+18].prev));
  TF_copy_u8(&packet[253], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+18].min));
  TF_copy_u8(&packet[254], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+18].max));
  TF_copy_u32(&packet[255], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+19].initializer));
  TF_copy_u32(&packet[259], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+19].entry_point));
  TF_copy_u8(&packet[263], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+19].init_duration));
  TF_copy_u8(&packet[264], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+19].prev));
  TF_copy_u8(&packet[265], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+19].min));
  TF_copy_u8(&packet[266], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+19].max));
  TF_copy_u32(&packet[267], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+20].initializer));
  TF_copy_u32(&packet[271], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+20].entry_point));
  TF_copy_u8(&packet[275], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+20].init_duration));
  TF_copy_u8(&packet[276], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+20].prev));
  TF_copy_u8(&packet[277], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+20].min));
  TF_copy_u8(&packet[278], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+20].max));
  TF_copy_u32(&packet[279], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+21].initializer));
  TF_copy_u32(&packet[283], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+21].entry_point));
  TF_copy_u8(&packet[287], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+21].init_duration));
  TF_copy_u8(&packet[288], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+21].prev));
  TF_copy_u8(&packet[289], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+21].min));
  TF_copy_u8(&packet[290], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+21].max));
  TF_copy_u32(&packet[291], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+22].initializer));
  TF_copy_u32(&packet[295], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+22].entry_point));
  TF_copy_u8(&packet[299], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+22].init_duration));
  TF_copy_u8(&packet[300], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+22].prev));
  TF_copy_u8(&packet[301], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+22].min));
  TF_copy_u8(&packet[302], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+22].max));
  TF_copy_u32(&packet[303], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+23].initializer));
  TF_copy_u32(&packet[307], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+23].entry_point));
  TF_copy_u8(&packet[311], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+23].init_duration));
  TF_copy_u8(&packet[312], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+23].prev));
  TF_copy_u8(&packet[313], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+23].min));
  TF_copy_u8(&packet[314], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+23].max));
  TF_copy_u32(&packet[315], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+24].initializer));
  TF_copy_u32(&packet[319], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+24].entry_point));
  TF_copy_u8(&packet[323], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+24].init_duration));
  TF_copy_u8(&packet[324], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+24].prev));
  TF_copy_u8(&packet[325], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+24].min));
  TF_copy_u8(&packet[326], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+24].max));
  TF_copy_u32(&packet[327], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+25].initializer));
  TF_copy_u32(&packet[331], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+25].entry_point));
  TF_copy_u8(&packet[335], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+25].init_duration));
  TF_copy_u8(&packet[336], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+25].prev));
  TF_copy_u8(&packet[337], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+25].min));
  TF_copy_u8(&packet[338], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+25].max));
  TF_copy_u32(&packet[339], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+26].initializer));
  TF_copy_u32(&packet[343], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+26].entry_point));
  TF_copy_u8(&packet[347], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+26].init_duration));
  TF_copy_u8(&packet[348], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+26].prev));
  TF_copy_u8(&packet[349], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+26].min));
  TF_copy_u8(&packet[350], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+26].max));
  TF_copy_u32(&packet[351], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+27].initializer));
  TF_copy_u32(&packet[355], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+27].entry_point));
  TF_copy_u8(&packet[359], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+27].init_duration));
  TF_copy_u8(&packet[360], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+27].prev));
  TF_copy_u8(&packet[361], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+27].min));
  TF_copy_u8(&packet[362], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+27].max));
  TF_copy_u32(&packet[363], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+28].initializer));
  TF_copy_u32(&packet[367], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+28].entry_point));
  TF_copy_u8(&packet[371], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+28].init_duration));
  TF_copy_u8(&packet[372], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+28].prev));
  TF_copy_u8(&packet[373], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+28].min));
  TF_copy_u8(&packet[374], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+28].max));
  TF_copy_u32(&packet[375], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+29].initializer));
  TF_copy_u32(&packet[379], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+29].entry_point));
  TF_copy_u8(&packet[383], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+29].init_duration));
  TF_copy_u8(&packet[384], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+29].prev));
  TF_copy_u8(&packet[385], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+29].min));
  TF_copy_u8(&packet[386], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+29].max));
  TF_copy_u32(&packet[387], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+30].initializer));
  TF_copy_u32(&packet[391], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+30].entry_point));
  TF_copy_u8(&packet[395], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+30].init_duration));
  TF_copy_u8(&packet[396], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+30].prev));
  TF_copy_u8(&packet[397], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+30].min));
  TF_copy_u8(&packet[398], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+30].max));
  TF_copy_u32(&packet[399], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+31].initializer));
  TF_copy_u32(&packet[403], (uint32_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+31].entry_point));
  TF_copy_u8(&packet[407], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+31].init_duration));
  TF_copy_u8(&packet[408], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+31].prev));
  TF_copy_u8(&packet[409], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+31].min));
  TF_copy_u8(&packet[410], (uint8_t)(app_manager->ais[(AM_TLM_PAGE_SIZE*app_manager->page_no)+31].max));
#endif

  *len = 411;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_APP_TIME_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (426 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], (uint8_t)(app_manager->ais[0].init_duration));
  TF_copy_u8(&packet[27], (uint8_t)(app_manager->ais[0].prev));
  TF_copy_u8(&packet[28], (uint8_t)(app_manager->ais[0].min));
  TF_copy_u8(&packet[29], (uint8_t)(app_manager->ais[0].max));
  TF_copy_u8(&packet[30], (uint8_t)(app_manager->ais[1].init_duration));
  TF_copy_u8(&packet[31], (uint8_t)(app_manager->ais[1].prev));
  TF_copy_u8(&packet[32], (uint8_t)(app_manager->ais[1].min));
  TF_copy_u8(&packet[33], (uint8_t)(app_manager->ais[1].max));
  TF_copy_u8(&packet[34], (uint8_t)(app_manager->ais[2].init_duration));
  TF_copy_u8(&packet[35], (uint8_t)(app_manager->ais[2].prev));
  TF_copy_u8(&packet[36], (uint8_t)(app_manager->ais[2].min));
  TF_copy_u8(&packet[37], (uint8_t)(app_manager->ais[2].max));
  TF_copy_u8(&packet[38], (uint8_t)(app_manager->ais[3].init_duration));
  TF_copy_u8(&packet[39], (uint8_t)(app_manager->ais[3].prev));
  TF_copy_u8(&packet[40], (uint8_t)(app_manager->ais[3].min));
  TF_copy_u8(&packet[41], (uint8_t)(app_manager->ais[3].max));
  TF_copy_u8(&packet[42], (uint8_t)(app_manager->ais[4].init_duration));
  TF_copy_u8(&packet[43], (uint8_t)(app_manager->ais[4].prev));
  TF_copy_u8(&packet[44], (uint8_t)(app_manager->ais[4].min));
  TF_copy_u8(&packet[45], (uint8_t)(app_manager->ais[4].max));
  TF_copy_u8(&packet[46], (uint8_t)(app_manager->ais[5].init_duration));
  TF_copy_u8(&packet[47], (uint8_t)(app_manager->ais[5].prev));
  TF_copy_u8(&packet[48], (uint8_t)(app_manager->ais[5].min));
  TF_copy_u8(&packet[49], (uint8_t)(app_manager->ais[5].max));
  TF_copy_u8(&packet[50], (uint8_t)(app_manager->ais[6].init_duration));
  TF_copy_u8(&packet[51], (uint8_t)(app_manager->ais[6].prev));
  TF_copy_u8(&packet[52], (uint8_t)(app_manager->ais[6].min));
  TF_copy_u8(&packet[53], (uint8_t)(app_manager->ais[6].max));
  TF_copy_u8(&packet[54], (uint8_t)(app_manager->ais[7].init_duration));
  TF_copy_u8(&packet[55], (uint8_t)(app_manager->ais[7].prev));
  TF_copy_u8(&packet[56], (uint8_t)(app_manager->ais[7].min));
  TF_copy_u8(&packet[57], (uint8_t)(app_manager->ais[7].max));
  TF_copy_u8(&packet[58], (uint8_t)(app_manager->ais[8].init_duration));
  TF_copy_u8(&packet[59], (uint8_t)(app_manager->ais[8].prev));
  TF_copy_u8(&packet[60], (uint8_t)(app_manager->ais[8].min));
  TF_copy_u8(&packet[61], (uint8_t)(app_manager->ais[8].max));
  TF_copy_u8(&packet[62], (uint8_t)(app_manager->ais[9].init_duration));
  TF_copy_u8(&packet[63], (uint8_t)(app_manager->ais[9].prev));
  TF_copy_u8(&packet[64], (uint8_t)(app_manager->ais[9].min));
  TF_copy_u8(&packet[65], (uint8_t)(app_manager->ais[9].max));
  TF_copy_u8(&packet[66], (uint8_t)(app_manager->ais[10].init_duration));
  TF_copy_u8(&packet[67], (uint8_t)(app_manager->ais[10].prev));
  TF_copy_u8(&packet[68], (uint8_t)(app_manager->ais[10].min));
  TF_copy_u8(&packet[69], (uint8_t)(app_manager->ais[10].max));
  TF_copy_u8(&packet[70], (uint8_t)(app_manager->ais[11].init_duration));
  TF_copy_u8(&packet[71], (uint8_t)(app_manager->ais[11].prev));
  TF_copy_u8(&packet[72], (uint8_t)(app_manager->ais[11].min));
  TF_copy_u8(&packet[73], (uint8_t)(app_manager->ais[11].max));
  TF_copy_u8(&packet[74], (uint8_t)(app_manager->ais[12].init_duration));
  TF_copy_u8(&packet[75], (uint8_t)(app_manager->ais[12].prev));
  TF_copy_u8(&packet[76], (uint8_t)(app_manager->ais[12].min));
  TF_copy_u8(&packet[77], (uint8_t)(app_manager->ais[12].max));
  TF_copy_u8(&packet[78], (uint8_t)(app_manager->ais[13].init_duration));
  TF_copy_u8(&packet[79], (uint8_t)(app_manager->ais[13].prev));
  TF_copy_u8(&packet[80], (uint8_t)(app_manager->ais[13].min));
  TF_copy_u8(&packet[81], (uint8_t)(app_manager->ais[13].max));
  TF_copy_u8(&packet[82], (uint8_t)(app_manager->ais[14].init_duration));
  TF_copy_u8(&packet[83], (uint8_t)(app_manager->ais[14].prev));
  TF_copy_u8(&packet[84], (uint8_t)(app_manager->ais[14].min));
  TF_copy_u8(&packet[85], (uint8_t)(app_manager->ais[14].max));
  TF_copy_u8(&packet[86], (uint8_t)(app_manager->ais[15].init_duration));
  TF_copy_u8(&packet[87], (uint8_t)(app_manager->ais[15].prev));
  TF_copy_u8(&packet[88], (uint8_t)(app_manager->ais[15].min));
  TF_copy_u8(&packet[89], (uint8_t)(app_manager->ais[15].max));
  TF_copy_u8(&packet[90], (uint8_t)(app_manager->ais[16].init_duration));
  TF_copy_u8(&packet[91], (uint8_t)(app_manager->ais[16].prev));
  TF_copy_u8(&packet[92], (uint8_t)(app_manager->ais[16].min));
  TF_copy_u8(&packet[93], (uint8_t)(app_manager->ais[16].max));
  TF_copy_u8(&packet[94], (uint8_t)(app_manager->ais[17].init_duration));
  TF_copy_u8(&packet[95], (uint8_t)(app_manager->ais[17].prev));
  TF_copy_u8(&packet[96], (uint8_t)(app_manager->ais[17].min));
  TF_copy_u8(&packet[97], (uint8_t)(app_manager->ais[17].max));
  TF_copy_u8(&packet[98], (uint8_t)(app_manager->ais[18].init_duration));
  TF_copy_u8(&packet[99], (uint8_t)(app_manager->ais[18].prev));
  TF_copy_u8(&packet[100], (uint8_t)(app_manager->ais[18].min));
  TF_copy_u8(&packet[101], (uint8_t)(app_manager->ais[18].max));
  TF_copy_u8(&packet[102], (uint8_t)(app_manager->ais[19].init_duration));
  TF_copy_u8(&packet[103], (uint8_t)(app_manager->ais[19].prev));
  TF_copy_u8(&packet[104], (uint8_t)(app_manager->ais[19].min));
  TF_copy_u8(&packet[105], (uint8_t)(app_manager->ais[19].max));
  TF_copy_u8(&packet[106], (uint8_t)(app_manager->ais[20].init_duration));
  TF_copy_u8(&packet[107], (uint8_t)(app_manager->ais[20].prev));
  TF_copy_u8(&packet[108], (uint8_t)(app_manager->ais[20].min));
  TF_copy_u8(&packet[109], (uint8_t)(app_manager->ais[20].max));
  TF_copy_u8(&packet[110], (uint8_t)(app_manager->ais[21].init_duration));
  TF_copy_u8(&packet[111], (uint8_t)(app_manager->ais[21].prev));
  TF_copy_u8(&packet[112], (uint8_t)(app_manager->ais[21].min));
  TF_copy_u8(&packet[113], (uint8_t)(app_manager->ais[21].max));
  TF_copy_u8(&packet[114], (uint8_t)(app_manager->ais[22].init_duration));
  TF_copy_u8(&packet[115], (uint8_t)(app_manager->ais[22].prev));
  TF_copy_u8(&packet[116], (uint8_t)(app_manager->ais[22].min));
  TF_copy_u8(&packet[117], (uint8_t)(app_manager->ais[22].max));
  TF_copy_u8(&packet[118], (uint8_t)(app_manager->ais[23].init_duration));
  TF_copy_u8(&packet[119], (uint8_t)(app_manager->ais[23].prev));
  TF_copy_u8(&packet[120], (uint8_t)(app_manager->ais[23].min));
  TF_copy_u8(&packet[121], (uint8_t)(app_manager->ais[23].max));
  TF_copy_u8(&packet[122], (uint8_t)(app_manager->ais[24].init_duration));
  TF_copy_u8(&packet[123], (uint8_t)(app_manager->ais[24].prev));
  TF_copy_u8(&packet[124], (uint8_t)(app_manager->ais[24].min));
  TF_copy_u8(&packet[125], (uint8_t)(app_manager->ais[24].max));
  TF_copy_u8(&packet[126], (uint8_t)(app_manager->ais[25].init_duration));
  TF_copy_u8(&packet[127], (uint8_t)(app_manager->ais[25].prev));
  TF_copy_u8(&packet[128], (uint8_t)(app_manager->ais[25].min));
  TF_copy_u8(&packet[129], (uint8_t)(app_manager->ais[25].max));
  TF_copy_u8(&packet[130], (uint8_t)(app_manager->ais[26].init_duration));
  TF_copy_u8(&packet[131], (uint8_t)(app_manager->ais[26].prev));
  TF_copy_u8(&packet[132], (uint8_t)(app_manager->ais[26].min));
  TF_copy_u8(&packet[133], (uint8_t)(app_manager->ais[26].max));
  TF_copy_u8(&packet[134], (uint8_t)(app_manager->ais[27].init_duration));
  TF_copy_u8(&packet[135], (uint8_t)(app_manager->ais[27].prev));
  TF_copy_u8(&packet[136], (uint8_t)(app_manager->ais[27].min));
  TF_copy_u8(&packet[137], (uint8_t)(app_manager->ais[27].max));
  TF_copy_u8(&packet[138], (uint8_t)(app_manager->ais[28].init_duration));
  TF_copy_u8(&packet[139], (uint8_t)(app_manager->ais[28].prev));
  TF_copy_u8(&packet[140], (uint8_t)(app_manager->ais[28].min));
  TF_copy_u8(&packet[141], (uint8_t)(app_manager->ais[28].max));
  TF_copy_u8(&packet[142], (uint8_t)(app_manager->ais[29].init_duration));
  TF_copy_u8(&packet[143], (uint8_t)(app_manager->ais[29].prev));
  TF_copy_u8(&packet[144], (uint8_t)(app_manager->ais[29].min));
  TF_copy_u8(&packet[145], (uint8_t)(app_manager->ais[29].max));
  TF_copy_u8(&packet[146], (uint8_t)(app_manager->ais[30].init_duration));
  TF_copy_u8(&packet[147], (uint8_t)(app_manager->ais[30].prev));
  TF_copy_u8(&packet[148], (uint8_t)(app_manager->ais[30].min));
  TF_copy_u8(&packet[149], (uint8_t)(app_manager->ais[30].max));
  TF_copy_u8(&packet[150], (uint8_t)(app_manager->ais[31].init_duration));
  TF_copy_u8(&packet[151], (uint8_t)(app_manager->ais[31].prev));
  TF_copy_u8(&packet[152], (uint8_t)(app_manager->ais[31].min));
  TF_copy_u8(&packet[153], (uint8_t)(app_manager->ais[31].max));
  TF_copy_u8(&packet[154], (uint8_t)(app_manager->ais[32].init_duration));
  TF_copy_u8(&packet[155], (uint8_t)(app_manager->ais[32].prev));
  TF_copy_u8(&packet[156], (uint8_t)(app_manager->ais[32].min));
  TF_copy_u8(&packet[157], (uint8_t)(app_manager->ais[32].max));
  TF_copy_u8(&packet[158], (uint8_t)(app_manager->ais[33].init_duration));
  TF_copy_u8(&packet[159], (uint8_t)(app_manager->ais[33].prev));
  TF_copy_u8(&packet[160], (uint8_t)(app_manager->ais[33].min));
  TF_copy_u8(&packet[161], (uint8_t)(app_manager->ais[33].max));
  TF_copy_u8(&packet[162], (uint8_t)(app_manager->ais[34].init_duration));
  TF_copy_u8(&packet[163], (uint8_t)(app_manager->ais[34].prev));
  TF_copy_u8(&packet[164], (uint8_t)(app_manager->ais[34].min));
  TF_copy_u8(&packet[165], (uint8_t)(app_manager->ais[34].max));
  TF_copy_u8(&packet[166], (uint8_t)(app_manager->ais[35].init_duration));
  TF_copy_u8(&packet[167], (uint8_t)(app_manager->ais[35].prev));
  TF_copy_u8(&packet[168], (uint8_t)(app_manager->ais[35].min));
  TF_copy_u8(&packet[169], (uint8_t)(app_manager->ais[35].max));
  TF_copy_u8(&packet[170], (uint8_t)(app_manager->ais[36].init_duration));
  TF_copy_u8(&packet[171], (uint8_t)(app_manager->ais[36].prev));
  TF_copy_u8(&packet[172], (uint8_t)(app_manager->ais[36].min));
  TF_copy_u8(&packet[173], (uint8_t)(app_manager->ais[36].max));
  TF_copy_u8(&packet[174], (uint8_t)(app_manager->ais[37].init_duration));
  TF_copy_u8(&packet[175], (uint8_t)(app_manager->ais[37].prev));
  TF_copy_u8(&packet[176], (uint8_t)(app_manager->ais[37].min));
  TF_copy_u8(&packet[177], (uint8_t)(app_manager->ais[37].max));
  TF_copy_u8(&packet[178], (uint8_t)(app_manager->ais[38].init_duration));
  TF_copy_u8(&packet[179], (uint8_t)(app_manager->ais[38].prev));
  TF_copy_u8(&packet[180], (uint8_t)(app_manager->ais[38].min));
  TF_copy_u8(&packet[181], (uint8_t)(app_manager->ais[38].max));
  TF_copy_u8(&packet[182], (uint8_t)(app_manager->ais[39].init_duration));
  TF_copy_u8(&packet[183], (uint8_t)(app_manager->ais[39].prev));
  TF_copy_u8(&packet[184], (uint8_t)(app_manager->ais[39].min));
  TF_copy_u8(&packet[185], (uint8_t)(app_manager->ais[39].max));
  TF_copy_u8(&packet[186], (uint8_t)(app_manager->ais[40].init_duration));
  TF_copy_u8(&packet[187], (uint8_t)(app_manager->ais[40].prev));
  TF_copy_u8(&packet[188], (uint8_t)(app_manager->ais[40].min));
  TF_copy_u8(&packet[189], (uint8_t)(app_manager->ais[40].max));
  TF_copy_u8(&packet[190], (uint8_t)(app_manager->ais[41].init_duration));
  TF_copy_u8(&packet[191], (uint8_t)(app_manager->ais[41].prev));
  TF_copy_u8(&packet[192], (uint8_t)(app_manager->ais[41].min));
  TF_copy_u8(&packet[193], (uint8_t)(app_manager->ais[41].max));
  TF_copy_u8(&packet[194], (uint8_t)(app_manager->ais[42].init_duration));
  TF_copy_u8(&packet[195], (uint8_t)(app_manager->ais[42].prev));
  TF_copy_u8(&packet[196], (uint8_t)(app_manager->ais[42].min));
  TF_copy_u8(&packet[197], (uint8_t)(app_manager->ais[42].max));
  TF_copy_u8(&packet[198], (uint8_t)(app_manager->ais[43].init_duration));
  TF_copy_u8(&packet[199], (uint8_t)(app_manager->ais[43].prev));
  TF_copy_u8(&packet[200], (uint8_t)(app_manager->ais[43].min));
  TF_copy_u8(&packet[201], (uint8_t)(app_manager->ais[43].max));
  TF_copy_u8(&packet[202], (uint8_t)(app_manager->ais[44].init_duration));
  TF_copy_u8(&packet[203], (uint8_t)(app_manager->ais[44].prev));
  TF_copy_u8(&packet[204], (uint8_t)(app_manager->ais[44].min));
  TF_copy_u8(&packet[205], (uint8_t)(app_manager->ais[44].max));
  TF_copy_u8(&packet[206], (uint8_t)(app_manager->ais[45].init_duration));
  TF_copy_u8(&packet[207], (uint8_t)(app_manager->ais[45].prev));
  TF_copy_u8(&packet[208], (uint8_t)(app_manager->ais[45].min));
  TF_copy_u8(&packet[209], (uint8_t)(app_manager->ais[45].max));
  TF_copy_u8(&packet[210], (uint8_t)(app_manager->ais[46].init_duration));
  TF_copy_u8(&packet[211], (uint8_t)(app_manager->ais[46].prev));
  TF_copy_u8(&packet[212], (uint8_t)(app_manager->ais[46].min));
  TF_copy_u8(&packet[213], (uint8_t)(app_manager->ais[46].max));
  TF_copy_u8(&packet[214], (uint8_t)(app_manager->ais[47].init_duration));
  TF_copy_u8(&packet[215], (uint8_t)(app_manager->ais[47].prev));
  TF_copy_u8(&packet[216], (uint8_t)(app_manager->ais[47].min));
  TF_copy_u8(&packet[217], (uint8_t)(app_manager->ais[47].max));
  TF_copy_u8(&packet[218], (uint8_t)(app_manager->ais[48].init_duration));
  TF_copy_u8(&packet[219], (uint8_t)(app_manager->ais[48].prev));
  TF_copy_u8(&packet[220], (uint8_t)(app_manager->ais[48].min));
  TF_copy_u8(&packet[221], (uint8_t)(app_manager->ais[48].max));
  TF_copy_u8(&packet[222], (uint8_t)(app_manager->ais[49].init_duration));
  TF_copy_u8(&packet[223], (uint8_t)(app_manager->ais[49].prev));
  TF_copy_u8(&packet[224], (uint8_t)(app_manager->ais[49].min));
  TF_copy_u8(&packet[225], (uint8_t)(app_manager->ais[49].max));
  TF_copy_u8(&packet[226], (uint8_t)(app_manager->ais[50].init_duration));
  TF_copy_u8(&packet[227], (uint8_t)(app_manager->ais[50].prev));
  TF_copy_u8(&packet[228], (uint8_t)(app_manager->ais[50].min));
  TF_copy_u8(&packet[229], (uint8_t)(app_manager->ais[50].max));
  TF_copy_u8(&packet[230], (uint8_t)(app_manager->ais[51].init_duration));
  TF_copy_u8(&packet[231], (uint8_t)(app_manager->ais[51].prev));
  TF_copy_u8(&packet[232], (uint8_t)(app_manager->ais[51].min));
  TF_copy_u8(&packet[233], (uint8_t)(app_manager->ais[51].max));
  TF_copy_u8(&packet[234], (uint8_t)(app_manager->ais[52].init_duration));
  TF_copy_u8(&packet[235], (uint8_t)(app_manager->ais[52].prev));
  TF_copy_u8(&packet[236], (uint8_t)(app_manager->ais[52].min));
  TF_copy_u8(&packet[237], (uint8_t)(app_manager->ais[52].max));
  TF_copy_u8(&packet[238], (uint8_t)(app_manager->ais[53].init_duration));
  TF_copy_u8(&packet[239], (uint8_t)(app_manager->ais[53].prev));
  TF_copy_u8(&packet[240], (uint8_t)(app_manager->ais[53].min));
  TF_copy_u8(&packet[241], (uint8_t)(app_manager->ais[53].max));
  TF_copy_u8(&packet[242], (uint8_t)(app_manager->ais[54].init_duration));
  TF_copy_u8(&packet[243], (uint8_t)(app_manager->ais[54].prev));
  TF_copy_u8(&packet[244], (uint8_t)(app_manager->ais[54].min));
  TF_copy_u8(&packet[245], (uint8_t)(app_manager->ais[54].max));
  TF_copy_u8(&packet[246], (uint8_t)(app_manager->ais[55].init_duration));
  TF_copy_u8(&packet[247], (uint8_t)(app_manager->ais[55].prev));
  TF_copy_u8(&packet[248], (uint8_t)(app_manager->ais[55].min));
  TF_copy_u8(&packet[249], (uint8_t)(app_manager->ais[55].max));
  TF_copy_u8(&packet[250], (uint8_t)(app_manager->ais[56].init_duration));
  TF_copy_u8(&packet[251], (uint8_t)(app_manager->ais[56].prev));
  TF_copy_u8(&packet[252], (uint8_t)(app_manager->ais[56].min));
  TF_copy_u8(&packet[253], (uint8_t)(app_manager->ais[56].max));
  TF_copy_u8(&packet[254], (uint8_t)(app_manager->ais[57].init_duration));
  TF_copy_u8(&packet[255], (uint8_t)(app_manager->ais[57].prev));
  TF_copy_u8(&packet[256], (uint8_t)(app_manager->ais[57].min));
  TF_copy_u8(&packet[257], (uint8_t)(app_manager->ais[57].max));
  TF_copy_u8(&packet[258], (uint8_t)(app_manager->ais[58].init_duration));
  TF_copy_u8(&packet[259], (uint8_t)(app_manager->ais[58].prev));
  TF_copy_u8(&packet[260], (uint8_t)(app_manager->ais[58].min));
  TF_copy_u8(&packet[261], (uint8_t)(app_manager->ais[58].max));
  TF_copy_u8(&packet[262], (uint8_t)(app_manager->ais[59].init_duration));
  TF_copy_u8(&packet[263], (uint8_t)(app_manager->ais[59].prev));
  TF_copy_u8(&packet[264], (uint8_t)(app_manager->ais[59].min));
  TF_copy_u8(&packet[265], (uint8_t)(app_manager->ais[59].max));
  TF_copy_u8(&packet[266], (uint8_t)(app_manager->ais[60].init_duration));
  TF_copy_u8(&packet[267], (uint8_t)(app_manager->ais[60].prev));
  TF_copy_u8(&packet[268], (uint8_t)(app_manager->ais[60].min));
  TF_copy_u8(&packet[269], (uint8_t)(app_manager->ais[60].max));
  TF_copy_u8(&packet[270], (uint8_t)(app_manager->ais[61].init_duration));
  TF_copy_u8(&packet[271], (uint8_t)(app_manager->ais[61].prev));
  TF_copy_u8(&packet[272], (uint8_t)(app_manager->ais[61].min));
  TF_copy_u8(&packet[273], (uint8_t)(app_manager->ais[61].max));
  TF_copy_u8(&packet[274], (uint8_t)(app_manager->ais[62].init_duration));
  TF_copy_u8(&packet[275], (uint8_t)(app_manager->ais[62].prev));
  TF_copy_u8(&packet[276], (uint8_t)(app_manager->ais[62].min));
  TF_copy_u8(&packet[277], (uint8_t)(app_manager->ais[62].max));
  TF_copy_u8(&packet[278], (uint8_t)(app_manager->ais[63].init_duration));
  TF_copy_u8(&packet[279], (uint8_t)(app_manager->ais[63].prev));
  TF_copy_u8(&packet[280], (uint8_t)(app_manager->ais[63].min));
  TF_copy_u8(&packet[281], (uint8_t)(app_manager->ais[63].max));
  TF_copy_u8(&packet[282], (uint8_t)(app_manager->ais[64].init_duration));
  TF_copy_u8(&packet[283], (uint8_t)(app_manager->ais[64].prev));
  TF_copy_u8(&packet[284], (uint8_t)(app_manager->ais[64].min));
  TF_copy_u8(&packet[285], (uint8_t)(app_manager->ais[64].max));
  TF_copy_u8(&packet[286], (uint8_t)(app_manager->ais[65].init_duration));
  TF_copy_u8(&packet[287], (uint8_t)(app_manager->ais[65].prev));
  TF_copy_u8(&packet[288], (uint8_t)(app_manager->ais[65].min));
  TF_copy_u8(&packet[289], (uint8_t)(app_manager->ais[65].max));
  TF_copy_u8(&packet[290], (uint8_t)(app_manager->ais[66].init_duration));
  TF_copy_u8(&packet[291], (uint8_t)(app_manager->ais[66].prev));
  TF_copy_u8(&packet[292], (uint8_t)(app_manager->ais[66].min));
  TF_copy_u8(&packet[293], (uint8_t)(app_manager->ais[66].max));
  TF_copy_u8(&packet[294], (uint8_t)(app_manager->ais[67].init_duration));
  TF_copy_u8(&packet[295], (uint8_t)(app_manager->ais[67].prev));
  TF_copy_u8(&packet[296], (uint8_t)(app_manager->ais[67].min));
  TF_copy_u8(&packet[297], (uint8_t)(app_manager->ais[67].max));
  TF_copy_u8(&packet[298], (uint8_t)(app_manager->ais[68].init_duration));
  TF_copy_u8(&packet[299], (uint8_t)(app_manager->ais[68].prev));
  TF_copy_u8(&packet[300], (uint8_t)(app_manager->ais[68].min));
  TF_copy_u8(&packet[301], (uint8_t)(app_manager->ais[68].max));
  TF_copy_u8(&packet[302], (uint8_t)(app_manager->ais[69].init_duration));
  TF_copy_u8(&packet[303], (uint8_t)(app_manager->ais[69].prev));
  TF_copy_u8(&packet[304], (uint8_t)(app_manager->ais[69].min));
  TF_copy_u8(&packet[305], (uint8_t)(app_manager->ais[69].max));
  TF_copy_u8(&packet[306], (uint8_t)(app_manager->ais[70].init_duration));
  TF_copy_u8(&packet[307], (uint8_t)(app_manager->ais[70].prev));
  TF_copy_u8(&packet[308], (uint8_t)(app_manager->ais[70].min));
  TF_copy_u8(&packet[309], (uint8_t)(app_manager->ais[70].max));
  TF_copy_u8(&packet[310], (uint8_t)(app_manager->ais[71].init_duration));
  TF_copy_u8(&packet[311], (uint8_t)(app_manager->ais[71].prev));
  TF_copy_u8(&packet[312], (uint8_t)(app_manager->ais[71].min));
  TF_copy_u8(&packet[313], (uint8_t)(app_manager->ais[71].max));
  TF_copy_u8(&packet[314], (uint8_t)(app_manager->ais[72].init_duration));
  TF_copy_u8(&packet[315], (uint8_t)(app_manager->ais[72].prev));
  TF_copy_u8(&packet[316], (uint8_t)(app_manager->ais[72].min));
  TF_copy_u8(&packet[317], (uint8_t)(app_manager->ais[72].max));
  TF_copy_u8(&packet[318], (uint8_t)(app_manager->ais[73].init_duration));
  TF_copy_u8(&packet[319], (uint8_t)(app_manager->ais[73].prev));
  TF_copy_u8(&packet[320], (uint8_t)(app_manager->ais[73].min));
  TF_copy_u8(&packet[321], (uint8_t)(app_manager->ais[73].max));
  TF_copy_u8(&packet[322], (uint8_t)(app_manager->ais[74].init_duration));
  TF_copy_u8(&packet[323], (uint8_t)(app_manager->ais[74].prev));
  TF_copy_u8(&packet[324], (uint8_t)(app_manager->ais[74].min));
  TF_copy_u8(&packet[325], (uint8_t)(app_manager->ais[74].max));
  TF_copy_u8(&packet[326], (uint8_t)(app_manager->ais[75].init_duration));
  TF_copy_u8(&packet[327], (uint8_t)(app_manager->ais[75].prev));
  TF_copy_u8(&packet[328], (uint8_t)(app_manager->ais[75].min));
  TF_copy_u8(&packet[329], (uint8_t)(app_manager->ais[75].max));
  TF_copy_u8(&packet[330], (uint8_t)(app_manager->ais[76].init_duration));
  TF_copy_u8(&packet[331], (uint8_t)(app_manager->ais[76].prev));
  TF_copy_u8(&packet[332], (uint8_t)(app_manager->ais[76].min));
  TF_copy_u8(&packet[333], (uint8_t)(app_manager->ais[76].max));
  TF_copy_u8(&packet[334], (uint8_t)(app_manager->ais[77].init_duration));
  TF_copy_u8(&packet[335], (uint8_t)(app_manager->ais[77].prev));
  TF_copy_u8(&packet[336], (uint8_t)(app_manager->ais[77].min));
  TF_copy_u8(&packet[337], (uint8_t)(app_manager->ais[77].max));
  TF_copy_u8(&packet[338], (uint8_t)(app_manager->ais[78].init_duration));
  TF_copy_u8(&packet[339], (uint8_t)(app_manager->ais[78].prev));
  TF_copy_u8(&packet[340], (uint8_t)(app_manager->ais[78].min));
  TF_copy_u8(&packet[341], (uint8_t)(app_manager->ais[78].max));
  TF_copy_u8(&packet[342], (uint8_t)(app_manager->ais[79].init_duration));
  TF_copy_u8(&packet[343], (uint8_t)(app_manager->ais[79].prev));
  TF_copy_u8(&packet[344], (uint8_t)(app_manager->ais[79].min));
  TF_copy_u8(&packet[345], (uint8_t)(app_manager->ais[79].max));
  TF_copy_u8(&packet[346], (uint8_t)(app_manager->ais[80].init_duration));
  TF_copy_u8(&packet[347], (uint8_t)(app_manager->ais[80].prev));
  TF_copy_u8(&packet[348], (uint8_t)(app_manager->ais[80].min));
  TF_copy_u8(&packet[349], (uint8_t)(app_manager->ais[80].max));
  TF_copy_u8(&packet[350], (uint8_t)(app_manager->ais[81].init_duration));
  TF_copy_u8(&packet[351], (uint8_t)(app_manager->ais[81].prev));
  TF_copy_u8(&packet[352], (uint8_t)(app_manager->ais[81].min));
  TF_copy_u8(&packet[353], (uint8_t)(app_manager->ais[81].max));
  TF_copy_u8(&packet[354], (uint8_t)(app_manager->ais[82].init_duration));
  TF_copy_u8(&packet[355], (uint8_t)(app_manager->ais[82].prev));
  TF_copy_u8(&packet[356], (uint8_t)(app_manager->ais[82].min));
  TF_copy_u8(&packet[357], (uint8_t)(app_manager->ais[82].max));
  TF_copy_u8(&packet[358], (uint8_t)(app_manager->ais[83].init_duration));
  TF_copy_u8(&packet[359], (uint8_t)(app_manager->ais[83].prev));
  TF_copy_u8(&packet[360], (uint8_t)(app_manager->ais[83].min));
  TF_copy_u8(&packet[361], (uint8_t)(app_manager->ais[83].max));
  TF_copy_u8(&packet[362], (uint8_t)(app_manager->ais[84].init_duration));
  TF_copy_u8(&packet[363], (uint8_t)(app_manager->ais[84].prev));
  TF_copy_u8(&packet[364], (uint8_t)(app_manager->ais[84].min));
  TF_copy_u8(&packet[365], (uint8_t)(app_manager->ais[84].max));
  TF_copy_u8(&packet[366], (uint8_t)(app_manager->ais[85].init_duration));
  TF_copy_u8(&packet[367], (uint8_t)(app_manager->ais[85].prev));
  TF_copy_u8(&packet[368], (uint8_t)(app_manager->ais[85].min));
  TF_copy_u8(&packet[369], (uint8_t)(app_manager->ais[85].max));
  TF_copy_u8(&packet[370], (uint8_t)(app_manager->ais[86].init_duration));
  TF_copy_u8(&packet[371], (uint8_t)(app_manager->ais[86].prev));
  TF_copy_u8(&packet[372], (uint8_t)(app_manager->ais[86].min));
  TF_copy_u8(&packet[373], (uint8_t)(app_manager->ais[86].max));
  TF_copy_u8(&packet[374], (uint8_t)(app_manager->ais[87].init_duration));
  TF_copy_u8(&packet[375], (uint8_t)(app_manager->ais[87].prev));
  TF_copy_u8(&packet[376], (uint8_t)(app_manager->ais[87].min));
  TF_copy_u8(&packet[377], (uint8_t)(app_manager->ais[87].max));
  TF_copy_u8(&packet[378], (uint8_t)(app_manager->ais[88].init_duration));
  TF_copy_u8(&packet[379], (uint8_t)(app_manager->ais[88].prev));
  TF_copy_u8(&packet[380], (uint8_t)(app_manager->ais[88].min));
  TF_copy_u8(&packet[381], (uint8_t)(app_manager->ais[88].max));
  TF_copy_u8(&packet[382], (uint8_t)(app_manager->ais[89].init_duration));
  TF_copy_u8(&packet[383], (uint8_t)(app_manager->ais[89].prev));
  TF_copy_u8(&packet[384], (uint8_t)(app_manager->ais[89].min));
  TF_copy_u8(&packet[385], (uint8_t)(app_manager->ais[89].max));
  TF_copy_u8(&packet[386], (uint8_t)(app_manager->ais[90].init_duration));
  TF_copy_u8(&packet[387], (uint8_t)(app_manager->ais[90].prev));
  TF_copy_u8(&packet[388], (uint8_t)(app_manager->ais[90].min));
  TF_copy_u8(&packet[389], (uint8_t)(app_manager->ais[90].max));
  TF_copy_u8(&packet[390], (uint8_t)(app_manager->ais[91].init_duration));
  TF_copy_u8(&packet[391], (uint8_t)(app_manager->ais[91].prev));
  TF_copy_u8(&packet[392], (uint8_t)(app_manager->ais[91].min));
  TF_copy_u8(&packet[393], (uint8_t)(app_manager->ais[91].max));
  TF_copy_u8(&packet[394], (uint8_t)(app_manager->ais[92].init_duration));
  TF_copy_u8(&packet[395], (uint8_t)(app_manager->ais[92].prev));
  TF_copy_u8(&packet[396], (uint8_t)(app_manager->ais[92].min));
  TF_copy_u8(&packet[397], (uint8_t)(app_manager->ais[92].max));
  TF_copy_u8(&packet[398], (uint8_t)(app_manager->ais[93].init_duration));
  TF_copy_u8(&packet[399], (uint8_t)(app_manager->ais[93].prev));
  TF_copy_u8(&packet[400], (uint8_t)(app_manager->ais[93].min));
  TF_copy_u8(&packet[401], (uint8_t)(app_manager->ais[93].max));
  TF_copy_u8(&packet[402], (uint8_t)(app_manager->ais[94].init_duration));
  TF_copy_u8(&packet[403], (uint8_t)(app_manager->ais[94].prev));
  TF_copy_u8(&packet[404], (uint8_t)(app_manager->ais[94].min));
  TF_copy_u8(&packet[405], (uint8_t)(app_manager->ais[94].max));
  TF_copy_u8(&packet[406], (uint8_t)(app_manager->ais[95].init_duration));
  TF_copy_u8(&packet[407], (uint8_t)(app_manager->ais[95].prev));
  TF_copy_u8(&packet[408], (uint8_t)(app_manager->ais[95].min));
  TF_copy_u8(&packet[409], (uint8_t)(app_manager->ais[95].max));
  TF_copy_u8(&packet[410], (uint8_t)(app_manager->ais[96].init_duration));
  TF_copy_u8(&packet[411], (uint8_t)(app_manager->ais[96].prev));
  TF_copy_u8(&packet[412], (uint8_t)(app_manager->ais[96].min));
  TF_copy_u8(&packet[413], (uint8_t)(app_manager->ais[96].max));
  TF_copy_u8(&packet[414], (uint8_t)(app_manager->ais[97].init_duration));
  TF_copy_u8(&packet[415], (uint8_t)(app_manager->ais[97].prev));
  TF_copy_u8(&packet[416], (uint8_t)(app_manager->ais[97].min));
  TF_copy_u8(&packet[417], (uint8_t)(app_manager->ais[97].max));
  TF_copy_u8(&packet[418], (uint8_t)(app_manager->ais[98].init_duration));
  TF_copy_u8(&packet[419], (uint8_t)(app_manager->ais[98].prev));
  TF_copy_u8(&packet[420], (uint8_t)(app_manager->ais[98].min));
  TF_copy_u8(&packet[421], (uint8_t)(app_manager->ais[98].max));
  TF_copy_u8(&packet[422], (uint8_t)(app_manager->ais[99].init_duration));
  TF_copy_u8(&packet[423], (uint8_t)(app_manager->ais[99].prev));
  TF_copy_u8(&packet[424], (uint8_t)(app_manager->ais[99].min));
  TF_copy_u8(&packet[425], (uint8_t)(app_manager->ais[99].max));
#endif

  *len = 426;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_EL_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (412 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u32(&packet[26], event_logger->statistics.record_counter_total);
  TF_copy_u32(&packet[30], event_logger->statistics.record_counters[EL_ERROR_LEVEL_HIGH]);
  TF_copy_u32(&packet[34], event_logger->statistics.record_counters[EL_ERROR_LEVEL_MIDDLE]);
  TF_copy_u32(&packet[38], event_logger->statistics.record_counters[EL_ERROR_LEVEL_LOW]);
  TF_copy_u32(&packet[42], event_logger->statistics.record_counters[EL_ERROR_LEVEL_EL]);
  TF_copy_u32(&packet[46], event_logger->statistics.record_counters[EL_ERROR_LEVEL_EH]);
  TF_copy_u8(&packet[50], event_logger->tlm_info.tlog.page_no);
  TF_copy_u8(&packet[51], (uint8_t)event_logger->tlm_info.tlog.err_level);
  TF_copy_u8(&packet[52], event_logger->tlm_info.clog.page_no);
  TF_copy_u8(&packet[53], (uint8_t)event_logger->tlm_info.clog.err_level);
  TF_copy_u32(&packet[54], (uint32_t)event_logger->latest_event.group);
  TF_copy_u32(&packet[58], event_logger->latest_event.local);
  TF_copy_u8(&packet[62], (uint8_t)event_logger->latest_event.err_level);
  TF_copy_u32(&packet[63], event_logger->latest_event.time.total_cycle);
  TF_copy_u8(&packet[67], (uint8_t)event_logger->latest_event.time.step);
  TF_copy_u32(&packet[68], event_logger->latest_event.note);
  TF_copy_u8(&packet[72], event_logger->is_logging_enable[0]);
  TF_copy_u8(&packet[73], event_logger->is_logging_enable[1]);
  TF_copy_u8(&packet[74], event_logger->is_logging_enable[2]);
  TF_copy_u8(&packet[75], event_logger->is_logging_enable[3]);
  TF_copy_u8(&packet[76], event_logger->is_logging_enable[4]);
  TF_copy_u8(&packet[77], event_logger->is_logging_enable[5]);
  TF_copy_u8(&packet[78], event_logger->is_logging_enable[6]);
  TF_copy_u8(&packet[79], event_logger->is_logging_enable[7]);
  TF_copy_u8(&packet[80], event_logger->is_logging_enable[8]);
  TF_copy_u8(&packet[81], event_logger->is_logging_enable[9]);
  TF_copy_u8(&packet[82], event_logger->is_logging_enable[10]);
  TF_copy_u8(&packet[83], event_logger->is_logging_enable[11]);
  TF_copy_u8(&packet[84], event_logger->is_logging_enable[12]);
  TF_copy_u8(&packet[85], event_logger->is_logging_enable[13]);
  TF_copy_u8(&packet[86], event_logger->is_logging_enable[14]);
  TF_copy_u8(&packet[87], event_logger->is_logging_enable[15]);
  TF_copy_u8(&packet[88], event_logger->is_logging_enable[16]);
  TF_copy_u8(&packet[89], event_logger->is_logging_enable[17]);
  TF_copy_u8(&packet[90], event_logger->is_logging_enable[18]);
  TF_copy_u8(&packet[91], event_logger->is_logging_enable[19]);
  TF_copy_u8(&packet[92], event_logger->is_logging_enable[20]);
  TF_copy_u8(&packet[93], event_logger->is_logging_enable[21]);
  TF_copy_u8(&packet[94], event_logger->is_logging_enable[22]);
  TF_copy_u8(&packet[95], event_logger->is_logging_enable[23]);
  TF_copy_u8(&packet[96], event_logger->is_logging_enable[24]);
  TF_copy_u8(&packet[97], event_logger->is_logging_enable[25]);
  TF_copy_u8(&packet[98], event_logger->is_logging_enable[26]);
  TF_copy_u8(&packet[99], event_logger->is_logging_enable[27]);
  TF_copy_u8(&packet[100], event_logger->is_logging_enable[28]);
  TF_copy_u8(&packet[101], event_logger->is_logging_enable[29]);
  TF_copy_u8(&packet[102], event_logger->is_logging_enable[30]);
  TF_copy_u8(&packet[103], event_logger->is_logging_enable[31]);
  TF_copy_u8(&packet[104], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 0)->group);
  TF_copy_u32(&packet[105], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 0)->local);
  TF_copy_u32(&packet[109], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 0)->time.total_cycle);
  TF_copy_u8(&packet[113], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 0)->time.step);
  TF_copy_u32(&packet[114], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 0)->note);
  TF_copy_u8(&packet[118], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 1)->group);
  TF_copy_u32(&packet[119], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 1)->local);
  TF_copy_u32(&packet[123], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 1)->time.total_cycle);
  TF_copy_u8(&packet[127], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 1)->time.step);
  TF_copy_u32(&packet[128], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 1)->note);
  TF_copy_u8(&packet[132], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 2)->group);
  TF_copy_u32(&packet[133], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 2)->local);
  TF_copy_u32(&packet[137], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 2)->time.total_cycle);
  TF_copy_u8(&packet[141], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 2)->time.step);
  TF_copy_u32(&packet[142], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 2)->note);
  TF_copy_u8(&packet[146], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 3)->group);
  TF_copy_u32(&packet[147], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 3)->local);
  TF_copy_u32(&packet[151], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 3)->time.total_cycle);
  TF_copy_u8(&packet[155], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 3)->time.step);
  TF_copy_u32(&packet[156], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 3)->note);
  TF_copy_u8(&packet[160], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 0)->group);
  TF_copy_u32(&packet[161], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 0)->local);
  TF_copy_u32(&packet[165], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 0)->time.total_cycle);
  TF_copy_u8(&packet[169], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 0)->time.step);
  TF_copy_u32(&packet[170], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 0)->note);
  TF_copy_u8(&packet[174], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 1)->group);
  TF_copy_u32(&packet[175], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 1)->local);
  TF_copy_u32(&packet[179], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 1)->time.total_cycle);
  TF_copy_u8(&packet[183], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 1)->time.step);
  TF_copy_u32(&packet[184], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 1)->note);
  TF_copy_u8(&packet[188], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 2)->group);
  TF_copy_u32(&packet[189], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 2)->local);
  TF_copy_u32(&packet[193], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 2)->time.total_cycle);
  TF_copy_u8(&packet[197], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 2)->time.step);
  TF_copy_u32(&packet[198], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 2)->note);
  TF_copy_u8(&packet[202], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 3)->group);
  TF_copy_u32(&packet[203], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 3)->local);
  TF_copy_u32(&packet[207], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 3)->time.total_cycle);
  TF_copy_u8(&packet[211], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 3)->time.step);
  TF_copy_u32(&packet[212], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_MIDDLE, 3)->note);
  TF_copy_u8(&packet[216], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 0)->group);
  TF_copy_u32(&packet[217], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 0)->local);
  TF_copy_u32(&packet[221], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 0)->time.total_cycle);
  TF_copy_u8(&packet[225], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 0)->time.step);
  TF_copy_u32(&packet[226], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 0)->note);
  TF_copy_u8(&packet[230], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 1)->group);
  TF_copy_u32(&packet[231], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 1)->local);
  TF_copy_u32(&packet[235], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 1)->time.total_cycle);
  TF_copy_u8(&packet[239], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 1)->time.step);
  TF_copy_u32(&packet[240], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 1)->note);
  TF_copy_u8(&packet[244], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 2)->group);
  TF_copy_u32(&packet[245], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 2)->local);
  TF_copy_u32(&packet[249], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 2)->time.total_cycle);
  TF_copy_u8(&packet[253], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 2)->time.step);
  TF_copy_u32(&packet[254], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 2)->note);
  TF_copy_u8(&packet[258], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 3)->group);
  TF_copy_u32(&packet[259], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 3)->local);
  TF_copy_u32(&packet[263], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 3)->time.total_cycle);
  TF_copy_u8(&packet[267], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 3)->time.step);
  TF_copy_u32(&packet[268], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 3)->note);
  TF_copy_u8(&packet[272], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 4)->group);
  TF_copy_u32(&packet[273], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 4)->local);
  TF_copy_u32(&packet[277], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 4)->time.total_cycle);
  TF_copy_u8(&packet[281], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 4)->time.step);
  TF_copy_u32(&packet[282], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 4)->note);
  TF_copy_u8(&packet[286], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 5)->group);
  TF_copy_u32(&packet[287], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 5)->local);
  TF_copy_u32(&packet[291], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 5)->time.total_cycle);
  TF_copy_u8(&packet[295], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 5)->time.step);
  TF_copy_u32(&packet[296], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_LOW, 5)->note);
  TF_copy_u8(&packet[300], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 0)->group);
  TF_copy_u32(&packet[301], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 0)->local);
  TF_copy_u32(&packet[305], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 0)->time.total_cycle);
  TF_copy_u8(&packet[309], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 0)->time.step);
  TF_copy_u32(&packet[310], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 0)->note);
  TF_copy_u8(&packet[314], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 1)->group);
  TF_copy_u32(&packet[315], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 1)->local);
  TF_copy_u32(&packet[319], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 1)->time.total_cycle);
  TF_copy_u8(&packet[323], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 1)->time.step);
  TF_copy_u32(&packet[324], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 1)->note);
  TF_copy_u8(&packet[328], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 2)->group);
  TF_copy_u32(&packet[329], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 2)->local);
  TF_copy_u32(&packet[333], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 2)->time.total_cycle);
  TF_copy_u8(&packet[337], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 2)->time.step);
  TF_copy_u32(&packet[338], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 2)->note);
  TF_copy_u8(&packet[342], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 3)->group);
  TF_copy_u32(&packet[343], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 3)->local);
  TF_copy_u32(&packet[347], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 3)->time.total_cycle);
  TF_copy_u8(&packet[351], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 3)->time.step);
  TF_copy_u32(&packet[352], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EL, 3)->note);
  TF_copy_u8(&packet[356], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 0)->group);
  TF_copy_u32(&packet[357], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 0)->local);
  TF_copy_u32(&packet[361], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 0)->time.total_cycle);
  TF_copy_u8(&packet[365], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 0)->time.step);
  TF_copy_u32(&packet[366], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 0)->note);
  TF_copy_u8(&packet[370], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 1)->group);
  TF_copy_u32(&packet[371], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 1)->local);
  TF_copy_u32(&packet[375], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 1)->time.total_cycle);
  TF_copy_u8(&packet[379], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 1)->time.step);
  TF_copy_u32(&packet[380], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 1)->note);
  TF_copy_u8(&packet[384], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 2)->group);
  TF_copy_u32(&packet[385], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 2)->local);
  TF_copy_u32(&packet[389], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 2)->time.total_cycle);
  TF_copy_u8(&packet[393], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 2)->time.step);
  TF_copy_u32(&packet[394], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 2)->note);
  TF_copy_u8(&packet[398], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 3)->group);
  TF_copy_u32(&packet[399], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 3)->local);
  TF_copy_u32(&packet[403], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 3)->time.total_cycle);
  TF_copy_u8(&packet[407], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 3)->time.step);
  TF_copy_u32(&packet[408], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_EH, 3)->note);
#endif

  *len = 412;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_EL_TLOG_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  EL_ERROR_LEVEL err_level = event_logger->tlm_info.tlog.err_level;
  uint16_t offset = EL_TLOG_TLM_PAGE_SIZE * event_logger->tlm_info.tlog.page_no;
  const EL_Event* events = event_logger->tlogs[err_level].events;

  if (432 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], event_logger->tlm_info.tlog.page_no);
  TF_copy_u8(&packet[27], (uint8_t)((err_level << 4 & 0xf0) | (event_logger->tlogs[err_level].is_enable_overwrite << 3 & 0x08) | ( event_logger->tlogs[err_level].is_table_overflow << 2 & 0x04)));
  TF_copy_u32(&packet[28], event_logger->statistics.record_counter_total);
  TF_copy_u32(&packet[32], event_logger->statistics.record_counters[err_level]);
  TF_copy_u16(&packet[36], event_logger->tlogs[err_level].log_capacity);
  TF_copy_u16(&packet[38], event_logger->tlogs[err_level].log_wp);
  TF_copy_u8(&packet[40], (uint8_t)events[offset+0].group);
  TF_copy_u32(&packet[41], events[offset+0].local);
  TF_copy_u32(&packet[45], events[offset+0].time.total_cycle);
  TF_copy_u8(&packet[49], (uint8_t)events[offset+0].time.step);
  TF_copy_u32(&packet[50], events[offset+0].note);
  TF_copy_u8(&packet[54], (uint8_t)events[offset+1].group);
  TF_copy_u32(&packet[55], events[offset+1].local);
  TF_copy_u32(&packet[59], events[offset+1].time.total_cycle);
  TF_copy_u8(&packet[63], (uint8_t)events[offset+1].time.step);
  TF_copy_u32(&packet[64], events[offset+1].note);
  TF_copy_u8(&packet[68], (uint8_t)events[offset+2].group);
  TF_copy_u32(&packet[69], events[offset+2].local);
  TF_copy_u32(&packet[73], events[offset+2].time.total_cycle);
  TF_copy_u8(&packet[77], (uint8_t)events[offset+2].time.step);
  TF_copy_u32(&packet[78], events[offset+2].note);
  TF_copy_u8(&packet[82], (uint8_t)events[offset+3].group);
  TF_copy_u32(&packet[83], events[offset+3].local);
  TF_copy_u32(&packet[87], events[offset+3].time.total_cycle);
  TF_copy_u8(&packet[91], (uint8_t)events[offset+3].time.step);
  TF_copy_u32(&packet[92], events[offset+3].note);
  TF_copy_u8(&packet[96], (uint8_t)events[offset+4].group);
  TF_copy_u32(&packet[97], events[offset+4].local);
  TF_copy_u32(&packet[101], events[offset+4].time.total_cycle);
  TF_copy_u8(&packet[105], (uint8_t)events[offset+4].time.step);
  TF_copy_u32(&packet[106], events[offset+4].note);
  TF_copy_u8(&packet[110], (uint8_t)events[offset+5].group);
  TF_copy_u32(&packet[111], events[offset+5].local);
  TF_copy_u32(&packet[115], events[offset+5].time.total_cycle);
  TF_copy_u8(&packet[119], (uint8_t)events[offset+5].time.step);
  TF_copy_u32(&packet[120], events[offset+5].note);
  TF_copy_u8(&packet[124], (uint8_t)events[offset+6].group);
  TF_copy_u32(&packet[125], events[offset+6].local);
  TF_copy_u32(&packet[129], events[offset+6].time.total_cycle);
  TF_copy_u8(&packet[133], (uint8_t)events[offset+6].time.step);
  TF_copy_u32(&packet[134], events[offset+6].note);
  TF_copy_u8(&packet[138], (uint8_t)events[offset+7].group);
  TF_copy_u32(&packet[139], events[offset+7].local);
  TF_copy_u32(&packet[143], events[offset+7].time.total_cycle);
  TF_copy_u8(&packet[147], (uint8_t)events[offset+7].time.step);
  TF_copy_u32(&packet[148], events[offset+7].note);
  TF_copy_u8(&packet[152], (uint8_t)events[offset+8].group);
  TF_copy_u32(&packet[153], events[offset+8].local);
  TF_copy_u32(&packet[157], events[offset+8].time.total_cycle);
  TF_copy_u8(&packet[161], (uint8_t)events[offset+8].time.step);
  TF_copy_u32(&packet[162], events[offset+8].note);
  TF_copy_u8(&packet[166], (uint8_t)events[offset+9].group);
  TF_copy_u32(&packet[167], events[offset+9].local);
  TF_copy_u32(&packet[171], events[offset+9].time.total_cycle);
  TF_copy_u8(&packet[175], (uint8_t)events[offset+9].time.step);
  TF_copy_u32(&packet[176], events[offset+9].note);
  TF_copy_u8(&packet[180], (uint8_t)events[offset+10].group);
  TF_copy_u32(&packet[181], events[offset+10].local);
  TF_copy_u32(&packet[185], events[offset+10].time.total_cycle);
  TF_copy_u8(&packet[189], (uint8_t)events[offset+10].time.step);
  TF_copy_u32(&packet[190], events[offset+10].note);
  TF_copy_u8(&packet[194], (uint8_t)events[offset+11].group);
  TF_copy_u32(&packet[195], events[offset+11].local);
  TF_copy_u32(&packet[199], events[offset+11].time.total_cycle);
  TF_copy_u8(&packet[203], (uint8_t)events[offset+11].time.step);
  TF_copy_u32(&packet[204], events[offset+11].note);
  TF_copy_u8(&packet[208], (uint8_t)events[offset+12].group);
  TF_copy_u32(&packet[209], events[offset+12].local);
  TF_copy_u32(&packet[213], events[offset+12].time.total_cycle);
  TF_copy_u8(&packet[217], (uint8_t)events[offset+12].time.step);
  TF_copy_u32(&packet[218], events[offset+12].note);
  TF_copy_u8(&packet[222], (uint8_t)events[offset+13].group);
  TF_copy_u32(&packet[223], events[offset+13].local);
  TF_copy_u32(&packet[227], events[offset+13].time.total_cycle);
  TF_copy_u8(&packet[231], (uint8_t)events[offset+13].time.step);
  TF_copy_u32(&packet[232], events[offset+13].note);
  TF_copy_u8(&packet[236], (uint8_t)events[offset+14].group);
  TF_copy_u32(&packet[237], events[offset+14].local);
  TF_copy_u32(&packet[241], events[offset+14].time.total_cycle);
  TF_copy_u8(&packet[245], (uint8_t)events[offset+14].time.step);
  TF_copy_u32(&packet[246], events[offset+14].note);
  TF_copy_u8(&packet[250], (uint8_t)events[offset+15].group);
  TF_copy_u32(&packet[251], events[offset+15].local);
  TF_copy_u32(&packet[255], events[offset+15].time.total_cycle);
  TF_copy_u8(&packet[259], (uint8_t)events[offset+15].time.step);
  TF_copy_u32(&packet[260], events[offset+15].note);
  TF_copy_u8(&packet[264], (uint8_t)events[offset+16].group);
  TF_copy_u32(&packet[265], events[offset+16].local);
  TF_copy_u32(&packet[269], events[offset+16].time.total_cycle);
  TF_copy_u8(&packet[273], (uint8_t)events[offset+16].time.step);
  TF_copy_u32(&packet[274], events[offset+16].note);
  TF_copy_u8(&packet[278], (uint8_t)events[offset+17].group);
  TF_copy_u32(&packet[279], events[offset+17].local);
  TF_copy_u32(&packet[283], events[offset+17].time.total_cycle);
  TF_copy_u8(&packet[287], (uint8_t)events[offset+17].time.step);
  TF_copy_u32(&packet[288], events[offset+17].note);
  TF_copy_u8(&packet[292], (uint8_t)events[offset+18].group);
  TF_copy_u32(&packet[293], events[offset+18].local);
  TF_copy_u32(&packet[297], events[offset+18].time.total_cycle);
  TF_copy_u8(&packet[301], (uint8_t)events[offset+18].time.step);
  TF_copy_u32(&packet[302], events[offset+18].note);
  TF_copy_u8(&packet[306], (uint8_t)events[offset+19].group);
  TF_copy_u32(&packet[307], events[offset+19].local);
  TF_copy_u32(&packet[311], events[offset+19].time.total_cycle);
  TF_copy_u8(&packet[315], (uint8_t)events[offset+19].time.step);
  TF_copy_u32(&packet[316], events[offset+19].note);
  TF_copy_u8(&packet[320], (uint8_t)events[offset+20].group);
  TF_copy_u32(&packet[321], events[offset+20].local);
  TF_copy_u32(&packet[325], events[offset+20].time.total_cycle);
  TF_copy_u8(&packet[329], (uint8_t)events[offset+20].time.step);
  TF_copy_u32(&packet[330], events[offset+20].note);
  TF_copy_u8(&packet[334], (uint8_t)events[offset+21].group);
  TF_copy_u32(&packet[335], events[offset+21].local);
  TF_copy_u32(&packet[339], events[offset+21].time.total_cycle);
  TF_copy_u8(&packet[343], (uint8_t)events[offset+21].time.step);
  TF_copy_u32(&packet[344], events[offset+21].note);
  TF_copy_u8(&packet[348], (uint8_t)events[offset+22].group);
  TF_copy_u32(&packet[349], events[offset+22].local);
  TF_copy_u32(&packet[353], events[offset+22].time.total_cycle);
  TF_copy_u8(&packet[357], (uint8_t)events[offset+22].time.step);
  TF_copy_u32(&packet[358], events[offset+22].note);
  TF_copy_u8(&packet[362], (uint8_t)events[offset+23].group);
  TF_copy_u32(&packet[363], events[offset+23].local);
  TF_copy_u32(&packet[367], events[offset+23].time.total_cycle);
  TF_copy_u8(&packet[371], (uint8_t)events[offset+23].time.step);
  TF_copy_u32(&packet[372], events[offset+23].note);
  TF_copy_u8(&packet[376], (uint8_t)events[offset+24].group);
  TF_copy_u32(&packet[377], events[offset+24].local);
  TF_copy_u32(&packet[381], events[offset+24].time.total_cycle);
  TF_copy_u8(&packet[385], (uint8_t)events[offset+24].time.step);
  TF_copy_u32(&packet[386], events[offset+24].note);
  TF_copy_u8(&packet[390], (uint8_t)events[offset+25].group);
  TF_copy_u32(&packet[391], events[offset+25].local);
  TF_copy_u32(&packet[395], events[offset+25].time.total_cycle);
  TF_copy_u8(&packet[399], (uint8_t)events[offset+25].time.step);
  TF_copy_u32(&packet[400], events[offset+25].note);
  TF_copy_u8(&packet[404], (uint8_t)events[offset+26].group);
  TF_copy_u32(&packet[405], events[offset+26].local);
  TF_copy_u32(&packet[409], events[offset+26].time.total_cycle);
  TF_copy_u8(&packet[413], (uint8_t)events[offset+26].time.step);
  TF_copy_u32(&packet[414], events[offset+26].note);
  TF_copy_u8(&packet[418], (uint8_t)events[offset+27].group);
  TF_copy_u32(&packet[419], events[offset+27].local);
  TF_copy_u32(&packet[423], events[offset+27].time.total_cycle);
  TF_copy_u8(&packet[427], (uint8_t)events[offset+27].time.step);
  TF_copy_u32(&packet[428], events[offset+27].note);
#endif

  *len = 432;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_EL_CLOG_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  EL_ERROR_LEVEL err_level = event_logger->tlm_info.clog.err_level;
  uint16_t offset = EL_CLOG_TLM_PAGE_SIZE * event_logger->tlm_info.clog.page_no;
  const uint16_t* log_orders = event_logger->clogs[err_level].log_orders;
  const EL_CLogElement* logs = event_logger->clogs[err_level].logs;

  if (416 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], event_logger->tlm_info.clog.page_no);
  TF_copy_u8(&packet[27], (uint8_t)err_level);
  TF_copy_u32(&packet[28], event_logger->statistics.record_counter_total);
  TF_copy_u32(&packet[32], event_logger->statistics.record_counters[err_level]);
  TF_copy_u16(&packet[36], event_logger->clogs[err_level].log_capacity);
  TF_copy_u8(&packet[38], (uint8_t)logs[log_orders[offset+0]].event.group);
  TF_copy_u32(&packet[39], logs[log_orders[offset+0]].event.local);
  TF_copy_u32(&packet[43], logs[log_orders[offset+0]].event.time.total_cycle);
  TF_copy_u8(&packet[47], (uint8_t)logs[log_orders[offset+0]].event.time.step);
  TF_copy_u32(&packet[48], logs[log_orders[offset+0]].event.note);
  TF_copy_u16(&packet[52], logs[log_orders[offset+0]].count);
  TF_copy_u32(&packet[54], logs[log_orders[offset+0]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[58], (uint8_t)logs[log_orders[offset+0]].delta_record_time.step);
  TF_copy_u8(&packet[59], (uint8_t)logs[log_orders[offset+1]].event.group);
  TF_copy_u32(&packet[60], logs[log_orders[offset+1]].event.local);
  TF_copy_u32(&packet[64], logs[log_orders[offset+1]].event.time.total_cycle);
  TF_copy_u8(&packet[68], (uint8_t)logs[log_orders[offset+1]].event.time.step);
  TF_copy_u32(&packet[69], logs[log_orders[offset+1]].event.note);
  TF_copy_u16(&packet[73], logs[log_orders[offset+1]].count);
  TF_copy_u32(&packet[75], logs[log_orders[offset+1]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[79], (uint8_t)logs[log_orders[offset+1]].delta_record_time.step);
  TF_copy_u8(&packet[80], (uint8_t)logs[log_orders[offset+2]].event.group);
  TF_copy_u32(&packet[81], logs[log_orders[offset+2]].event.local);
  TF_copy_u32(&packet[85], logs[log_orders[offset+2]].event.time.total_cycle);
  TF_copy_u8(&packet[89], (uint8_t)logs[log_orders[offset+2]].event.time.step);
  TF_copy_u32(&packet[90], logs[log_orders[offset+2]].event.note);
  TF_copy_u16(&packet[94], logs[log_orders[offset+2]].count);
  TF_copy_u32(&packet[96], logs[log_orders[offset+2]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[100], (uint8_t)logs[log_orders[offset+2]].delta_record_time.step);
  TF_copy_u8(&packet[101], (uint8_t)logs[log_orders[offset+3]].event.group);
  TF_copy_u32(&packet[102], logs[log_orders[offset+3]].event.local);
  TF_copy_u32(&packet[106], logs[log_orders[offset+3]].event.time.total_cycle);
  TF_copy_u8(&packet[110], (uint8_t)logs[log_orders[offset+3]].event.time.step);
  TF_copy_u32(&packet[111], logs[log_orders[offset+3]].event.note);
  TF_copy_u16(&packet[115], logs[log_orders[offset+3]].count);
  TF_copy_u32(&packet[117], logs[log_orders[offset+3]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[121], (uint8_t)logs[log_orders[offset+3]].delta_record_time.step);
  TF_copy_u8(&packet[122], (uint8_t)logs[log_orders[offset+4]].event.group);
  TF_copy_u32(&packet[123], logs[log_orders[offset+4]].event.local);
  TF_copy_u32(&packet[127], logs[log_orders[offset+4]].event.time.total_cycle);
  TF_copy_u8(&packet[131], (uint8_t)logs[log_orders[offset+4]].event.time.step);
  TF_copy_u32(&packet[132], logs[log_orders[offset+4]].event.note);
  TF_copy_u16(&packet[136], logs[log_orders[offset+4]].count);
  TF_copy_u32(&packet[138], logs[log_orders[offset+4]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[142], (uint8_t)logs[log_orders[offset+4]].delta_record_time.step);
  TF_copy_u8(&packet[143], (uint8_t)logs[log_orders[offset+5]].event.group);
  TF_copy_u32(&packet[144], logs[log_orders[offset+5]].event.local);
  TF_copy_u32(&packet[148], logs[log_orders[offset+5]].event.time.total_cycle);
  TF_copy_u8(&packet[152], (uint8_t)logs[log_orders[offset+5]].event.time.step);
  TF_copy_u32(&packet[153], logs[log_orders[offset+5]].event.note);
  TF_copy_u16(&packet[157], logs[log_orders[offset+5]].count);
  TF_copy_u32(&packet[159], logs[log_orders[offset+5]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[163], (uint8_t)logs[log_orders[offset+5]].delta_record_time.step);
  TF_copy_u8(&packet[164], (uint8_t)logs[log_orders[offset+6]].event.group);
  TF_copy_u32(&packet[165], logs[log_orders[offset+6]].event.local);
  TF_copy_u32(&packet[169], logs[log_orders[offset+6]].event.time.total_cycle);
  TF_copy_u8(&packet[173], (uint8_t)logs[log_orders[offset+6]].event.time.step);
  TF_copy_u32(&packet[174], logs[log_orders[offset+6]].event.note);
  TF_copy_u16(&packet[178], logs[log_orders[offset+6]].count);
  TF_copy_u32(&packet[180], logs[log_orders[offset+6]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[184], (uint8_t)logs[log_orders[offset+6]].delta_record_time.step);
  TF_copy_u8(&packet[185], (uint8_t)logs[log_orders[offset+7]].event.group);
  TF_copy_u32(&packet[186], logs[log_orders[offset+7]].event.local);
  TF_copy_u32(&packet[190], logs[log_orders[offset+7]].event.time.total_cycle);
  TF_copy_u8(&packet[194], (uint8_t)logs[log_orders[offset+7]].event.time.step);
  TF_copy_u32(&packet[195], logs[log_orders[offset+7]].event.note);
  TF_copy_u16(&packet[199], logs[log_orders[offset+7]].count);
  TF_copy_u32(&packet[201], logs[log_orders[offset+7]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[205], (uint8_t)logs[log_orders[offset+7]].delta_record_time.step);
  TF_copy_u8(&packet[206], (uint8_t)logs[log_orders[offset+8]].event.group);
  TF_copy_u32(&packet[207], logs[log_orders[offset+8]].event.local);
  TF_copy_u32(&packet[211], logs[log_orders[offset+8]].event.time.total_cycle);
  TF_copy_u8(&packet[215], (uint8_t)logs[log_orders[offset+8]].event.time.step);
  TF_copy_u32(&packet[216], logs[log_orders[offset+8]].event.note);
  TF_copy_u16(&packet[220], logs[log_orders[offset+8]].count);
  TF_copy_u32(&packet[222], logs[log_orders[offset+8]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[226], (uint8_t)logs[log_orders[offset+8]].delta_record_time.step);
  TF_copy_u8(&packet[227], (uint8_t)logs[log_orders[offset+9]].event.group);
  TF_copy_u32(&packet[228], logs[log_orders[offset+9]].event.local);
  TF_copy_u32(&packet[232], logs[log_orders[offset+9]].event.time.total_cycle);
  TF_copy_u8(&packet[236], (uint8_t)logs[log_orders[offset+9]].event.time.step);
  TF_copy_u32(&packet[237], logs[log_orders[offset+9]].event.note);
  TF_copy_u16(&packet[241], logs[log_orders[offset+9]].count);
  TF_copy_u32(&packet[243], logs[log_orders[offset+9]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[247], (uint8_t)logs[log_orders[offset+9]].delta_record_time.step);
  TF_copy_u8(&packet[248], (uint8_t)logs[log_orders[offset+10]].event.group);
  TF_copy_u32(&packet[249], logs[log_orders[offset+10]].event.local);
  TF_copy_u32(&packet[253], logs[log_orders[offset+10]].event.time.total_cycle);
  TF_copy_u8(&packet[257], (uint8_t)logs[log_orders[offset+10]].event.time.step);
  TF_copy_u32(&packet[258], logs[log_orders[offset+10]].event.note);
  TF_copy_u16(&packet[262], logs[log_orders[offset+10]].count);
  TF_copy_u32(&packet[264], logs[log_orders[offset+10]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[268], (uint8_t)logs[log_orders[offset+10]].delta_record_time.step);
  TF_copy_u8(&packet[269], (uint8_t)logs[log_orders[offset+11]].event.group);
  TF_copy_u32(&packet[270], logs[log_orders[offset+11]].event.local);
  TF_copy_u32(&packet[274], logs[log_orders[offset+11]].event.time.total_cycle);
  TF_copy_u8(&packet[278], (uint8_t)logs[log_orders[offset+11]].event.time.step);
  TF_copy_u32(&packet[279], logs[log_orders[offset+11]].event.note);
  TF_copy_u16(&packet[283], logs[log_orders[offset+11]].count);
  TF_copy_u32(&packet[285], logs[log_orders[offset+11]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[289], (uint8_t)logs[log_orders[offset+11]].delta_record_time.step);
  TF_copy_u8(&packet[290], (uint8_t)logs[log_orders[offset+12]].event.group);
  TF_copy_u32(&packet[291], logs[log_orders[offset+12]].event.local);
  TF_copy_u32(&packet[295], logs[log_orders[offset+12]].event.time.total_cycle);
  TF_copy_u8(&packet[299], (uint8_t)logs[log_orders[offset+12]].event.time.step);
  TF_copy_u32(&packet[300], logs[log_orders[offset+12]].event.note);
  TF_copy_u16(&packet[304], logs[log_orders[offset+12]].count);
  TF_copy_u32(&packet[306], logs[log_orders[offset+12]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[310], (uint8_t)logs[log_orders[offset+12]].delta_record_time.step);
  TF_copy_u8(&packet[311], (uint8_t)logs[log_orders[offset+13]].event.group);
  TF_copy_u32(&packet[312], logs[log_orders[offset+13]].event.local);
  TF_copy_u32(&packet[316], logs[log_orders[offset+13]].event.time.total_cycle);
  TF_copy_u8(&packet[320], (uint8_t)logs[log_orders[offset+13]].event.time.step);
  TF_copy_u32(&packet[321], logs[log_orders[offset+13]].event.note);
  TF_copy_u16(&packet[325], logs[log_orders[offset+13]].count);
  TF_copy_u32(&packet[327], logs[log_orders[offset+13]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[331], (uint8_t)logs[log_orders[offset+13]].delta_record_time.step);
  TF_copy_u8(&packet[332], (uint8_t)logs[log_orders[offset+14]].event.group);
  TF_copy_u32(&packet[333], logs[log_orders[offset+14]].event.local);
  TF_copy_u32(&packet[337], logs[log_orders[offset+14]].event.time.total_cycle);
  TF_copy_u8(&packet[341], (uint8_t)logs[log_orders[offset+14]].event.time.step);
  TF_copy_u32(&packet[342], logs[log_orders[offset+14]].event.note);
  TF_copy_u16(&packet[346], logs[log_orders[offset+14]].count);
  TF_copy_u32(&packet[348], logs[log_orders[offset+14]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[352], (uint8_t)logs[log_orders[offset+14]].delta_record_time.step);
  TF_copy_u8(&packet[353], (uint8_t)logs[log_orders[offset+15]].event.group);
  TF_copy_u32(&packet[354], logs[log_orders[offset+15]].event.local);
  TF_copy_u32(&packet[358], logs[log_orders[offset+15]].event.time.total_cycle);
  TF_copy_u8(&packet[362], (uint8_t)logs[log_orders[offset+15]].event.time.step);
  TF_copy_u32(&packet[363], logs[log_orders[offset+15]].event.note);
  TF_copy_u16(&packet[367], logs[log_orders[offset+15]].count);
  TF_copy_u32(&packet[369], logs[log_orders[offset+15]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[373], (uint8_t)logs[log_orders[offset+15]].delta_record_time.step);
  TF_copy_u8(&packet[374], (uint8_t)logs[log_orders[offset+16]].event.group);
  TF_copy_u32(&packet[375], logs[log_orders[offset+16]].event.local);
  TF_copy_u32(&packet[379], logs[log_orders[offset+16]].event.time.total_cycle);
  TF_copy_u8(&packet[383], (uint8_t)logs[log_orders[offset+16]].event.time.step);
  TF_copy_u32(&packet[384], logs[log_orders[offset+16]].event.note);
  TF_copy_u16(&packet[388], logs[log_orders[offset+16]].count);
  TF_copy_u32(&packet[390], logs[log_orders[offset+16]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[394], (uint8_t)logs[log_orders[offset+16]].delta_record_time.step);
  TF_copy_u8(&packet[395], (uint8_t)logs[log_orders[offset+17]].event.group);
  TF_copy_u32(&packet[396], logs[log_orders[offset+17]].event.local);
  TF_copy_u32(&packet[400], logs[log_orders[offset+17]].event.time.total_cycle);
  TF_copy_u8(&packet[404], (uint8_t)logs[log_orders[offset+17]].event.time.step);
  TF_copy_u32(&packet[405], logs[log_orders[offset+17]].event.note);
  TF_copy_u16(&packet[409], logs[log_orders[offset+17]].count);
  TF_copy_u32(&packet[411], logs[log_orders[offset+17]].delta_record_time.total_cycle);
  TF_copy_u8(&packet[415], (uint8_t)logs[log_orders[offset+17]].delta_record_time.step);
#endif

  *len = 416;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_EH_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (101 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], event_utility->is_enabled_eh_execution);
  TF_copy_u32(&packet[27], event_handler->el_event_counter.counter_total);
  TF_copy_u32(&packet[31], event_handler->el_event_counter.counters[EL_ERROR_LEVEL_HIGH]);
  TF_copy_u32(&packet[35], event_handler->el_event_counter.counters[EL_ERROR_LEVEL_MIDDLE]);
  TF_copy_u32(&packet[39], event_handler->el_event_counter.counters[EL_ERROR_LEVEL_LOW]);
  TF_copy_u32(&packet[43], event_handler->el_event_counter.counters[EL_ERROR_LEVEL_EL]);
  TF_copy_u32(&packet[47], event_handler->el_event_counter.counters[EL_ERROR_LEVEL_EH]);
  TF_copy_u32(&packet[51], event_handler->log_table.respond_counter);
  TF_copy_u16(&packet[55], event_handler->log_table.log_wp);
  TF_copy_u8(&packet[57], event_handler->exec_settings.max_response_num);
  TF_copy_u16(&packet[58], event_handler->exec_settings.max_check_event_num);
  TF_copy_u8(&packet[60], event_handler->exec_settings.max_multi_level_num);
  TF_copy_u8(&packet[61], (uint8_t)event_handler->reg_from_cmd.rule_id);
  TF_copy_u8(&packet[62], (uint8_t)event_handler->reg_from_cmd.settings.event.group);
  TF_copy_u32(&packet[63], event_handler->reg_from_cmd.settings.event.local);
  TF_copy_u8(&packet[67], (uint8_t)((((uint8_t)event_handler->reg_from_cmd.settings.event.err_level) << 5 & 0xe0) | (event_handler->reg_from_cmd.settings.should_match_err_level << 4 & 0x10) | (event_handler->reg_from_cmd.settings.is_active << 3 & 0x08) | (((uint8_t)event_handler->reg_from_cmd.settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[68], event_handler->reg_from_cmd.settings.condition.count_threshold);
  TF_copy_u32(&packet[70], event_handler->reg_from_cmd.settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[74], (uint16_t)event_handler->reg_from_cmd.settings.deploy_bct_id);
  TF_copy_u8(&packet[76], (uint8_t)event_handler->reg_from_cmd.register_ack);
  TF_copy_u8(&packet[77], event_handler->tlm_info.rule.page_no);
  TF_copy_u8(&packet[78], (uint8_t)event_handler->tlm_info.rule.target_rule_id);
  TF_copy_u8(&packet[79], event_handler->tlm_info.rule_sorted_index.page_no);
  TF_copy_u8(&packet[80], event_handler->tlm_info.log.page_no);
  TF_copy_u8(&packet[81], (uint8_t)event_handler->rule_table.rules[event_handler->tlm_info.rule.target_rule_id].settings.event.group);
  TF_copy_u32(&packet[82], event_handler->rule_table.rules[event_handler->tlm_info.rule.target_rule_id].settings.event.local);
  TF_copy_u8(&packet[86], (uint8_t)((((uint8_t)event_handler->rule_table.rules[event_handler->tlm_info.rule.target_rule_id].settings.event.err_level) << 5 & 0xe0) | (event_handler->rule_table.rules[event_handler->tlm_info.rule.target_rule_id].settings.should_match_err_level << 4 & 0x10) | (event_handler->rule_table.rules[event_handler->tlm_info.rule.target_rule_id].settings.is_active << 3 & 0x08) | (((uint8_t)event_handler->rule_table.rules[event_handler->tlm_info.rule.target_rule_id].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[87], event_handler->rule_table.rules[event_handler->tlm_info.rule.target_rule_id].settings.condition.count_threshold);
  TF_copy_u32(&packet[89], event_handler->rule_table.rules[event_handler->tlm_info.rule.target_rule_id].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[93], (uint16_t)event_handler->rule_table.rules[event_handler->tlm_info.rule.target_rule_id].settings.deploy_bct_id);
  TF_copy_u16(&packet[95], event_handler->rule_table.rules[event_handler->tlm_info.rule.target_rule_id].counter);
  TF_copy_u32(&packet[97], (uint32_t)event_handler->rule_table.rules[event_handler->tlm_info.rule.target_rule_id].last_event_time.total_cycle);
#endif

  *len = 101;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_EH_RULE_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  uint16_t offset = event_handler->tlm_info.rule.page_no * EH_RULE_TLM_PAGE_SIZE;
  const EH_Rule* rules = event_handler->rule_table.rules;

  if (429 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], event_handler->tlm_info.rule.page_no);
  TF_copy_u16(&packet[27], event_handler->rule_table.registered_rule_num);
  TF_copy_u8(&packet[29], (uint8_t)rules[0 + offset].settings.event.group);
  TF_copy_u32(&packet[30], rules[0 + offset].settings.event.local);
  TF_copy_u8(&packet[34], (uint8_t)((((uint8_t)rules[0 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[0 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[0 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[0 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[35], rules[0 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[37], rules[0 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[41], (uint16_t)rules[0 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[43], rules[0 + offset].counter);
  TF_copy_u32(&packet[45], (uint32_t)rules[0 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[49], (uint8_t)rules[1 + offset].settings.event.group);
  TF_copy_u32(&packet[50], rules[1 + offset].settings.event.local);
  TF_copy_u8(&packet[54], (uint8_t)((((uint8_t)rules[1 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[1 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[1 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[1 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[55], rules[1 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[57], rules[1 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[61], (uint16_t)rules[1 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[63], rules[1 + offset].counter);
  TF_copy_u32(&packet[65], (uint32_t)rules[1 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[69], (uint8_t)rules[2 + offset].settings.event.group);
  TF_copy_u32(&packet[70], rules[2 + offset].settings.event.local);
  TF_copy_u8(&packet[74], (uint8_t)((((uint8_t)rules[2 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[2 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[2 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[2 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[75], rules[2 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[77], rules[2 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[81], (uint16_t)rules[2 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[83], rules[2 + offset].counter);
  TF_copy_u32(&packet[85], (uint32_t)rules[2 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[89], (uint8_t)rules[3 + offset].settings.event.group);
  TF_copy_u32(&packet[90], rules[3 + offset].settings.event.local);
  TF_copy_u8(&packet[94], (uint8_t)((((uint8_t)rules[3 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[3 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[3 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[3 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[95], rules[3 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[97], rules[3 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[101], (uint16_t)rules[3 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[103], rules[3 + offset].counter);
  TF_copy_u32(&packet[105], (uint32_t)rules[3 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[109], (uint8_t)rules[4 + offset].settings.event.group);
  TF_copy_u32(&packet[110], rules[4 + offset].settings.event.local);
  TF_copy_u8(&packet[114], (uint8_t)((((uint8_t)rules[4 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[4 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[4 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[4 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[115], rules[4 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[117], rules[4 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[121], (uint16_t)rules[4 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[123], rules[4 + offset].counter);
  TF_copy_u32(&packet[125], (uint32_t)rules[4 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[129], (uint8_t)rules[5 + offset].settings.event.group);
  TF_copy_u32(&packet[130], rules[5 + offset].settings.event.local);
  TF_copy_u8(&packet[134], (uint8_t)((((uint8_t)rules[5 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[5 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[5 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[5 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[135], rules[5 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[137], rules[5 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[141], (uint16_t)rules[5 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[143], rules[5 + offset].counter);
  TF_copy_u32(&packet[145], (uint32_t)rules[5 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[149], (uint8_t)rules[6 + offset].settings.event.group);
  TF_copy_u32(&packet[150], rules[6 + offset].settings.event.local);
  TF_copy_u8(&packet[154], (uint8_t)((((uint8_t)rules[6 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[6 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[6 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[6 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[155], rules[6 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[157], rules[6 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[161], (uint16_t)rules[6 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[163], rules[6 + offset].counter);
  TF_copy_u32(&packet[165], (uint32_t)rules[6 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[169], (uint8_t)rules[7 + offset].settings.event.group);
  TF_copy_u32(&packet[170], rules[7 + offset].settings.event.local);
  TF_copy_u8(&packet[174], (uint8_t)((((uint8_t)rules[7 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[7 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[7 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[7 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[175], rules[7 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[177], rules[7 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[181], (uint16_t)rules[7 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[183], rules[7 + offset].counter);
  TF_copy_u32(&packet[185], (uint32_t)rules[7 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[189], (uint8_t)rules[8 + offset].settings.event.group);
  TF_copy_u32(&packet[190], rules[8 + offset].settings.event.local);
  TF_copy_u8(&packet[194], (uint8_t)((((uint8_t)rules[8 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[8 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[8 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[8 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[195], rules[8 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[197], rules[8 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[201], (uint16_t)rules[8 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[203], rules[8 + offset].counter);
  TF_copy_u32(&packet[205], (uint32_t)rules[8 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[209], (uint8_t)rules[9 + offset].settings.event.group);
  TF_copy_u32(&packet[210], rules[9 + offset].settings.event.local);
  TF_copy_u8(&packet[214], (uint8_t)((((uint8_t)rules[9 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[9 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[9 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[9 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[215], rules[9 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[217], rules[9 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[221], (uint16_t)rules[9 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[223], rules[9 + offset].counter);
  TF_copy_u32(&packet[225], (uint32_t)rules[9 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[229], (uint8_t)rules[10 + offset].settings.event.group);
  TF_copy_u32(&packet[230], rules[10 + offset].settings.event.local);
  TF_copy_u8(&packet[234], (uint8_t)((((uint8_t)rules[10 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[10 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[10 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[10 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[235], rules[10 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[237], rules[10 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[241], (uint16_t)rules[10 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[243], rules[10 + offset].counter);
  TF_copy_u32(&packet[245], (uint32_t)rules[10 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[249], (uint8_t)rules[11 + offset].settings.event.group);
  TF_copy_u32(&packet[250], rules[11 + offset].settings.event.local);
  TF_copy_u8(&packet[254], (uint8_t)((((uint8_t)rules[11 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[11 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[11 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[11 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[255], rules[11 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[257], rules[11 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[261], (uint16_t)rules[11 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[263], rules[11 + offset].counter);
  TF_copy_u32(&packet[265], (uint32_t)rules[11 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[269], (uint8_t)rules[12 + offset].settings.event.group);
  TF_copy_u32(&packet[270], rules[12 + offset].settings.event.local);
  TF_copy_u8(&packet[274], (uint8_t)((((uint8_t)rules[12 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[12 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[12 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[12 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[275], rules[12 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[277], rules[12 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[281], (uint16_t)rules[12 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[283], rules[12 + offset].counter);
  TF_copy_u32(&packet[285], (uint32_t)rules[12 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[289], (uint8_t)rules[13 + offset].settings.event.group);
  TF_copy_u32(&packet[290], rules[13 + offset].settings.event.local);
  TF_copy_u8(&packet[294], (uint8_t)((((uint8_t)rules[13 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[13 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[13 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[13 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[295], rules[13 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[297], rules[13 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[301], (uint16_t)rules[13 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[303], rules[13 + offset].counter);
  TF_copy_u32(&packet[305], (uint32_t)rules[13 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[309], (uint8_t)rules[14 + offset].settings.event.group);
  TF_copy_u32(&packet[310], rules[14 + offset].settings.event.local);
  TF_copy_u8(&packet[314], (uint8_t)((((uint8_t)rules[14 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[14 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[14 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[14 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[315], rules[14 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[317], rules[14 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[321], (uint16_t)rules[14 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[323], rules[14 + offset].counter);
  TF_copy_u32(&packet[325], (uint32_t)rules[14 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[329], (uint8_t)rules[15 + offset].settings.event.group);
  TF_copy_u32(&packet[330], rules[15 + offset].settings.event.local);
  TF_copy_u8(&packet[334], (uint8_t)((((uint8_t)rules[15 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[15 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[15 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[15 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[335], rules[15 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[337], rules[15 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[341], (uint16_t)rules[15 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[343], rules[15 + offset].counter);
  TF_copy_u32(&packet[345], (uint32_t)rules[15 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[349], (uint8_t)rules[16 + offset].settings.event.group);
  TF_copy_u32(&packet[350], rules[16 + offset].settings.event.local);
  TF_copy_u8(&packet[354], (uint8_t)((((uint8_t)rules[16 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[16 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[16 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[16 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[355], rules[16 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[357], rules[16 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[361], (uint16_t)rules[16 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[363], rules[16 + offset].counter);
  TF_copy_u32(&packet[365], (uint32_t)rules[16 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[369], (uint8_t)rules[17 + offset].settings.event.group);
  TF_copy_u32(&packet[370], rules[17 + offset].settings.event.local);
  TF_copy_u8(&packet[374], (uint8_t)((((uint8_t)rules[17 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[17 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[17 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[17 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[375], rules[17 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[377], rules[17 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[381], (uint16_t)rules[17 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[383], rules[17 + offset].counter);
  TF_copy_u32(&packet[385], (uint32_t)rules[17 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[389], (uint8_t)rules[18 + offset].settings.event.group);
  TF_copy_u32(&packet[390], rules[18 + offset].settings.event.local);
  TF_copy_u8(&packet[394], (uint8_t)((((uint8_t)rules[18 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[18 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[18 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[18 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[395], rules[18 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[397], rules[18 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[401], (uint16_t)rules[18 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[403], rules[18 + offset].counter);
  TF_copy_u32(&packet[405], (uint32_t)rules[18 + offset].last_event_time.total_cycle);
  TF_copy_u8(&packet[409], (uint8_t)rules[19 + offset].settings.event.group);
  TF_copy_u32(&packet[410], rules[19 + offset].settings.event.local);
  TF_copy_u8(&packet[414], (uint8_t)((((uint8_t)rules[19 + offset].settings.event.err_level) << 5 & 0xe0) | (rules[19 + offset].settings.should_match_err_level << 4 & 0x10) | (rules[19 + offset].settings.is_active << 3 & 0x08) | (((uint8_t)rules[19 + offset].settings.condition.type) & 0x07)));
  TF_copy_u16(&packet[415], rules[19 + offset].settings.condition.count_threshold);
  TF_copy_u32(&packet[417], rules[19 + offset].settings.condition.time_threshold_ms);
  TF_copy_u16(&packet[421], (uint16_t)rules[19 + offset].settings.deploy_bct_id);
  TF_copy_u16(&packet[423], rules[19 + offset].counter);
  TF_copy_u32(&packet[425], (uint32_t)rules[19 + offset].last_event_time.total_cycle);
#endif

  *len = 429;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_EH_LOG_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  uint16_t offset = event_handler->tlm_info.log.page_no * EH_LOG_TLM_PAGE_SIZE;

  if (417 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], event_handler->tlm_info.log.page_no);
  TF_copy_u32(&packet[27], event_handler->log_table.respond_counter);
  TF_copy_u16(&packet[31], event_handler->log_table.log_wp);
  TF_copy_u8(&packet[33], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(0 + offset))->rule_id);
  TF_copy_u32(&packet[34], EH_get_the_nth_log_from_the_latest((uint16_t)(0 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[38], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(0 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[39], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(1 + offset))->rule_id);
  TF_copy_u32(&packet[40], EH_get_the_nth_log_from_the_latest((uint16_t)(1 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[44], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(1 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[45], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(2 + offset))->rule_id);
  TF_copy_u32(&packet[46], EH_get_the_nth_log_from_the_latest((uint16_t)(2 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[50], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(2 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[51], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(3 + offset))->rule_id);
  TF_copy_u32(&packet[52], EH_get_the_nth_log_from_the_latest((uint16_t)(3 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[56], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(3 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[57], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(4 + offset))->rule_id);
  TF_copy_u32(&packet[58], EH_get_the_nth_log_from_the_latest((uint16_t)(4 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[62], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(4 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[63], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(5 + offset))->rule_id);
  TF_copy_u32(&packet[64], EH_get_the_nth_log_from_the_latest((uint16_t)(5 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[68], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(5 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[69], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(6 + offset))->rule_id);
  TF_copy_u32(&packet[70], EH_get_the_nth_log_from_the_latest((uint16_t)(6 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[74], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(6 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[75], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(7 + offset))->rule_id);
  TF_copy_u32(&packet[76], EH_get_the_nth_log_from_the_latest((uint16_t)(7 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[80], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(7 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[81], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(8 + offset))->rule_id);
  TF_copy_u32(&packet[82], EH_get_the_nth_log_from_the_latest((uint16_t)(8 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[86], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(8 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[87], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(9 + offset))->rule_id);
  TF_copy_u32(&packet[88], EH_get_the_nth_log_from_the_latest((uint16_t)(9 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[92], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(9 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[93], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(10 + offset))->rule_id);
  TF_copy_u32(&packet[94], EH_get_the_nth_log_from_the_latest((uint16_t)(10 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[98], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(10 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[99], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(11 + offset))->rule_id);
  TF_copy_u32(&packet[100], EH_get_the_nth_log_from_the_latest((uint16_t)(11 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[104], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(11 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[105], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(12 + offset))->rule_id);
  TF_copy_u32(&packet[106], EH_get_the_nth_log_from_the_latest((uint16_t)(12 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[110], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(12 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[111], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(13 + offset))->rule_id);
  TF_copy_u32(&packet[112], EH_get_the_nth_log_from_the_latest((uint16_t)(13 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[116], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(13 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[117], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(14 + offset))->rule_id);
  TF_copy_u32(&packet[118], EH_get_the_nth_log_from_the_latest((uint16_t)(14 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[122], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(14 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[123], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(15 + offset))->rule_id);
  TF_copy_u32(&packet[124], EH_get_the_nth_log_from_the_latest((uint16_t)(15 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[128], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(15 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[129], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(16 + offset))->rule_id);
  TF_copy_u32(&packet[130], EH_get_the_nth_log_from_the_latest((uint16_t)(16 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[134], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(16 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[135], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(17 + offset))->rule_id);
  TF_copy_u32(&packet[136], EH_get_the_nth_log_from_the_latest((uint16_t)(17 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[140], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(17 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[141], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(18 + offset))->rule_id);
  TF_copy_u32(&packet[142], EH_get_the_nth_log_from_the_latest((uint16_t)(18 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[146], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(18 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[147], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(19 + offset))->rule_id);
  TF_copy_u32(&packet[148], EH_get_the_nth_log_from_the_latest((uint16_t)(19 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[152], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(19 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[153], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(20 + offset))->rule_id);
  TF_copy_u32(&packet[154], EH_get_the_nth_log_from_the_latest((uint16_t)(20 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[158], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(20 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[159], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(21 + offset))->rule_id);
  TF_copy_u32(&packet[160], EH_get_the_nth_log_from_the_latest((uint16_t)(21 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[164], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(21 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[165], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(22 + offset))->rule_id);
  TF_copy_u32(&packet[166], EH_get_the_nth_log_from_the_latest((uint16_t)(22 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[170], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(22 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[171], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(23 + offset))->rule_id);
  TF_copy_u32(&packet[172], EH_get_the_nth_log_from_the_latest((uint16_t)(23 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[176], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(23 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[177], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(24 + offset))->rule_id);
  TF_copy_u32(&packet[178], EH_get_the_nth_log_from_the_latest((uint16_t)(24 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[182], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(24 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[183], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(25 + offset))->rule_id);
  TF_copy_u32(&packet[184], EH_get_the_nth_log_from_the_latest((uint16_t)(25 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[188], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(25 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[189], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(26 + offset))->rule_id);
  TF_copy_u32(&packet[190], EH_get_the_nth_log_from_the_latest((uint16_t)(26 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[194], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(26 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[195], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(27 + offset))->rule_id);
  TF_copy_u32(&packet[196], EH_get_the_nth_log_from_the_latest((uint16_t)(27 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[200], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(27 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[201], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(28 + offset))->rule_id);
  TF_copy_u32(&packet[202], EH_get_the_nth_log_from_the_latest((uint16_t)(28 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[206], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(28 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[207], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(29 + offset))->rule_id);
  TF_copy_u32(&packet[208], EH_get_the_nth_log_from_the_latest((uint16_t)(29 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[212], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(29 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[213], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(30 + offset))->rule_id);
  TF_copy_u32(&packet[214], EH_get_the_nth_log_from_the_latest((uint16_t)(30 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[218], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(30 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[219], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(31 + offset))->rule_id);
  TF_copy_u32(&packet[220], EH_get_the_nth_log_from_the_latest((uint16_t)(31 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[224], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(31 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[225], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(32 + offset))->rule_id);
  TF_copy_u32(&packet[226], EH_get_the_nth_log_from_the_latest((uint16_t)(32 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[230], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(32 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[231], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(33 + offset))->rule_id);
  TF_copy_u32(&packet[232], EH_get_the_nth_log_from_the_latest((uint16_t)(33 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[236], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(33 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[237], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(34 + offset))->rule_id);
  TF_copy_u32(&packet[238], EH_get_the_nth_log_from_the_latest((uint16_t)(34 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[242], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(34 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[243], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(35 + offset))->rule_id);
  TF_copy_u32(&packet[244], EH_get_the_nth_log_from_the_latest((uint16_t)(35 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[248], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(35 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[249], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(36 + offset))->rule_id);
  TF_copy_u32(&packet[250], EH_get_the_nth_log_from_the_latest((uint16_t)(36 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[254], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(36 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[255], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(37 + offset))->rule_id);
  TF_copy_u32(&packet[256], EH_get_the_nth_log_from_the_latest((uint16_t)(37 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[260], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(37 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[261], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(38 + offset))->rule_id);
  TF_copy_u32(&packet[262], EH_get_the_nth_log_from_the_latest((uint16_t)(38 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[266], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(38 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[267], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(39 + offset))->rule_id);
  TF_copy_u32(&packet[268], EH_get_the_nth_log_from_the_latest((uint16_t)(39 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[272], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(39 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[273], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(40 + offset))->rule_id);
  TF_copy_u32(&packet[274], EH_get_the_nth_log_from_the_latest((uint16_t)(40 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[278], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(40 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[279], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(41 + offset))->rule_id);
  TF_copy_u32(&packet[280], EH_get_the_nth_log_from_the_latest((uint16_t)(41 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[284], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(41 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[285], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(42 + offset))->rule_id);
  TF_copy_u32(&packet[286], EH_get_the_nth_log_from_the_latest((uint16_t)(42 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[290], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(42 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[291], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(43 + offset))->rule_id);
  TF_copy_u32(&packet[292], EH_get_the_nth_log_from_the_latest((uint16_t)(43 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[296], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(43 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[297], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(44 + offset))->rule_id);
  TF_copy_u32(&packet[298], EH_get_the_nth_log_from_the_latest((uint16_t)(44 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[302], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(44 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[303], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(45 + offset))->rule_id);
  TF_copy_u32(&packet[304], EH_get_the_nth_log_from_the_latest((uint16_t)(45 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[308], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(45 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[309], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(46 + offset))->rule_id);
  TF_copy_u32(&packet[310], EH_get_the_nth_log_from_the_latest((uint16_t)(46 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[314], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(46 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[315], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(47 + offset))->rule_id);
  TF_copy_u32(&packet[316], EH_get_the_nth_log_from_the_latest((uint16_t)(47 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[320], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(47 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[321], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(48 + offset))->rule_id);
  TF_copy_u32(&packet[322], EH_get_the_nth_log_from_the_latest((uint16_t)(48 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[326], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(48 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[327], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(49 + offset))->rule_id);
  TF_copy_u32(&packet[328], EH_get_the_nth_log_from_the_latest((uint16_t)(49 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[332], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(49 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[333], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(50 + offset))->rule_id);
  TF_copy_u32(&packet[334], EH_get_the_nth_log_from_the_latest((uint16_t)(50 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[338], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(50 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[339], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(51 + offset))->rule_id);
  TF_copy_u32(&packet[340], EH_get_the_nth_log_from_the_latest((uint16_t)(51 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[344], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(51 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[345], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(52 + offset))->rule_id);
  TF_copy_u32(&packet[346], EH_get_the_nth_log_from_the_latest((uint16_t)(52 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[350], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(52 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[351], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(53 + offset))->rule_id);
  TF_copy_u32(&packet[352], EH_get_the_nth_log_from_the_latest((uint16_t)(53 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[356], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(53 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[357], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(54 + offset))->rule_id);
  TF_copy_u32(&packet[358], EH_get_the_nth_log_from_the_latest((uint16_t)(54 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[362], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(54 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[363], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(55 + offset))->rule_id);
  TF_copy_u32(&packet[364], EH_get_the_nth_log_from_the_latest((uint16_t)(55 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[368], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(55 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[369], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(56 + offset))->rule_id);
  TF_copy_u32(&packet[370], EH_get_the_nth_log_from_the_latest((uint16_t)(56 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[374], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(56 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[375], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(57 + offset))->rule_id);
  TF_copy_u32(&packet[376], EH_get_the_nth_log_from_the_latest((uint16_t)(57 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[380], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(57 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[381], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(58 + offset))->rule_id);
  TF_copy_u32(&packet[382], EH_get_the_nth_log_from_the_latest((uint16_t)(58 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[386], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(58 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[387], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(59 + offset))->rule_id);
  TF_copy_u32(&packet[388], EH_get_the_nth_log_from_the_latest((uint16_t)(59 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[392], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(59 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[393], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(60 + offset))->rule_id);
  TF_copy_u32(&packet[394], EH_get_the_nth_log_from_the_latest((uint16_t)(60 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[398], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(60 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[399], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(61 + offset))->rule_id);
  TF_copy_u32(&packet[400], EH_get_the_nth_log_from_the_latest((uint16_t)(61 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[404], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(61 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[405], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(62 + offset))->rule_id);
  TF_copy_u32(&packet[406], EH_get_the_nth_log_from_the_latest((uint16_t)(62 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[410], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(62 + offset))->deploy_cmd_ack);
  TF_copy_u8(&packet[411], (uint8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(63 + offset))->rule_id);
  TF_copy_u32(&packet[412], EH_get_the_nth_log_from_the_latest((uint16_t)(63 + offset))->respond_time_in_master_cycle);
  TF_copy_i8(&packet[416], (int8_t)EH_get_the_nth_log_from_the_latest((uint16_t)(63 + offset))->deploy_cmd_ack);
#endif

  *len = 417;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_EH_INDEX_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  uint16_t offset = event_handler->tlm_info.rule_sorted_index.page_no * EH_RULE_TLM_PAGE_SIZE;

  if (167 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], event_handler->tlm_info.rule_sorted_index.page_no);
  TF_copy_u8(&packet[27], (uint8_t)event_handler->sorted_idxes[0 + offset].group);
  TF_copy_u32(&packet[28], event_handler->sorted_idxes[0 + offset].local);
  TF_copy_u8(&packet[32], event_handler->sorted_idxes[0 + offset].duplicate_id);
  TF_copy_u8(&packet[33], (uint8_t)event_handler->sorted_idxes[0 + offset].rule_id);
  TF_copy_u8(&packet[34], (uint8_t)event_handler->sorted_idxes[1 + offset].group);
  TF_copy_u32(&packet[35], event_handler->sorted_idxes[1 + offset].local);
  TF_copy_u8(&packet[39], event_handler->sorted_idxes[1 + offset].duplicate_id);
  TF_copy_u8(&packet[40], (uint8_t)event_handler->sorted_idxes[1 + offset].rule_id);
  TF_copy_u8(&packet[41], (uint8_t)event_handler->sorted_idxes[2 + offset].group);
  TF_copy_u32(&packet[42], event_handler->sorted_idxes[2 + offset].local);
  TF_copy_u8(&packet[46], event_handler->sorted_idxes[2 + offset].duplicate_id);
  TF_copy_u8(&packet[47], (uint8_t)event_handler->sorted_idxes[2 + offset].rule_id);
  TF_copy_u8(&packet[48], (uint8_t)event_handler->sorted_idxes[3 + offset].group);
  TF_copy_u32(&packet[49], event_handler->sorted_idxes[3 + offset].local);
  TF_copy_u8(&packet[53], event_handler->sorted_idxes[3 + offset].duplicate_id);
  TF_copy_u8(&packet[54], (uint8_t)event_handler->sorted_idxes[3 + offset].rule_id);
  TF_copy_u8(&packet[55], (uint8_t)event_handler->sorted_idxes[4 + offset].group);
  TF_copy_u32(&packet[56], event_handler->sorted_idxes[4 + offset].local);
  TF_copy_u8(&packet[60], event_handler->sorted_idxes[4 + offset].duplicate_id);
  TF_copy_u8(&packet[61], (uint8_t)event_handler->sorted_idxes[4 + offset].rule_id);
  TF_copy_u8(&packet[62], (uint8_t)event_handler->sorted_idxes[5 + offset].group);
  TF_copy_u32(&packet[63], event_handler->sorted_idxes[5 + offset].local);
  TF_copy_u8(&packet[67], event_handler->sorted_idxes[5 + offset].duplicate_id);
  TF_copy_u8(&packet[68], (uint8_t)event_handler->sorted_idxes[5 + offset].rule_id);
  TF_copy_u8(&packet[69], (uint8_t)event_handler->sorted_idxes[6 + offset].group);
  TF_copy_u32(&packet[70], event_handler->sorted_idxes[6 + offset].local);
  TF_copy_u8(&packet[74], event_handler->sorted_idxes[6 + offset].duplicate_id);
  TF_copy_u8(&packet[75], (uint8_t)event_handler->sorted_idxes[6 + offset].rule_id);
  TF_copy_u8(&packet[76], (uint8_t)event_handler->sorted_idxes[7 + offset].group);
  TF_copy_u32(&packet[77], event_handler->sorted_idxes[7 + offset].local);
  TF_copy_u8(&packet[81], event_handler->sorted_idxes[7 + offset].duplicate_id);
  TF_copy_u8(&packet[82], (uint8_t)event_handler->sorted_idxes[7 + offset].rule_id);
  TF_copy_u8(&packet[83], (uint8_t)event_handler->sorted_idxes[8 + offset].group);
  TF_copy_u32(&packet[84], event_handler->sorted_idxes[8 + offset].local);
  TF_copy_u8(&packet[88], event_handler->sorted_idxes[8 + offset].duplicate_id);
  TF_copy_u8(&packet[89], (uint8_t)event_handler->sorted_idxes[8 + offset].rule_id);
  TF_copy_u8(&packet[90], (uint8_t)event_handler->sorted_idxes[9 + offset].group);
  TF_copy_u32(&packet[91], event_handler->sorted_idxes[9 + offset].local);
  TF_copy_u8(&packet[95], event_handler->sorted_idxes[9 + offset].duplicate_id);
  TF_copy_u8(&packet[96], (uint8_t)event_handler->sorted_idxes[9 + offset].rule_id);
  TF_copy_u8(&packet[97], (uint8_t)event_handler->sorted_idxes[10 + offset].group);
  TF_copy_u32(&packet[98], event_handler->sorted_idxes[10 + offset].local);
  TF_copy_u8(&packet[102], event_handler->sorted_idxes[10 + offset].duplicate_id);
  TF_copy_u8(&packet[103], (uint8_t)event_handler->sorted_idxes[10 + offset].rule_id);
  TF_copy_u8(&packet[104], (uint8_t)event_handler->sorted_idxes[11 + offset].group);
  TF_copy_u32(&packet[105], event_handler->sorted_idxes[11 + offset].local);
  TF_copy_u8(&packet[109], event_handler->sorted_idxes[11 + offset].duplicate_id);
  TF_copy_u8(&packet[110], (uint8_t)event_handler->sorted_idxes[11 + offset].rule_id);
  TF_copy_u8(&packet[111], (uint8_t)event_handler->sorted_idxes[12 + offset].group);
  TF_copy_u32(&packet[112], event_handler->sorted_idxes[12 + offset].local);
  TF_copy_u8(&packet[116], event_handler->sorted_idxes[12 + offset].duplicate_id);
  TF_copy_u8(&packet[117], (uint8_t)event_handler->sorted_idxes[12 + offset].rule_id);
  TF_copy_u8(&packet[118], (uint8_t)event_handler->sorted_idxes[13 + offset].group);
  TF_copy_u32(&packet[119], event_handler->sorted_idxes[13 + offset].local);
  TF_copy_u8(&packet[123], event_handler->sorted_idxes[13 + offset].duplicate_id);
  TF_copy_u8(&packet[124], (uint8_t)event_handler->sorted_idxes[13 + offset].rule_id);
  TF_copy_u8(&packet[125], (uint8_t)event_handler->sorted_idxes[14 + offset].group);
  TF_copy_u32(&packet[126], event_handler->sorted_idxes[14 + offset].local);
  TF_copy_u8(&packet[130], event_handler->sorted_idxes[14 + offset].duplicate_id);
  TF_copy_u8(&packet[131], (uint8_t)event_handler->sorted_idxes[14 + offset].rule_id);
  TF_copy_u8(&packet[132], (uint8_t)event_handler->sorted_idxes[15 + offset].group);
  TF_copy_u32(&packet[133], event_handler->sorted_idxes[15 + offset].local);
  TF_copy_u8(&packet[137], event_handler->sorted_idxes[15 + offset].duplicate_id);
  TF_copy_u8(&packet[138], (uint8_t)event_handler->sorted_idxes[15 + offset].rule_id);
  TF_copy_u8(&packet[139], (uint8_t)event_handler->sorted_idxes[16 + offset].group);
  TF_copy_u32(&packet[140], event_handler->sorted_idxes[16 + offset].local);
  TF_copy_u8(&packet[144], event_handler->sorted_idxes[16 + offset].duplicate_id);
  TF_copy_u8(&packet[145], (uint8_t)event_handler->sorted_idxes[16 + offset].rule_id);
  TF_copy_u8(&packet[146], (uint8_t)event_handler->sorted_idxes[17 + offset].group);
  TF_copy_u32(&packet[147], event_handler->sorted_idxes[17 + offset].local);
  TF_copy_u8(&packet[151], event_handler->sorted_idxes[17 + offset].duplicate_id);
  TF_copy_u8(&packet[152], (uint8_t)event_handler->sorted_idxes[17 + offset].rule_id);
  TF_copy_u8(&packet[153], (uint8_t)event_handler->sorted_idxes[18 + offset].group);
  TF_copy_u32(&packet[154], event_handler->sorted_idxes[18 + offset].local);
  TF_copy_u8(&packet[158], event_handler->sorted_idxes[18 + offset].duplicate_id);
  TF_copy_u8(&packet[159], (uint8_t)event_handler->sorted_idxes[18 + offset].rule_id);
  TF_copy_u8(&packet[160], (uint8_t)event_handler->sorted_idxes[19 + offset].group);
  TF_copy_u32(&packet[161], event_handler->sorted_idxes[19 + offset].local);
  TF_copy_u8(&packet[165], event_handler->sorted_idxes[19 + offset].duplicate_id);
  TF_copy_u8(&packet[166], (uint8_t)event_handler->sorted_idxes[19 + offset].rule_id);
#endif

  *len = 167;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_GS_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (113 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], (uint8_t)gs_driver->info[0].rx.rec_status);
  TF_copy_i32(&packet[27], (int32_t)gs_driver->info[0].rx.ret_from_if_rx);
  TF_copy_u8(&packet[31], (uint8_t)gs_driver->info[0].rx.last_dest_type);
  TF_copy_u32(&packet[32], (uint32_t)gs_driver->info[0].rx.last_rec_time);
  TF_copy_u8(&packet[36], (uint8_t)gs_driver->info[0].rx.cmd_ack);
  TF_copy_u8(&packet[37], (uint8_t)gs_driver->info[0].rx.tctf.last_rec_tctf_type);
  TF_copy_u8(&packet[38], (uint8_t)gs_driver->info[0].rx.tctf.ad_rec_status);
  TF_copy_u8(&packet[39], (uint8_t)gs_driver->info[0].rx.tctf.bc_rec_status);
  TF_copy_u8(&packet[40], (uint8_t)gs_driver->info[0].rx.tctf.bd_rec_status);
  TF_copy_u8(&packet[41], gs_driver->is_ccsds_tx_valid);
  TF_copy_u32(&packet[42], (uint32_t)gs_driver->info[0].tx.send_cycle);
  TF_copy_u8(&packet[46], (uint8_t)gs_driver->info[0].tx.vcid);
  TF_copy_u32(&packet[47], gs_driver->info[0].tx.vcdu_counter);
  TF_copy_u8(&packet[51], gs_driver->ccsds_info.buffer_num);
  TF_copy_u8(&packet[52], gs_driver->driver_uart.uart_config.ch);
  TF_copy_u32(&packet[53], gs_driver->driver_uart.uart_config.baudrate);
  TF_copy_u8(&packet[57], (uint8_t)gs_driver->driver_uart.uart_config.parity_settings);
  TF_copy_u8(&packet[58], (uint8_t)gs_driver->driver_uart.uart_config.data_length);
  TF_copy_u8(&packet[59], (uint8_t)gs_driver->driver_uart.uart_config.stop_bit);
  TF_copy_u8(&packet[60], (uint8_t)gs_driver->info[1].rx.rec_status);
  TF_copy_i32(&packet[61], (int32_t)gs_driver->info[1].rx.ret_from_if_rx);
  TF_copy_u8(&packet[65], (uint8_t)gs_driver->info[1].rx.last_dest_type);
  TF_copy_u32(&packet[66], (uint32_t)gs_driver->info[1].rx.last_rec_time);
  TF_copy_u8(&packet[70], (uint8_t)gs_driver->info[1].rx.cmd_ack);
  TF_copy_u8(&packet[71], (uint8_t)gs_driver->info[1].rx.tctf.last_rec_tctf_type);
  TF_copy_u8(&packet[72], (uint8_t)gs_driver->info[1].rx.tctf.ad_rec_status);
  TF_copy_u8(&packet[73], (uint8_t)gs_driver->info[1].rx.tctf.bc_rec_status);
  TF_copy_u8(&packet[74], (uint8_t)gs_driver->info[1].rx.tctf.bd_rec_status);
  TF_copy_u32(&packet[75], (uint32_t)gs_driver->info[1].tx.send_cycle);
  TF_copy_u8(&packet[79], (uint8_t)gs_driver->info[1].tx.vcid);
  TF_copy_u32(&packet[80], gs_driver->info[1].tx.vcdu_counter);
  TF_copy_u8(&packet[84], gs_validate_info->type_a_counter);
  TF_copy_u8(&packet[85], gs_validate_info->type_b_counter);
  TF_copy_u8(&packet[86], gs_validate_info->lockout_flag);
  TF_copy_u8(&packet[87], gs_validate_info->retransmit_flag);
  TF_copy_u8(&packet[88], gs_validate_info->positive_window_width);
  TF_copy_u32(&packet[89], (uint32_t)DI_GS_ms_tlm_packet_handler->tc_packet_to_m_pdu.flush_interval);
  TF_copy_u32(&packet[93], (uint32_t)DI_GS_ms_tlm_packet_handler->tc_packet_to_m_pdu.last_updated);
  TF_copy_u32(&packet[97], (uint32_t)DI_GS_ms_tlm_packet_handler->vcdu_counter);
  TF_copy_u32(&packet[101], (uint32_t)DI_GS_rp_tlm_packet_handler->tc_packet_to_m_pdu.flush_interval);
  TF_copy_u32(&packet[105], (uint32_t)DI_GS_rp_tlm_packet_handler->tc_packet_to_m_pdu.last_updated);
  TF_copy_u32(&packet[109], (uint32_t)DI_GS_rp_tlm_packet_handler->vcdu_counter);
#endif

  *len = 113;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_HK_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (413 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u32(&packet[26], TMGR_get_master_clock().mode_cycle);
  TF_copy_double(&packet[30], TMGR_get_unixtime_at_ti0());
  TF_copy_u8(&packet[38], (uint8_t)(mode_manager->current_id));
  TF_copy_u8(&packet[39], (uint8_t)( ((uint8_t)(mode_manager->stat) << 7 & 0x80) | ((uint8_t)(mode_manager->previous_id) & 0x7F) ));
  TF_copy_u16(&packet[40], TDSP_info->task_list_id);
  TF_copy_u8(&packet[42], (uint8_t)gs_driver->latest_info->rx.rec_status);
  TF_copy_u32(&packet[43], (uint32_t)gs_driver->latest_info->rx.last_rec_time);
  TF_copy_u8(&packet[47], (uint8_t)(gs_driver->latest_info->rx.cmd_ack));
  TF_copy_u32(&packet[48], PL_count_executed_nodes(&PH_gs_cmd_list));
  TF_copy_u32(&packet[52], gs_command_dispatcher->prev.time.total_cycle);
  TF_copy_u16(&packet[56], (uint16_t)(gs_command_dispatcher->prev.code));
  TF_copy_i8(&packet[58], (int8_t)(gs_command_dispatcher->prev.sts));
  TF_copy_u32(&packet[59], gs_command_dispatcher->prev_err.time.total_cycle);
  TF_copy_u16(&packet[63], (uint16_t)(gs_command_dispatcher->prev_err.code));
  TF_copy_i8(&packet[65], (int8_t)(gs_command_dispatcher->prev_err.sts));
  TF_copy_u32(&packet[66], PL_count_executed_nodes(&PH_tl_cmd_list[TLCD_ID_FROM_GS]));
  TF_copy_u8(&packet[70], (uint8_t)(PL_count_active_nodes(&PH_tl_cmd_list[TLCD_ID_FROM_GS])));
  TF_copy_u32(&packet[71], timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].prev.time.total_cycle);
  TF_copy_u16(&packet[75], (uint16_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].prev.code));
  TF_copy_i8(&packet[77], (int8_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].prev.sts));
  TF_copy_u32(&packet[78], timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].prev_err.time.total_cycle);
  TF_copy_u16(&packet[82], (uint16_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].prev_err.code));
  TF_copy_i8(&packet[84], (int8_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].prev_err.sts));
  TF_copy_u32(&packet[85], (PL_is_empty(&(PH_tl_cmd_list[TLCD_ID_FROM_GS])) ? 0 : (uint32_t)CCP_get_ti((const CommonCmdPacket*)(PL_get_head(&(PH_tl_cmd_list[TLCD_ID_FROM_GS]))->packet))));
  TF_copy_u16(&packet[89], (uint16_t)(PL_is_empty(&(PH_tl_cmd_list[TLCD_ID_FROM_GS])) ? 0 : CCP_get_id((const CommonCmdPacket*)(PL_get_head(&(PH_tl_cmd_list[TLCD_ID_FROM_GS]))->packet))));
  TF_copy_u32(&packet[91], PL_count_executed_nodes(&PH_tl_cmd_list[TLCD_ID_DEPLOY_BC]));
  TF_copy_u8(&packet[95], (uint8_t)(PL_count_active_nodes(&PH_tl_cmd_list[TLCD_ID_DEPLOY_BC])));
  TF_copy_u32(&packet[96], PL_count_executed_nodes(&PH_tl_cmd_list[TLCD_ID_DEPLOY_TLM]));
  TF_copy_u8(&packet[100], (uint8_t)(PL_count_active_nodes(&PH_tl_cmd_list[TLCD_ID_DEPLOY_TLM])));
  TF_copy_u32(&packet[101], PL_count_executed_nodes(&PH_tl_cmd_list[TLCD_ID_FROM_GS_FOR_MISSION]));
  TF_copy_u8(&packet[105], (uint8_t)(PL_count_active_nodes(&PH_tl_cmd_list[TLCD_ID_FROM_GS_FOR_MISSION])));
  TF_copy_u32(&packet[106], timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].prev.time.total_cycle);
  TF_copy_u16(&packet[110], (uint16_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].prev.code));
  TF_copy_i8(&packet[112], (int8_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].prev.sts));
  TF_copy_u32(&packet[113], timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].prev_err.time.total_cycle);
  TF_copy_u16(&packet[117], (uint16_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].prev_err.code));
  TF_copy_i8(&packet[119], (int8_t)(timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].prev_err.sts));
  TF_copy_u32(&packet[120], (PL_is_empty(&(PH_tl_cmd_list[TLCD_ID_FROM_GS_FOR_MISSION])) ? 0 : (uint32_t)CCP_get_ti((const CommonCmdPacket*)(PL_get_head(&(PH_tl_cmd_list[TLCD_ID_FROM_GS_FOR_MISSION]))->packet))));
  TF_copy_u16(&packet[124], (uint16_t)(PL_is_empty(&(PH_tl_cmd_list[TLCD_ID_FROM_GS_FOR_MISSION])) ? 0 : CCP_get_id((const CommonCmdPacket*)(PL_get_head(&(PH_tl_cmd_list[TLCD_ID_FROM_GS_FOR_MISSION]))->packet))));
  TF_copy_u8(&packet[126], (uint8_t)(((uint8_t)timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].stop_on_error << 7 & 0x80) | ((uint8_t)timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS].lockout << 6 & 0x40) | ((uint8_t)timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_BC].stop_on_error << 5 & 0x20) | ((uint8_t)timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_BC].lockout << 4 & 0x10) | ((uint8_t)timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_TLM].stop_on_error << 3 & 0x08) | ((uint8_t)timeline_command_dispatcher->dispatcher[TLCD_ID_DEPLOY_TLM].lockout << 2 & 0x04) | ((uint8_t)timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].stop_on_error << 1 & 0x02) | ((uint8_t)timeline_command_dispatcher->dispatcher[TLCD_ID_FROM_GS_FOR_MISSION].lockout & 0x01) ));
  TF_copy_u8(&packet[127], (uint8_t)((wdt_config->is_wdt_enable << 7 & 0x80) | (wdt_config->is_clear_enable << 6 & 0x40) | 0x00));
  TF_copy_u16(&packet[128], block_command_table->pos.block);
  TF_copy_u8(&packet[130], (uint8_t)(block_command_table->pos.cmd));
  TF_copy_u32(&packet[131], ((block_command_table->pos.cmd == 0) ? 0 : (uint32_t)BCT_get_ti(block_command_table->pos.block, (uint8_t)(block_command_table->pos.cmd-1))));
  TF_copy_u16(&packet[135], (uint16_t)((block_command_table->pos.cmd == 0) ? 0 : BCT_get_id(block_command_table->pos.block, (uint8_t)(block_command_table->pos.cmd-1))));
  TF_copy_u32(&packet[137], event_logger->statistics.record_counter_total);
  TF_copy_u16(&packet[141], (uint16_t)event_logger->statistics.record_counters[EL_ERROR_LEVEL_HIGH]);
  TF_copy_u16(&packet[143], (uint16_t)event_logger->statistics.record_counters[EL_ERROR_LEVEL_MIDDLE]);
  TF_copy_u16(&packet[145], (uint16_t)event_logger->statistics.record_counters[EL_ERROR_LEVEL_LOW]);
  TF_copy_u16(&packet[147], (uint16_t)event_logger->statistics.record_counters[EL_ERROR_LEVEL_EL]);
  TF_copy_u16(&packet[149], (uint16_t)event_logger->statistics.record_counters[EL_ERROR_LEVEL_EH]);
  TF_copy_u8(&packet[151], (uint8_t)event_logger->latest_event.group);
  TF_copy_u32(&packet[152], event_logger->latest_event.local);
  TF_copy_u8(&packet[156], (uint8_t)event_logger->latest_event.err_level);
  TF_copy_u32(&packet[157], event_logger->latest_event.time.total_cycle);
  TF_copy_u8(&packet[161], (uint8_t)event_logger->latest_event.time.step);
  TF_copy_u32(&packet[162], event_logger->latest_event.note);
  TF_copy_u8(&packet[166], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 0)->group);
  TF_copy_u32(&packet[167], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 0)->local);
  TF_copy_u32(&packet[171], EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 0)->time.total_cycle);
  TF_copy_u8(&packet[175], (uint8_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 0)->time.step);
  TF_copy_u16(&packet[176], (uint16_t)EL_get_the_nth_tlog_from_the_latest(EL_ERROR_LEVEL_HIGH, 0)->note);
  TF_copy_u32(&packet[178], event_handler->log_table.respond_counter);
  TF_copy_u32(&packet[182], (uint32_t)anomaly_logger->counter);
  TF_copy_u32(&packet[186], (uint32_t)anomaly_logger->records[(anomaly_logger->header == 0) ? 0 : anomaly_logger->header - 1].time.total_cycle);
  TF_copy_u8(&packet[190], (uint8_t)(anomaly_logger->records[(anomaly_logger->header == 0) ? 0 : anomaly_logger->header - 1].time.step & 0x000000ff));
  TF_copy_u8(&packet[191], (uint8_t)(anomaly_logger->records[(anomaly_logger->header == 0) ? 0 : anomaly_logger->header - 1].code.group & 0x000000ff));
  TF_copy_u32(&packet[192], anomaly_logger->records[(anomaly_logger->header == 0) ? 0 : anomaly_logger->header - 1].code.local);
  TF_copy_u8(&packet[196], (uint8_t)(anomaly_logger->records[(anomaly_logger->header == 0) ? 0 : anomaly_logger->header - 1].run_length & 0x000000ff));
  TF_copy_u8(&packet[197], (uint8_t)(anomaly_logger->header));
  TF_copy_u8(&packet[198], (uint8_t)(anomaly_handler->action_counter));
  TF_copy_u8(&packet[199], (uint8_t)(anomaly_handler->latest_id));
  TF_copy_u32(&packet[200], (uint32_t)(anomaly_handler->respond_at.total_cycle));
  TF_copy_u8(&packet[204], (uint8_t)(gs_command_dispatcher->error_counter));
  TF_copy_u16(&packet[205], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[0]].cmd_code));
  TF_copy_u8(&packet[207], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[0]].status));
  TF_copy_u16(&packet[208], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[0]].exec_counter));
  TF_copy_i8(&packet[210], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[0]].last_exec_sts));
  TF_copy_u32(&packet[211], divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[0]].last_exec_time.total_cycle);
  TF_copy_u16(&packet[215], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[1]].cmd_code));
  TF_copy_u8(&packet[217], (uint8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[1]].status));
  TF_copy_u16(&packet[218], (uint16_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[1]].exec_counter));
  TF_copy_i8(&packet[220], (int8_t)(divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[1]].last_exec_sts));
  TF_copy_u32(&packet[221], divided_cmd_utility->exec_logs[divided_cmd_utility->exec_log_order[1]].last_exec_time.total_cycle);
  TF_copy_u32(&packet[225], GIT_REV_CORE_SHORT);
  TF_copy_u32(&packet[229], GIT_REV_USER_SHORT);
  TF_copy_u32(&packet[233], 0);
  TF_copy_u32(&packet[237], 0);
  TF_copy_u32(&packet[241], 0);
  TF_copy_u32(&packet[245], 0);
  TF_copy_u32(&packet[249], 0);
  TF_copy_u32(&packet[253], 0);
  TF_copy_u32(&packet[257], 0);
  TF_copy_u32(&packet[261], 0);
  TF_copy_u32(&packet[265], 0);
  TF_copy_u32(&packet[269], 0);
  TF_copy_u32(&packet[273], 0);
  TF_copy_u32(&packet[277], 0);
  TF_copy_u32(&packet[281], 0);
  TF_copy_u32(&packet[285], 0);
  TF_copy_u32(&packet[289], 0);
  TF_copy_u32(&packet[293], 0);
  TF_copy_u32(&packet[297], 0);
  TF_copy_u32(&packet[301], 0);
  TF_copy_u32(&packet[305], 0);
  TF_copy_u32(&packet[309], 0);
  TF_copy_u32(&packet[313], 0);
  TF_copy_u32(&packet[317], 0);
  TF_copy_u32(&packet[321], 0);
  TF_copy_u32(&packet[325], 0);
  TF_copy_u32(&packet[329], 0);
  TF_copy_u32(&packet[333], 0);
  TF_copy_u32(&packet[337], 0);
  TF_copy_u32(&packet[341], 0);
  TF_copy_u32(&packet[345], 0);
  TF_copy_u32(&packet[349], 0);
  TF_copy_u32(&packet[353], 0);
  TF_copy_u32(&packet[357], 0);
  TF_copy_u32(&packet[361], 0);
  TF_copy_u32(&packet[365], 0);
  TF_copy_u32(&packet[369], 0);
  TF_copy_u32(&packet[373], 0);
  TF_copy_u32(&packet[377], 0);
  TF_copy_u32(&packet[381], 0);
  TF_copy_u32(&packet[385], 0);
  TF_copy_u32(&packet[389], 0);
  TF_copy_u32(&packet[393], 0);
  TF_copy_u32(&packet[397], 0);
  TF_copy_u32(&packet[401], 0);
  TF_copy_u32(&packet[405], 0);
  TF_copy_u32(&packet[409], 0);
#endif

  *len = 413;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_GIT_REV_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (108 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], (uint8_t)GIT_REV_CORE[0]);
  TF_copy_u8(&packet[27], (uint8_t)GIT_REV_CORE[1]);
  TF_copy_u8(&packet[28], (uint8_t)GIT_REV_CORE[2]);
  TF_copy_u8(&packet[29], (uint8_t)GIT_REV_CORE[3]);
  TF_copy_u8(&packet[30], (uint8_t)GIT_REV_CORE[4]);
  TF_copy_u8(&packet[31], (uint8_t)GIT_REV_CORE[5]);
  TF_copy_u8(&packet[32], (uint8_t)GIT_REV_CORE[6]);
  TF_copy_u8(&packet[33], (uint8_t)GIT_REV_CORE[7]);
  TF_copy_u8(&packet[34], (uint8_t)GIT_REV_CORE[8]);
  TF_copy_u8(&packet[35], (uint8_t)GIT_REV_CORE[9]);
  TF_copy_u8(&packet[36], (uint8_t)GIT_REV_CORE[10]);
  TF_copy_u8(&packet[37], (uint8_t)GIT_REV_CORE[11]);
  TF_copy_u8(&packet[38], (uint8_t)GIT_REV_CORE[12]);
  TF_copy_u8(&packet[39], (uint8_t)GIT_REV_CORE[13]);
  TF_copy_u8(&packet[40], (uint8_t)GIT_REV_CORE[14]);
  TF_copy_u8(&packet[41], (uint8_t)GIT_REV_CORE[15]);
  TF_copy_u8(&packet[42], (uint8_t)GIT_REV_CORE[16]);
  TF_copy_u8(&packet[43], (uint8_t)GIT_REV_CORE[17]);
  TF_copy_u8(&packet[44], (uint8_t)GIT_REV_CORE[18]);
  TF_copy_u8(&packet[45], (uint8_t)GIT_REV_CORE[19]);
  TF_copy_u8(&packet[46], (uint8_t)GIT_REV_CORE[20]);
  TF_copy_u8(&packet[47], (uint8_t)GIT_REV_CORE[21]);
  TF_copy_u8(&packet[48], (uint8_t)GIT_REV_CORE[22]);
  TF_copy_u8(&packet[49], (uint8_t)GIT_REV_CORE[23]);
  TF_copy_u8(&packet[50], (uint8_t)GIT_REV_CORE[24]);
  TF_copy_u8(&packet[51], (uint8_t)GIT_REV_CORE[25]);
  TF_copy_u8(&packet[52], (uint8_t)GIT_REV_CORE[26]);
  TF_copy_u8(&packet[53], (uint8_t)GIT_REV_CORE[27]);
  TF_copy_u8(&packet[54], (uint8_t)GIT_REV_CORE[28]);
  TF_copy_u8(&packet[55], (uint8_t)GIT_REV_CORE[29]);
  TF_copy_u8(&packet[56], (uint8_t)GIT_REV_CORE[30]);
  TF_copy_u8(&packet[57], (uint8_t)GIT_REV_CORE[31]);
  TF_copy_u8(&packet[58], (uint8_t)GIT_REV_CORE[32]);
  TF_copy_u8(&packet[59], (uint8_t)GIT_REV_CORE[33]);
  TF_copy_u8(&packet[60], (uint8_t)GIT_REV_CORE[34]);
  TF_copy_u8(&packet[61], (uint8_t)GIT_REV_CORE[35]);
  TF_copy_u8(&packet[62], (uint8_t)GIT_REV_CORE[36]);
  TF_copy_u8(&packet[63], (uint8_t)GIT_REV_CORE[37]);
  TF_copy_u8(&packet[64], (uint8_t)GIT_REV_CORE[38]);
  TF_copy_u8(&packet[65], (uint8_t)GIT_REV_CORE[39]);
  TF_copy_u8(&packet[66], (uint8_t)GIT_REV_CORE[40]);
  TF_copy_u8(&packet[67], (uint8_t)GIT_REV_USER[0]);
  TF_copy_u8(&packet[68], (uint8_t)GIT_REV_USER[1]);
  TF_copy_u8(&packet[69], (uint8_t)GIT_REV_USER[2]);
  TF_copy_u8(&packet[70], (uint8_t)GIT_REV_USER[3]);
  TF_copy_u8(&packet[71], (uint8_t)GIT_REV_USER[4]);
  TF_copy_u8(&packet[72], (uint8_t)GIT_REV_USER[5]);
  TF_copy_u8(&packet[73], (uint8_t)GIT_REV_USER[6]);
  TF_copy_u8(&packet[74], (uint8_t)GIT_REV_USER[7]);
  TF_copy_u8(&packet[75], (uint8_t)GIT_REV_USER[8]);
  TF_copy_u8(&packet[76], (uint8_t)GIT_REV_USER[9]);
  TF_copy_u8(&packet[77], (uint8_t)GIT_REV_USER[10]);
  TF_copy_u8(&packet[78], (uint8_t)GIT_REV_USER[11]);
  TF_copy_u8(&packet[79], (uint8_t)GIT_REV_USER[12]);
  TF_copy_u8(&packet[80], (uint8_t)GIT_REV_USER[13]);
  TF_copy_u8(&packet[81], (uint8_t)GIT_REV_USER[14]);
  TF_copy_u8(&packet[82], (uint8_t)GIT_REV_USER[15]);
  TF_copy_u8(&packet[83], (uint8_t)GIT_REV_USER[16]);
  TF_copy_u8(&packet[84], (uint8_t)GIT_REV_USER[17]);
  TF_copy_u8(&packet[85], (uint8_t)GIT_REV_USER[18]);
  TF_copy_u8(&packet[86], (uint8_t)GIT_REV_USER[19]);
  TF_copy_u8(&packet[87], (uint8_t)GIT_REV_USER[20]);
  TF_copy_u8(&packet[88], (uint8_t)GIT_REV_USER[21]);
  TF_copy_u8(&packet[89], (uint8_t)GIT_REV_USER[22]);
  TF_copy_u8(&packet[90], (uint8_t)GIT_REV_USER[23]);
  TF_copy_u8(&packet[91], (uint8_t)GIT_REV_USER[24]);
  TF_copy_u8(&packet[92], (uint8_t)GIT_REV_USER[25]);
  TF_copy_u8(&packet[93], (uint8_t)GIT_REV_USER[26]);
  TF_copy_u8(&packet[94], (uint8_t)GIT_REV_USER[27]);
  TF_copy_u8(&packet[95], (uint8_t)GIT_REV_USER[28]);
  TF_copy_u8(&packet[96], (uint8_t)GIT_REV_USER[29]);
  TF_copy_u8(&packet[97], (uint8_t)GIT_REV_USER[30]);
  TF_copy_u8(&packet[98], (uint8_t)GIT_REV_USER[31]);
  TF_copy_u8(&packet[99], (uint8_t)GIT_REV_USER[32]);
  TF_copy_u8(&packet[100], (uint8_t)GIT_REV_USER[33]);
  TF_copy_u8(&packet[101], (uint8_t)GIT_REV_USER[34]);
  TF_copy_u8(&packet[102], (uint8_t)GIT_REV_USER[35]);
  TF_copy_u8(&packet[103], (uint8_t)GIT_REV_USER[36]);
  TF_copy_u8(&packet[104], (uint8_t)GIT_REV_USER[37]);
  TF_copy_u8(&packet[105], (uint8_t)GIT_REV_USER[38]);
  TF_copy_u8(&packet[106], (uint8_t)GIT_REV_USER[39]);
  TF_copy_u8(&packet[107], (uint8_t)GIT_REV_USER[40]);
#endif

  *len = 108;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_UART_TEST_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  if (51 > max_len) return TF_TLM_FUNC_ACK_TOO_SHORT_LEN;

#ifndef BUILD_SETTINGS_FAST_BUILD
  TF_copy_u8(&packet[26], (uint8_t)(uart_test_instance->driver.super.config.rec_status_.ret_from_if_rx));
  TF_copy_u32(&packet[27], uart_test_instance->driver.super.config.rx_count_);
  TF_copy_u8(&packet[31], (uint8_t)(uart_test_instance->driver.super.stream_config[0].rec_status_.status_code));
  TF_copy_u16(&packet[32], uart_test_instance->driver.super.stream_config[0].rec_status_.fixed_frame_len);
  TF_copy_u32(&packet[34], uart_test_instance->driver.super.stream_config[0].rx_frame_fix_count_);
  TF_copy_u16(&packet[38], uart_test_instance->driver.super.stream_config[0].rx_frame_rec_len_);
  TF_copy_u8(&packet[40], uart_test_instance->driver.super.stream_config[0].is_rx_buffer_carry_over_);
  TF_copy_u8(&packet[41], (uint8_t)(uart_test_instance->driver.super.stream_config[1].rec_status_.status_code));
  TF_copy_u16(&packet[42], uart_test_instance->driver.super.stream_config[1].rec_status_.fixed_frame_len);
  TF_copy_u32(&packet[44], uart_test_instance->driver.super.stream_config[1].rx_frame_fix_count_);
  TF_copy_u16(&packet[48], uart_test_instance->driver.super.stream_config[1].rx_frame_rec_len_);
  TF_copy_u8(&packet[50], uart_test_instance->driver.super.stream_config[1].is_rx_buffer_carry_over_);
#endif

  *len = 51;
  return TF_TLM_FUNC_ACK_SUCCESS;
}

static TF_TLM_FUNC_ACK Tlm_AOBC_AOBC_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  return AOBC_pick_up_tlm_buffer(aobc_driver, AOBC_Tlm_CODE_AOBC_AOBC, packet, len, max_len);
}

static TF_TLM_FUNC_ACK Tlm_AOBC_HK_(uint8_t* packet, uint16_t* len, uint16_t max_len)
{
  return AOBC_pick_up_tlm_buffer(aobc_driver, AOBC_Tlm_CODE_AOBC_HK, packet, len, max_len);
}

#pragma section
